<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');


// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, false) == false) { // 管理者側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'list':   // 一覧
	$_SESSION['search'] = null;
	$_REQUEST['sort_item_name'] = 'corpcd';
	$_REQUEST['sort_order'] = 'D';
	$_SESSION['search'] = $_REQUEST;
	break;

case 'ins':    // 登録
case 'detail': // 詳細
case 'upd':    // 変更
case 'del_do': // 削除
	break;

case 'list_do'://検索実行
	$err = srchValidCheck($_REQUEST);

	$_REQUEST['sort_item_name'] = 'corpcd';
	$_REQUEST['sort_order'] = 'D';

	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		$_SESSION['search'] = null;
	} else {
		$_SESSION['search'] = $_REQUEST;
	}
	$mode = 'list';
	break;

case 'list_up_dwn':   // 一覧昇順降順
	$ses =& $_SESSION['search'];  // 必ずセッションに検索条件が入っている
	$ses['sort_item_name'] = arryVal($_REQUEST, 'sort_item_name');
	$ses['sort_order'] = arryVal($_REQUEST, 'sort_order')=='A' ? 'D' : 'A'; // 空白はAにする
	$ses['pageID'] = 1; // ページは初期に戻す
	// このままlist_backのロジックを行う。
case 'list_back'://詳細、変更から戻ったとき
	if( isset( $_REQUEST['pageID'] ) ){
		$pageID = $_REQUEST['pageID']??0;
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['pageID'] = $pageID;
		$_SESSION['search'] = $_REQUEST;
	} else {
		$_REQUEST = $_SESSION['search'];
	}
	$o =& $_REQUEST; // output用（FORMからの入力値）
	$mode = 'list';
	break;

case 'csv'; // CSVダウンロード
	downLoadCsv();
	exit;

case 'ins_do': // 登録の実行
case 'upd_do': // 変更の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = ($mode == 'ins_do' ?  'ins' : 'upd');
		$_REQUEST['map'] = arryVal($_REQUEST, 'old_map');




	}
	break;
default:
	$mode = 'list';
	$_REQUEST['sort_item_name'] = 'corpcd';
	$_REQUEST['sort_order'] = 'D';
	$_SESSION['search'] = $_REQUEST;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
	break;

case 'list': // 一覧表示
	if (empty($err)) {
		editList();
	}
	break;

case 'upd':  // 変更
	if ($err) {
		$_REQUEST['map'] = arryVal($_REQUEST, 'old_map');




	} else {
		$delDoChkMsg = updTbl();
		if ('upd' == $modeBk) { // リスト又は明細の更新ボタン押下
			if ('' != $delDoChkMsg) { // レコードが削除されていたとき
				$_REQUEST = $_SESSION['search'];
				$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
				$o =& $_REQUEST; // output用（FORMからの入力値）

				$mode = 'list';
				editList();
			}
		}
	}
	break;

case 'detail':  // 詳細
	$delDoChkMsg = detailTbl();
	if ('' != $delDoChkMsg) { // レコードが削除されていたとき
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	sendRedirectExit($_SERVER['PHP_SELF'] . '?mode=ins');
	break;

case 'upd_do':
	$delDoChkMsg = updDoTbl();
	if ('' == $delDoChkMsg) { // 更新できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;


case 'del_do': // 削除実行
	$delDoChkMsg = delDoTbl();
	if ('' == $delDoChkMsg) { // 削除できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . 'admin/corp/corpARegisterView.html');
	
	
	corpARegisterView($o, $err);
	break;

case 'upd':  // 変更
	// 変更　画面
	require_once(DIR_VIEW . 'admin/corp/corpAAmendView.html');
	corpAAmendView($o, $err);
	break;

case 'detail':  // 詳細
	// 詳細　画面
	require_once(DIR_VIEW . 'admin/corp/corpADetailView.html');
	corpADetailView($o, $err);
	break;

case 'list': // リスト
	// リスト　画面
	require_once(DIR_VIEW . 'admin/corp/corpAListView.html');
	corpAListView($o, $err, $result);

}
// PDOのクリア
$db = null;


// 検索条件設定
function editWhere() {
	global $db;

	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();
	
		// ■--PGM<<003>>　start--------------------------------------------

		//  SQL条件文設定
		// 企業ID
		if (('' != arryVal($_REQUEST, 'srch_corpcd'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " co.corpcd = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_corpcd'); // 完全一致
		}
		// 会社名
		if (('' != arryVal($_REQUEST, 'srch_corpnm'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " co.corpnm LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_corpnm') . "%"; // 部分一致
		}
		// 担当者・姓	担当者・名	
		if (('' != arryVal($_REQUEST, 'srch_tansei'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= "  (tansei LIKE ? "; // 部分一致
			$conditionsAry['data'][] ="%". arryVal($_REQUEST, 'srch_tansei') . "%"; // 部分一致
			$conditionsAry['sql'] .= " OR tanmei LIKE ? "; // 部分一致
			$conditionsAry['data'][] ="%". arryVal($_REQUEST, 'srch_tansei') . "%"; // 部分一致
			$conditionsAry['sql'] .= ")"; 
		}
		// 担当者・電話番号
		if (('' != arryVal($_REQUEST, 'srch_telno'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " co.telno LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_telno') . "%"; // 部分一致
		}
		// 業種ID
		if (('' != arryVal($_REQUEST, 'srch_biztype'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " co.biztype = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_biztype'); // 完全一致
		}
		// 業種	
		if (('' != arryVal($_REQUEST, 'srch_bizname'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " bizname LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_bizname') . "%";

		}
		// 公開区分
		if (('' != arryVal($_REQUEST, 'srch_openkbn'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " co.openkbn = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_openkbn'); // 完全一致
		}

		// ■--PGM<<003>>　end--------------------------------------------


		// 有効／無効データ
		if (('' != arryVal($_REQUEST, 'srch_deldt_flg'))) {
			if ('1' == arryVal($_REQUEST, 'srch_deldt_flg')) { // 無効のみ
				if ($conditionsAry['sql'] == '') {
					$conditionsAry['sql'] = "(co.deldt IS NOT NULL AND  co.deldt <> '0000/00/00 00:00:00') ";
				} else {
					$conditionsAry['sql'] = "(co.deldt IS NOT NULL AND  co.deldt <> '0000/00/00 00:00:00') AND " . $conditionsAry['sql'] ;
				}
			} else { // 有効のみ
				if ($conditionsAry['sql'] == '') {
					$conditionsAry['sql'] = "(co.deldt IS NULL OR co.deldt = '0000/00/00 00:00:00') ";
				} else {
					$conditionsAry['sql'] = "(co.deldt IS NULL OR co.deldt = '0000/00/00 00:00:00') AND " . $conditionsAry['sql'] ;
				}
			}
		}
	return $conditionsAry;
}

// CSVダウンロード
function downLoadCsv() {
	global $db;
	global $ELEMENTS,$AppDbCd;

	$conditions = '';
	
$_REQUEST = $_SESSION['search'];
$conditionsAry = editWhere();
$conditions= $conditionsAry['sql'];
if ('' != $conditions) {
	$conditions = "WHERE ". $conditions;
}
$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<009>>　start--------------------------------------------
			co.corpcd, --  法人ID
			co.corpnm, --  企業名
			co.corpkn, --  企業名（カナ）
			co.psno, --  郵便番号
			co.tdfknm, --  都道府県コード
			co.adrs1, --  住所1
			co.adrs2, --  住所2
			co.map, --  地図
			co.depart, --  部署名
			co.post, --  役職名
			co.tansei, --  担当者姓
			co.tanmei, --  担当者名
			co.tanseijco, --  担当者姓フリガナ
			co.tanmeijco, --  担当者名フリガナ
			co.telno, --  電話番号
			co.faxno, --  ＦＡＸ番号
			co.mladrs, --  メールアドレス
			co.biztype, --  業種ID
			bt.bizname, --  業種
			co.openkbn, --  当データ公開区分
			date_format(co.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(co.updt, '%Y/%m/%d %H:%i:%s') AS updt --  更新日時
		-- ■--PGM<<009>>　end--------------------------------------------


FROM t_corp co left join m_biztype bt on (co.biztype = bt.biztype) 
$conditions 
ORDER BY 
		-- ■--PGM<<009>>　start--------------------------------------------
			co.corpcd, --  法人ID
			co.corpnm, --  企業名
			co.corpkn --  企業名（カナ）
		-- ■--PGM<<009>>　end--------------------------------------------


__SQL__;

	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);

	$csvStr = '';
	header("Content-Disposition: attachment; filename=corpAList.csv");
	header("Content-Type: application/octet-stream");
	header("Cache-Control: public");
	header("Pragma: public");
	$csvStr .= "企業ID, 会社名, 会社名（フリガナ）, 会社住所・郵便番号, 会社住所・都道府県,会社住所・都道府県（名称）, 会社住所・住所1, 会社住所・住所2, 会社住所・地図, 担当者・部署名, 担当者・役職名, 担当者・姓, 担当者・名, 担当者・セイ（フリガナ）, 担当者・メイ（フリガナ）, 担当者・電話番号, 担当者・FAX番号, 担当者・メールアドレス, 業種ID, 業種, 公開区分,公開区分（名称）, 登録日時, 更新日時\n";
	foreach( $result as $vals ){
		$csvItemCount = 0;
		$valsNew = array();
		foreach( $vals as $key => $val ){
			$valsNew[$key] = $val;
			$csvItemCount++;
			$valsBk = array();
			$valsBk = $vals;  // ＤＢエレメントのため値を保存する
			if ($csvItemCount == 5) { // 都道府県コード
				$valsNew[$key . '_value'] = $ELEMENTS['CITY'][$val]['0'];
			}
			if ($csvItemCount == 20) { // 当データ公開区分
				$valsNew[$key . '_value'] = $ELEMENTS['OPN_KBN'][$val]['0'];
			}
		}
		$vals = $valsNew;

		foreach( $vals as $key => $val ){
			$vals[$key] = preg_replace( "/\"/i" , "\"\"", $val );
		}
		$csvStr .=  "\"" . implode( "\",\"", $vals ) . "\"\n";
	}
	mb_convert_variables('SJIS-win', 'UTF-8', $csvStr);
	$csvLen = strlen( $csvStr );
	header('Content-Length: ' .  $csvLen);
	print $csvStr;

}





// 検索条件入力値のチェック
function srchValidCheck(&$vars) {
	global $o;
    $chk_indelkbn = '1';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<002>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 有効フラグ
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, arryVal($o, "c_elements_idx")=='0'?"有効／無効データ":"use/nouse data",  $result, "srch_deldt_flg", "YUKO_FLG", false,'0');
		// 企業ID
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "企業ID",  $result, "srch_corpcd", CON_CHK_HALF_LETTER_DIGIT, 11, false, false,'0');
		// 会社名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名",  $result, "srch_corpnm", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・姓
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・姓",  $result, "srch_tansei", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・電話番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・電話番号",  $result, "srch_telno", CON_CHK_TEL, 15, false, false,'0');
		// 業種ID
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "業種ID",  $result, "srch_biztype", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "公開区分",  $result, "srch_openkbn", "OPN_KBN", false,'0');

		//  検索条件入力チェック
		// if (!(chkError($errorMessages)) && (
			// ('' == $vars['srch_corpcd']) && 
			// ('' == $vars['srch_corpnm']) && 
			// ('' == $vars['srch_tansei']) && 
			// ('' == $vars['srch_telno']) && 
			// ('' == $vars['srch_biztype']) && 
			// ('' == $vars['srch_openkbn']) )) {
			// 検索条件を入力してください。
			// $errorMessages['srch_topErrMessage'] = '検索条件を一つ以上入力してください。';
		// }

		// ■--PGM<<002>>　end--------------------------------------------



	return $errorMessages;
}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 企業ID

		// 会社名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名",  $result, "corpnm", CON_CHK_FULL, 40, false, true,'0');
		// 会社名（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名（フリガナ）",  $result, "corpkn", CON_CHK_FULL_KANA, 40, false, true,'0');
		// 会社住所・郵便番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・郵便番号",  $result, "psno", CON_CHK_POST, 8, false, true,'0');
		// 会社住所・都道府県
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "会社住所・都道府県",  $result, "tdfknm", "CITY", true,'0');
		// 会社住所・住所1
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・住所1",  $result, "adrs1", CON_CHK_FULL, 40, false, true,'0');
		// 会社住所・住所2
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・住所2",  $result, "adrs2", CON_CHK_FULL, 40, false, false,'0');
		// 会社住所・地図
		$result = AppCheckUtil::checkPhoto($errorMessages, "会社住所・地図",  $result, "map", false,'0');
		// 担当者・部署名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・部署名",  $result, "depart", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・役職名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・役職名",  $result, "post", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・姓
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・姓",  $result, "tansei", CON_CHK_FULL, 40, false, true,'0');
		// 担当者・名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・名",  $result, "tanmei", CON_CHK_FULL, 40, false, true,'0');
		// 担当者・セイ（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・セイ（フリガナ）",  $result, "tanseijco", CON_CHK_FULL_KANA, 80, false, true,'0');
		// 担当者・メイ（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・メイ（フリガナ）",  $result, "tanmeijco", CON_CHK_FULL_KANA, 80, false, true,'0');
		// 担当者・電話番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・電話番号",  $result, "telno", CON_CHK_TEL, 15, false, true,'0');
		// 担当者・FAX番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・FAX番号",  $result, "faxno", CON_CHK_TEL, 15, false, false,'0');
		// 担当者・メールアドレス
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・メールアドレス",  $result, "mladrs", CON_CHK_EMAIL, 50, false, true,'0');
		// 業種ID
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "業種ID",  $result, "biztype", CON_CHK_HALF_DIGIT, 10, false, true,'0');
		//  業種
		$tmp = array();
		$biztypeRec = biztypeGetRec($db, $vars);
		if (empty($biztypeRec)) {
		   $vars['bizname'] = '';
		} else {
		   $vars['bizname'] = $biztypeRec['bizname'];
		}

		// 公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "公開区分",  $result, "openkbn", "OPN_KBN", true,'0');
		// 削除日時
		if ($mode != 'ins_do') {
			$result = AppCheckUtil::checkDateTime($vars, $errorMessages, "削除日時", $result, "deldt", false,'0');
		}
		// 登録日時

		// 更新日時


		// ■--PGM<<008>>　end--------------------------------------------


	
	return $errorMessages;
}

// リストの編集
function editList() {
	global $db, $limit, $count, $pager, $result, $offset;

	$limit = 20; // 表示件数
	$offset = ( intval($_REQUEST['pageID']??0) -1) * $limit ;
	$offset = $offset < 0 ? 0 : $offset;
	
	$conditions = '';
	$conditionsAry = editWhere();
	$conditions= $conditionsAry['sql'];
	if ('' != $conditions) {
		$conditions = "WHERE ". $conditions;
	}
	$listOrder = ' ' . editDbItemName(arryVal($_REQUEST, 'sort_item_name')) . ' ' . (arryVal($_REQUEST, 'sort_order')=='A' ? 'ASC' : 'DESC');

$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<004>>　start--------------------------------------------
			co.corpcd, --  法人ID
			co.corpnm, --  企業名
			co.depart, --  部署名
			co.tansei, --  担当者姓
			co.tanmei, --  担当者名
			co.adrs1, --  住所1
			co.adrs2, --  住所2
			co.telno, --  電話番号
			bt.bizname, --  業種
			co.openkbn, --  当データ公開区分
			date_format(co.deldt, '%Y/%m/%d %H:%i:%s') AS deldt,
			date_format(co.deldt, '%Y') AS deldt_year ,
			date_format(co.deldt, '%m') AS deldt_month ,
			date_format(co.deldt, '%d') AS deldt_day  --  削除日時
		-- ■--PGM<<004>>　end--------------------------------------------


FROM t_corp co left join m_biztype bt on (co.biztype = bt.biztype)  
 $conditions 
ORDER BY  $listOrder 
LIMIT $offset, $limit
__SQL__;
	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);
	
	// 全件数
	$sql = <<<__SQL__
SELECT count(*) 
FROM t_corp co left join m_biztype bt on (co.biztype = bt.biztype) 
 $conditions
__SQL__;
	$result2 = dbPrepareExeGetRow($db, $sql, $conditionsAry['data']);
	$count = $result2['count(*)'];

	$pageNavi =new PageNavi(array(
		'totalItems' => $count,
		'perPage'    => $limit,
		//'prevPageNaviText'  => '',
		//'prevPageNaviSpace' => '',
		//'firstPageSpace'    => '',
		//'prevImg'           => '前へ',
		//'nextImg'           => '次へ',
		//'lastPageSpace'     => '',
		//'nextPageNaviSpace' => '',
		//'nextPageNaviText'  => '',
		//'firstPageTextFlag' => '0',
		//'lastPageTextFlag'  => '0',
		'extraVars' => array('mode'=>'list_back')
	),'0');
	$pager = $pageNavi->getHTML();
	$_REQUEST['pager'] = $pager;

}

// 更新
function updTbl() {
	global $db, $err, $o;

	$conditionsDataAry = array();
	if(!$err) {
		$conditionsDataAry[] = arryVal($_REQUEST, 'corpcd');

		$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			co.*, bt.bizname , --  業種
			date_format(co.deldt, '%Y/%m/%d %H:%i:%s') AS deldt, --  削除日時
			date_format(co.deldt, '%Y') AS deldt_year ,
			date_format(co.deldt, '%m') AS deldt_month ,
			date_format(co.deldt, '%d') AS deldt_day ,
			date_format(co.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(co.insdt, '%Y') AS insdt_year ,
			date_format(co.insdt, '%m') AS insdt_month ,
			date_format(co.insdt, '%d') AS insdt_day ,
			date_format(co.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(co.updt, '%Y') AS updt_year ,
			date_format(co.updt, '%m') AS updt_month ,
			date_format(co.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM t_corp co left join m_biztype bt on (co.biztype = bt.biztype)  
WHERE co.corpcd = ?

__SQL__;
		$msg = '指定された企業情報は削除されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 削除されている
		$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
		if (empty($o)) {
			return $msg; // 削除されている
		}
	}
}

// 詳細
function detailTbl() {
	global $db, $o;

	$conditionsDataAry = array();
	$conditionsDataAry[] = arryVal($_REQUEST, 'corpcd');

	$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			co.*, bt.bizname , --  業種
			date_format(co.deldt, '%Y/%m/%d %H:%i:%s') AS deldt, --  削除日時
			date_format(co.deldt, '%Y') AS deldt_year ,
			date_format(co.deldt, '%m') AS deldt_month ,
			date_format(co.deldt, '%d') AS deldt_day ,
			date_format(co.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(co.insdt, '%Y') AS insdt_year ,
			date_format(co.insdt, '%m') AS insdt_month ,
			date_format(co.insdt, '%d') AS insdt_day ,
			date_format(co.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(co.updt, '%Y') AS updt_year ,
			date_format(co.updt, '%m') AS updt_month ,
			date_format(co.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM t_corp co left join m_biztype bt on (co.biztype = bt.biztype)  
WHERE co.corpcd = ?

__SQL__;
	$msg = '指定された企業情報は削除されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 削除されている
	$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	if (empty($o)) {
		return $msg; // 削除されている
	}
}

// 追加実行
function insDoTbl() {
	global $db;

	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		$_REQUEST['corpcd'] =  getDbSeq($db, 't_corp', $_REQUEST); // 法人ID
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'corpcd'     => arryVal($_REQUEST, 'corpcd'), // 法人ID
			'corpnm'     => arryVal($_REQUEST, 'corpnm'), // 企業名
			'corpkn'     => arryVal($_REQUEST, 'corpkn'), // 企業名（カナ）
			'psno'     => arryVal($_REQUEST, 'psno'), // 郵便番号
			'tdfknm'     => arryVal($_REQUEST, 'tdfknm'), // 都道府県コード
			'adrs1'     => arryVal($_REQUEST, 'adrs1'), // 住所1
			'adrs2'     => arryVal($_REQUEST, 'adrs2'), // 住所2
			'map'     => arryVal($_REQUEST, 'map'), // 地図
			'depart'     => arryVal($_REQUEST, 'depart'), // 部署名
			'post'     => arryVal($_REQUEST, 'post'), // 役職名
			'tansei'     => arryVal($_REQUEST, 'tansei'), // 担当者姓
			'tanmei'     => arryVal($_REQUEST, 'tanmei'), // 担当者名
			'tanseijco'     => arryVal($_REQUEST, 'tanseijco'), // 担当者姓フリガナ
			'tanmeijco'     => arryVal($_REQUEST, 'tanmeijco'), // 担当者名フリガナ
			'telno'     => arryVal($_REQUEST, 'telno'), // 電話番号
			'faxno'     => arryVal($_REQUEST, 'faxno'), // ＦＡＸ番号
			'mladrs'     => arryVal($_REQUEST, 'mladrs'), // メールアドレス
			'biztype'     => arryVal($_REQUEST, 'biztype'), // 業種ID
			'openkbn'     => arryVal($_REQUEST, 'openkbn'), // 当データ公開区分
			'deldt'     => arryVal($_REQUEST, 'deldt'), // 削除日時
			'deldt'     => '0000/00/00 00:00:00', // 削除日時
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);

		$itemNames = array();
		$itemNames[] = 'map';
		setAndDelPhoto('corp', $columns['corpcd'] , $itemNames, $columns, 'ins_do');
	




		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$res = dbPrepareExeInsert($db, 't_corp', $columns);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された企業情報は登録されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 登録されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}


}

// 更新実行
function updDoTbl() {
	global $db;
	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'corpnm'     => arryVal($_REQUEST, 'corpnm'), // 企業名
			'corpkn'     => arryVal($_REQUEST, 'corpkn'), // 企業名（カナ）
			'psno'     => arryVal($_REQUEST, 'psno'), // 郵便番号
			'tdfknm'     => arryVal($_REQUEST, 'tdfknm'), // 都道府県コード
			'adrs1'     => arryVal($_REQUEST, 'adrs1'), // 住所1
			'adrs2'     => arryVal($_REQUEST, 'adrs2'), // 住所2
			'map'     => arryVal($_REQUEST, 'map'), // 地図
			'depart'     => arryVal($_REQUEST, 'depart'), // 部署名
			'post'     => arryVal($_REQUEST, 'post'), // 役職名
			'tansei'     => arryVal($_REQUEST, 'tansei'), // 担当者姓
			'tanmei'     => arryVal($_REQUEST, 'tanmei'), // 担当者名
			'tanseijco'     => arryVal($_REQUEST, 'tanseijco'), // 担当者姓フリガナ
			'tanmeijco'     => arryVal($_REQUEST, 'tanmeijco'), // 担当者名フリガナ
			'telno'     => arryVal($_REQUEST, 'telno'), // 電話番号
			'faxno'     => arryVal($_REQUEST, 'faxno'), // ＦＡＸ番号
			'mladrs'     => arryVal($_REQUEST, 'mladrs'), // メールアドレス
			'biztype'     => arryVal($_REQUEST, 'biztype'), // 業種ID
			'openkbn'     => arryVal($_REQUEST, 'openkbn'), // 当データ公開区分
			'deldt'     => arryVal($_REQUEST, 'deldt'), // 削除日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);

		$itemNames = array();
		$itemNames[] = 'map';
		setAndDelPhoto('corp', $_REQUEST['corpcd'] , $itemNames, $columns, 'upd_do');
	




		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}
		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "corpcd = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'corpcd');

		$res = dbPrepareExeUpdate($db, 't_corp', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された企業情報は削除されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 削除されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 削除実行
function delDoTbl() {
	global $db;

	try {	





		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "corpcd = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'corpcd');

		$columns = array(
					'deldt'     => date( 'Y/m/d H:i:s' ) // 削除日時
		// ■--PGM<<010>>　end--------------------------------------------


		);
		$res = dbPrepareExeUpdate($db, 't_corp', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された企業情報は削除されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 削除されている
		}

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}
}


?>