<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('AppDbCdUtil.php');


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'up_csv'; // ファイルアップロード
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
	} else {
		// 更新実行
		csvUpload();
		$eMes = array();
		$eMes['up_csv'] = "UPLOADが正常終了しました。";
		$err = encloseErrorTag($eMes);
	}
	break;
default:
	$mode = 'list';
}

$o['mode']=$mode;

$_REQUEST['c_elements_idx'] = '0';

// ファイルアップロード　画面
require_once(DIR_VIEW . 'admin/initupload/iUpcorpACsvView.html');
iUpcorpACsvView($o, $err);

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	$MAX_ERR_LINE=100; // エラー100個まで出す。
	$errcount=0;
	$mode = 'ins_do'; // モード＝'ins_do'とする。
	//  入力値チェック
	$result = true;
	$errorMessages = array();
	$eMes = array();
	$eMes['up_csv']='';
	// ファイル
	$result = AppCheckUtil::checkPhoto($errorMessages, "ファイル",  $result, "up_csv", true,'0', array( "csv", "txt", "text"));
	if (!$result) {
		$eMes['up_csv'] = 'ファイルを指定してください。';
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
		return $eMes;
	}
	
	$count = 0;
	$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");
	// 1行目がタイトルのときはコメントをはずしてください。
	//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し
	//$count++;
	
	while( $data = fgetExcelCSV($fp) ) {
		$count++;

		if (count($data) != 19) {
			if ($errcount < $MAX_ERR_LINE) {
				$errcount++;
				$eMes['up_csv'] .= 'CSVデータの項目数に誤りがあります。 ' . $count . '行目' . "\n";
			}
			continue;
		}
		$vars = array();
		$vars['corpcd'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // 法人ID
		$vars['corpnm'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 企業名
		$vars['corpkn'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // 企業名（カナ）
		$vars['psno'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // 郵便番号
		$vars['tdfknm'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 都道府県コード
		$vars['adrs1'] = mb_convert_encoding($data[5],"UTF-8","SJIS-WIN"); // 住所1
		$vars['adrs2'] = mb_convert_encoding($data[6],"UTF-8","SJIS-WIN"); // 住所2
		$vars['map'] = mb_convert_encoding($data[7],"UTF-8","SJIS-WIN"); // 地図
		$vars['depart'] = mb_convert_encoding($data[8],"UTF-8","SJIS-WIN"); // 部署名
		$vars['post'] = mb_convert_encoding($data[9],"UTF-8","SJIS-WIN"); // 役職名
		$vars['tansei'] = mb_convert_encoding($data[10],"UTF-8","SJIS-WIN"); // 担当者姓
		$vars['tanmei'] = mb_convert_encoding($data[11],"UTF-8","SJIS-WIN"); // 担当者名
		$vars['tanseijco'] = mb_convert_encoding($data[12],"UTF-8","SJIS-WIN"); // 担当者姓フリガナ
		$vars['tanmeijco'] = mb_convert_encoding($data[13],"UTF-8","SJIS-WIN"); // 担当者名フリガナ
		$vars['telno'] = mb_convert_encoding($data[14],"UTF-8","SJIS-WIN"); // 電話番号
		$vars['faxno'] = mb_convert_encoding($data[15],"UTF-8","SJIS-WIN"); // ＦＡＸ番号
		$vars['mladrs'] = mb_convert_encoding($data[16],"UTF-8","SJIS-WIN"); // メールアドレス
		$vars['biztype'] = mb_convert_encoding($data[17],"UTF-8","SJIS-WIN"); // 業種ID
		$vars['openkbn'] = mb_convert_encoding($data[18],"UTF-8","SJIS-WIN"); // 当データ公開区分



		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 企業ID
			$result = AppCheckUtil::checkMoji($vars, $errorMessages, "企業ID",  $result, "corpcd", CON_CHK_HALF_LETTER_DIGIT, 11, true, true,'0');

		// 会社名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名",  $result, "corpnm", CON_CHK_FULL, 40, false, true,'0');
		// 会社名（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名（フリガナ）",  $result, "corpkn", CON_CHK_FULL_KANA, 40, false, true,'0');
		// 会社住所・郵便番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・郵便番号",  $result, "psno", CON_CHK_POST, 8, false, true,'0');
		// 会社住所・都道府県
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "会社住所・都道府県",  $result, "tdfknm", "CITY", true,'0');
		// 会社住所・住所1
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・住所1",  $result, "adrs1", CON_CHK_FULL, 40, false, true,'0');
		// 会社住所・住所2
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・住所2",  $result, "adrs2", CON_CHK_FULL, 40, false, false,'0');
		// 会社住所・地図
		$result = AppCheckUtil::checkIUPPhoto($vars, $errorMessages, "会社住所・地図",  $result, "map", false,'0');
		// 担当者・部署名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・部署名",  $result, "depart", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・役職名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・役職名",  $result, "post", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・姓
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・姓",  $result, "tansei", CON_CHK_FULL, 40, false, true,'0');
		// 担当者・名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・名",  $result, "tanmei", CON_CHK_FULL, 40, false, true,'0');
		// 担当者・セイ（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・セイ（フリガナ）",  $result, "tanseijco", CON_CHK_FULL_KANA, 80, false, true,'0');
		// 担当者・メイ（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・メイ（フリガナ）",  $result, "tanmeijco", CON_CHK_FULL_KANA, 80, false, true,'0');
		// 担当者・電話番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・電話番号",  $result, "telno", CON_CHK_TEL, 15, false, true,'0');
		// 担当者・FAX番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・FAX番号",  $result, "faxno", CON_CHK_TEL, 15, false, false,'0');
		// 担当者・メールアドレス
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・メールアドレス",  $result, "mladrs", CON_CHK_EMAIL, 50, false, true,'0');
		// 業種ID
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "業種ID",  $result, "biztype", CON_CHK_HALF_DIGIT, 10, false, true,'0');
		// 公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "公開区分",  $result, "openkbn", "OPN_KBN", true,'0');
		// 削除日時

		// 登録日時

		// 更新日時


		if ($mode == 'ins_do' && !chkError($errorMessages)) { // 追加かつ、エラーなし
			$keychecks = array ();
			$keychecks['corpcd'] = $vars['corpcd'];
			$rtn = corpGetRec($db, $keychecks);
			if(!empty($rtn)) {
				$errorMessages['corpcd'] = 'すでに登録されています。';
			}
		}
		// ■--PGM<<008>>　end--------------------------------------------



		if (chkError($errorMessages)) {
			foreach( $errorMessages as $key => $val ){
				if ("" != $val) {
					if ($errcount < $MAX_ERR_LINE) {
						$errcount++;
						$eMes['up_csv'] .= '[' . $key . '] '. $val . $count . '行目' . "\n";
					}
				}
			}
			continue;
		}

	}
	fclose($fp);
	if (chkError($errorMessages)) {
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
	}		
	return $eMes;
}


// 追加実行
function csvUpload() {
	global $db;
	try {	

		$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");

		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		// 1行目がタイトルのときはコメントをはずしてください。
		//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し

		while( $data = fgetExcelCSV($fp) ) {
			$vars = array();
			$vars['corpcd'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // 法人ID
		$vars['corpnm'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 企業名
		$vars['corpkn'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // 企業名（カナ）
		$vars['psno'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // 郵便番号
		$vars['tdfknm'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 都道府県コード
		$vars['adrs1'] = mb_convert_encoding($data[5],"UTF-8","SJIS-WIN"); // 住所1
		$vars['adrs2'] = mb_convert_encoding($data[6],"UTF-8","SJIS-WIN"); // 住所2
		$vars['map'] = mb_convert_encoding($data[7],"UTF-8","SJIS-WIN"); // 地図
		$vars['depart'] = mb_convert_encoding($data[8],"UTF-8","SJIS-WIN"); // 部署名
		$vars['post'] = mb_convert_encoding($data[9],"UTF-8","SJIS-WIN"); // 役職名
		$vars['tansei'] = mb_convert_encoding($data[10],"UTF-8","SJIS-WIN"); // 担当者姓
		$vars['tanmei'] = mb_convert_encoding($data[11],"UTF-8","SJIS-WIN"); // 担当者名
		$vars['tanseijco'] = mb_convert_encoding($data[12],"UTF-8","SJIS-WIN"); // 担当者姓フリガナ
		$vars['tanmeijco'] = mb_convert_encoding($data[13],"UTF-8","SJIS-WIN"); // 担当者名フリガナ
		$vars['telno'] = mb_convert_encoding($data[14],"UTF-8","SJIS-WIN"); // 電話番号
		$vars['faxno'] = mb_convert_encoding($data[15],"UTF-8","SJIS-WIN"); // ＦＡＸ番号
		$vars['mladrs'] = mb_convert_encoding($data[16],"UTF-8","SJIS-WIN"); // メールアドレス
		$vars['biztype'] = mb_convert_encoding($data[17],"UTF-8","SJIS-WIN"); // 業種ID
		$vars['openkbn'] = mb_convert_encoding($data[18],"UTF-8","SJIS-WIN"); // 当データ公開区分


			insDoTbl($vars);
		}
		fclose($fp);

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 追加実行
function insDoTbl(&$vars) {
	global $db;

	$columns = array(
			
			// ■--PGM<<010>>　start--------------------------------------------
			'corpcd'     => arryVal($vars, 'corpcd'), // 法人ID
			'corpnm'     => arryVal($vars, 'corpnm'), // 企業名
			'corpkn'     => arryVal($vars, 'corpkn'), // 企業名（カナ）
			'psno'     => arryVal($vars, 'psno'), // 郵便番号
			'tdfknm'     => arryVal($vars, 'tdfknm'), // 都道府県コード
			'adrs1'     => arryVal($vars, 'adrs1'), // 住所1
			'adrs2'     => arryVal($vars, 'adrs2'), // 住所2
			'map'     => arryVal($vars, 'map'), // 地図
			'depart'     => arryVal($vars, 'depart'), // 部署名
			'post'     => arryVal($vars, 'post'), // 役職名
			'tansei'     => arryVal($vars, 'tansei'), // 担当者姓
			'tanmei'     => arryVal($vars, 'tanmei'), // 担当者名
			'tanseijco'     => arryVal($vars, 'tanseijco'), // 担当者姓フリガナ
			'tanmeijco'     => arryVal($vars, 'tanmeijco'), // 担当者名フリガナ
			'telno'     => arryVal($vars, 'telno'), // 電話番号
			'faxno'     => arryVal($vars, 'faxno'), // ＦＡＸ番号
			'mladrs'     => arryVal($vars, 'mladrs'), // メールアドレス
			'biztype'     => arryVal($vars, 'biztype'), // 業種ID
			'openkbn'     => arryVal($vars, 'openkbn'), // 当データ公開区分
			'deldt'     => arryVal($vars, 'deldt'), // 削除日時
			'deldt'     => '0000/00/00 00:00:00', // 削除日時
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
	);

	$res = dbPrepareExeInsert($db, 't_corp', $columns);
	if ($res == false) { // 更新なしの場合
		$db->rollback();
		throw new PDOException("CSVアップロードに失敗しました。すでに登録されているデータがあります。");// 登録されている
	}

}

?>