<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('AppDbCdUtil.php');


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'up_csv'; // ファイルアップロード
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
	} else {
		// 更新実行
		csvUpload();
		$eMes = array();
		$eMes['up_csv'] = "UPLOADが正常終了しました。";
		$err = encloseErrorTag($eMes);
	}
	break;
default:
	$mode = 'list';
}

$o['mode']=$mode;

$_REQUEST['c_elements_idx'] = '0';

// ファイルアップロード　画面
require_once(DIR_VIEW . 'admin/initupload/iUpitemACsvView.html');
iUpitemACsvView($o, $err);

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	$MAX_ERR_LINE=100; // エラー100個まで出す。
	$errcount=0;
	$mode = 'ins_do'; // モード＝'ins_do'とする。
	//  入力値チェック
	$result = true;
	$errorMessages = array();
	$eMes = array();
	$eMes['up_csv']='';
	// ファイル
	$result = AppCheckUtil::checkPhoto($errorMessages, "ファイル",  $result, "up_csv", true,'0', array( "csv", "txt", "text"));
	if (!$result) {
		$eMes['up_csv'] = 'ファイルを指定してください。';
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
		return $eMes;
	}
	
	$count = 0;
	$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");
	// 1行目がタイトルのときはコメントをはずしてください。
	//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し
	//$count++;
	
	while( $data = fgetExcelCSV($fp) ) {
		$count++;

		if (count($data) != 44) {
			if ($errcount < $MAX_ERR_LINE) {
				$errcount++;
				$eMes['up_csv'] .= 'CSVデータの項目数に誤りがあります。 ' . $count . '行目' . "\n";
			}
			continue;
		}
		$vars = array();
		$vars['item01'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // シーケンス(A+yymmdd+数字)
		$vars['item09'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 自動作成パスワード
		$vars['item10'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // 年月日[yyyy/mm/dd]
		$vars['item11'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // [yyyy]年[mm▼]月[dd▼]日
		$vars['item12'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 検索ラジオボタン・入力プルダウン
		$vars['item13'] = mb_convert_encoding($data[5],"UTF-8","SJIS-WIN"); // 検索チェックボックス・入力プルダウン
		$vars['item14'] = mb_convert_encoding($data[6],"UTF-8","SJIS-WIN"); // 検索プルダウン・入力ラジオボタン
		$vars['item15'] = mb_convert_encoding($data[7],"UTF-8","SJIS-WIN"); // 検索・入力ラジオボタン
		$vars['item16'] = mb_convert_encoding($data[8],"UTF-8","SJIS-WIN"); // 検索・入力プルダウン
		$vars['item17_1'] = mb_convert_encoding($data[9],"UTF-8","SJIS-WIN"); // 郵便1
		$vars['item17_2'] = mb_convert_encoding($data[10],"UTF-8","SJIS-WIN"); // 郵便1
		$vars['item19_1'] = mb_convert_encoding($data[11],"UTF-8","SJIS-WIN"); // 電話1
		$vars['item19_2'] = mb_convert_encoding($data[12],"UTF-8","SJIS-WIN"); // 電話1
		$vars['item19_3'] = mb_convert_encoding($data[13],"UTF-8","SJIS-WIN"); // 電話1
		$vars['item22_1'] = mb_convert_encoding($data[14],"UTF-8","SJIS-WIN"); // 携帯1
		$vars['item22_2'] = mb_convert_encoding($data[15],"UTF-8","SJIS-WIN"); // 携帯1
		$vars['item22_3'] = mb_convert_encoding($data[16],"UTF-8","SJIS-WIN"); // 携帯1
		$vars['item26'] = mb_convert_encoding($data[17],"UTF-8","SJIS-WIN"); // 文字チェックなし
		$vars['item27'] = mb_convert_encoding($data[18],"UTF-8","SJIS-WIN"); // 半角文字チェックなし
		$vars['item28'] = mb_convert_encoding($data[19],"UTF-8","SJIS-WIN"); // 半角
		$vars['item29'] = mb_convert_encoding($data[20],"UTF-8","SJIS-WIN"); // 半角英数字記号
		$vars['item30'] = mb_convert_encoding($data[21],"UTF-8","SJIS-WIN"); // 半角英数字
		$vars['item31'] = mb_convert_encoding($data[22],"UTF-8","SJIS-WIN"); // 半角英字
		$vars['item32'] = mb_convert_encoding($data[23],"UTF-8","SJIS-WIN"); // 半角英数字大文字のみ
		$vars['item33'] = mb_convert_encoding($data[24],"UTF-8","SJIS-WIN"); // 半角英数字小文字のみ
		$vars['item34'] = mb_convert_encoding($data[25],"UTF-8","SJIS-WIN"); // 半角英字大文字のみ
		$vars['item35'] = mb_convert_encoding($data[26],"UTF-8","SJIS-WIN"); // 半角英字小文字のみ
		$vars['item36'] = mb_convert_encoding($data[27],"UTF-8","SJIS-WIN"); // 半角カタカナ数字
		$vars['item37'] = mb_convert_encoding($data[28],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item38'] = mb_convert_encoding($data[29],"UTF-8","SJIS-WIN"); // 半角カタカナ
		$vars['item39'] = mb_convert_encoding($data[30],"UTF-8","SJIS-WIN"); // 全角
		$vars['item40'] = mb_convert_encoding($data[31],"UTF-8","SJIS-WIN"); // 全角カタカナ
		$vars['item41'] = mb_convert_encoding($data[32],"UTF-8","SJIS-WIN"); // 全角ひらがな
		$vars['item42'] = mb_convert_encoding($data[33],"UTF-8","SJIS-WIN"); // メールアドレスの書式
		$vars['item43'] = mb_convert_encoding($data[34],"UTF-8","SJIS-WIN"); // 郵便番号（nnn-nnnn）
		$vars['item44'] = mb_convert_encoding($data[35],"UTF-8","SJIS-WIN"); // 電話番号（半角数値とハイホン）
		$vars['item45'] = mb_convert_encoding($data[36],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item46'] = mb_convert_encoding($data[37],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item47'] = mb_convert_encoding($data[38],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item48'] = mb_convert_encoding($data[39],"UTF-8","SJIS-WIN"); // 小数点あり及びカンマなし数値
		$vars['item49'] = mb_convert_encoding($data[40],"UTF-8","SJIS-WIN"); // 画像
		$vars['item50'] = mb_convert_encoding($data[41],"UTF-8","SJIS-WIN"); // ファイル
		$vars['item51'] = mb_convert_encoding($data[42],"UTF-8","SJIS-WIN"); // 秘密画像
		$vars['item52'] = mb_convert_encoding($data[43],"UTF-8","SJIS-WIN"); // 秘密ファイル



		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// シーケンス(A+yymmdd+数字)
			$result = AppCheckUtil::checkMoji($vars, $errorMessages, "シーケンス(A+yymmdd+数字)",  $result, "item01", CON_CHK_HALF_LETTER_DIGIT, 11, true, true,'0');

		// 自動作成パスワード
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "自動作成パスワード",  $result, "item09", CON_CHK_HALF_LETTER_DIGIT, 8, false, true,'0');
		// 年月日[yyyy/mm/dd]
		$result = AppCheckUtil::checkDate($vars, $errorMessages, "年月日[yyyy/mm/dd]", $result, "item10", true,'0');
		// [yyyy]年[mm▼]月[dd▼]日
		$result = AppCheckUtil::checkDate($vars, $errorMessages, "[yyyy]年[mm▼]月[dd▼]日", $result, "item11", false,'0');
		// 検索ラジオボタン・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索ラジオボタン・入力プルダウン",  $result, "item12", "LOGIN_TYPE", false,'0');
		// 検索チェックボックス・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索チェックボックス・入力プルダウン",  $result, "item13", "LOGIN_TYPE", false,'0');
		// 検索プルダウン・入力ラジオボタン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索プルダウン・入力ラジオボタン",  $result, "item14", "LOGIN_TYPE", false,'0');
		// 検索・入力ラジオボタン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索・入力ラジオボタン",  $result, "item15", "LOGIN_TYPE", false,'0');
		// 検索・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索・入力プルダウン",  $result, "item16", "LOGIN_TYPE", false,'0');
		// 郵便1
		if( ('' != $vars['item17_1']) || ('' != $vars['item17_2']) ) {
			if( ('' == $vars['item17_1']) || ('' == $vars['item17_2']) ) {
				$errorMessages['item17_2'] = '『郵便』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便１",  $result, "item17_1", CON_CHK_HALF_DIGIT, 3, true, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便２",  $result, "item17_2", CON_CHK_HALF_DIGIT, 4, true, false,'0');
			}
		}
		// 電話1
		if( ('' != $vars['item19_1']) || ('' != $vars['item19_2']) || ('' != $vars['item19_3']) ) {
			if( ('' == $vars['item19_1']) || ('' == $vars['item19_2']) || ('' == $vars['item19_3']) ) {
				$errorMessages['item19_2'] = '『電話』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話１",  $result, "item19_1", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話２",  $result, "item19_2", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話３",  $result, "item19_3", CON_CHK_HALF_DIGIT, 8, false, false,'0');
			}
		}
		// 携帯1
		if( ('' != $vars['item22_1']) || ('' != $vars['item22_2']) || ('' != $vars['item22_3']) ) {
			if( ('' == $vars['item22_1']) || ('' == $vars['item22_2']) || ('' == $vars['item22_3']) ) {
				$errorMessages['item22_2'] = '『携帯』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯１",  $result, "item22_1", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯２",  $result, "item22_2", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯３",  $result, "item22_3", CON_CHK_HALF_DIGIT, 8, false, false,'0');
			}
		}
		// 文字チェックなし
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "文字チェックなし",  $result, "item26", CON_CHK_ANY, 100, false, true,'0');
		// 半角文字チェックなし
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角文字チェックなし",  $result, "item27", CON_CHK_HALF_ANY, 10, false, false,'0');
		// 半角
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角",  $result, "item28", CON_CHK_HALF, 10, false, true,'0');
		// 半角英数字記号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字記号",  $result, "item29", CON_CHK_HALF_LETTER_DIGIT_KIGOU, 10, false, false,'0');
		// 半角英数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字",  $result, "item30", CON_CHK_HALF_LETTER_DIGIT, 10, false, false,'0');
		// 半角英字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字",  $result, "item31", CON_CHK_HALF_LETTER, 10, false, false,'0');
		// 半角英数字大文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字大文字のみ",  $result, "item32", CON_CHK_HALF_LETTER_DIGIT_BIG, 10, false, false,'0');
		// 半角英数字小文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字小文字のみ",  $result, "item33", CON_CHK_HALF_LETTER_DIGIT_SMALL, 10, false, false,'0');
		// 半角英字大文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字大文字のみ",  $result, "item34", CON_CHK_HALF_LETTER_BIG, 10, false, false,'0');
		// 半角英字小文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字小文字のみ",  $result, "item35", CON_CHK_HALF_LETTER_SMALL, 10, false, false,'0');
		// 半角カタカナ数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角カタカナ数字",  $result, "item36", CON_CHK_HALF_KANA_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item37", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角カタカナ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角カタカナ",  $result, "item38", CON_CHK_HALF_KANA, 10, false, false,'0');
		// 全角
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角",  $result, "item39", CON_CHK_FULL, 10, false, true,'0');
		// 全角カタカナ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角カタカナ",  $result, "item40", CON_CHK_FULL_KANA, 10, false, false,'0');
		// 全角ひらがな
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角ひらがな",  $result, "item41", CON_CHK_FULL_HIRA, 10, false, false,'0');
		// メールアドレスの書式
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "メールアドレスの書式",  $result, "item42", CON_CHK_EMAIL, 50, false, false,'0');
		// 郵便番号（nnn-nnnn）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便番号（nnn-nnnn）",  $result, "item43", CON_CHK_POST, 10, false, false,'0');
		// 電話番号（半角数値とハイホン）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話番号（半角数値とハイホン）",  $result, "item44", CON_CHK_TEL, 15, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item45", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item46", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item47", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 小数点あり及びカンマなし数値
		$result = AppCheckUtil::checkDotNumeric($vars, $errorMessages, "小数点あり及びカンマなし数値",  $result, "item48", 1, 10000, 5, 2, false,'0');
		// 画像
		$result = AppCheckUtil::checkIUPPhoto($vars, $errorMessages, "画像",  $result, "item49", false,'0');
		// ファイル
		$result = AppCheckUtil::checkIUPPhoto($vars, $errorMessages, "ファイル",  $result, "item50", false,'0', array( "pdf" ));
		// 秘密画像
		$result = AppCheckUtil::checkIUPPhoto($vars, $errorMessages, "秘密画像",  $result, "item51", false,'0');
		// 秘密ファイル
		$result = AppCheckUtil::checkIUPPhoto($vars, $errorMessages, "秘密ファイル",  $result, "item52", false,'0', array( "pdf" ));
		// 削除日時

		// 登録日時

		// 更新日時


		if ($mode == 'ins_do' && !chkError($errorMessages)) { // 追加かつ、エラーなし
			$keychecks = array ();
			$keychecks['item01'] = $vars['item01'];
			$rtn = itemGetRec($db, $keychecks);
			if(!empty($rtn)) {
				$errorMessages['item01'] = 'すでに登録されています。';
			}
		}
		// ■--PGM<<008>>　end--------------------------------------------



		if (chkError($errorMessages)) {
			foreach( $errorMessages as $key => $val ){
				if ("" != $val) {
					if ($errcount < $MAX_ERR_LINE) {
						$errcount++;
						$eMes['up_csv'] .= '[' . $key . '] '. $val . $count . '行目' . "\n";
					}
				}
			}
			continue;
		}

	}
	fclose($fp);
	if (chkError($errorMessages)) {
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
	}		
	return $eMes;
}


// 追加実行
function csvUpload() {
	global $db;
	try {	

		$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");

		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		// 1行目がタイトルのときはコメントをはずしてください。
		//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し

		while( $data = fgetExcelCSV($fp) ) {
			$vars = array();
			$vars['item01'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // シーケンス(A+yymmdd+数字)
		$vars['item09'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 自動作成パスワード
		$vars['item10'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // 年月日[yyyy/mm/dd]
		$vars['item11'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // [yyyy]年[mm▼]月[dd▼]日
		$vars['item12'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 検索ラジオボタン・入力プルダウン
		$vars['item13'] = mb_convert_encoding($data[5],"UTF-8","SJIS-WIN"); // 検索チェックボックス・入力プルダウン
		$vars['item14'] = mb_convert_encoding($data[6],"UTF-8","SJIS-WIN"); // 検索プルダウン・入力ラジオボタン
		$vars['item15'] = mb_convert_encoding($data[7],"UTF-8","SJIS-WIN"); // 検索・入力ラジオボタン
		$vars['item16'] = mb_convert_encoding($data[8],"UTF-8","SJIS-WIN"); // 検索・入力プルダウン
		$vars['item17_1'] = mb_convert_encoding($data[9],"UTF-8","SJIS-WIN"); // 郵便1
		$vars['item17_2'] = mb_convert_encoding($data[10],"UTF-8","SJIS-WIN"); // 郵便1
		$vars['item19_1'] = mb_convert_encoding($data[11],"UTF-8","SJIS-WIN"); // 電話1
		$vars['item19_2'] = mb_convert_encoding($data[12],"UTF-8","SJIS-WIN"); // 電話1
		$vars['item19_3'] = mb_convert_encoding($data[13],"UTF-8","SJIS-WIN"); // 電話1
		$vars['item22_1'] = mb_convert_encoding($data[14],"UTF-8","SJIS-WIN"); // 携帯1
		$vars['item22_2'] = mb_convert_encoding($data[15],"UTF-8","SJIS-WIN"); // 携帯1
		$vars['item22_3'] = mb_convert_encoding($data[16],"UTF-8","SJIS-WIN"); // 携帯1
		$vars['item26'] = mb_convert_encoding($data[17],"UTF-8","SJIS-WIN"); // 文字チェックなし
		$vars['item27'] = mb_convert_encoding($data[18],"UTF-8","SJIS-WIN"); // 半角文字チェックなし
		$vars['item28'] = mb_convert_encoding($data[19],"UTF-8","SJIS-WIN"); // 半角
		$vars['item29'] = mb_convert_encoding($data[20],"UTF-8","SJIS-WIN"); // 半角英数字記号
		$vars['item30'] = mb_convert_encoding($data[21],"UTF-8","SJIS-WIN"); // 半角英数字
		$vars['item31'] = mb_convert_encoding($data[22],"UTF-8","SJIS-WIN"); // 半角英字
		$vars['item32'] = mb_convert_encoding($data[23],"UTF-8","SJIS-WIN"); // 半角英数字大文字のみ
		$vars['item33'] = mb_convert_encoding($data[24],"UTF-8","SJIS-WIN"); // 半角英数字小文字のみ
		$vars['item34'] = mb_convert_encoding($data[25],"UTF-8","SJIS-WIN"); // 半角英字大文字のみ
		$vars['item35'] = mb_convert_encoding($data[26],"UTF-8","SJIS-WIN"); // 半角英字小文字のみ
		$vars['item36'] = mb_convert_encoding($data[27],"UTF-8","SJIS-WIN"); // 半角カタカナ数字
		$vars['item37'] = mb_convert_encoding($data[28],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item38'] = mb_convert_encoding($data[29],"UTF-8","SJIS-WIN"); // 半角カタカナ
		$vars['item39'] = mb_convert_encoding($data[30],"UTF-8","SJIS-WIN"); // 全角
		$vars['item40'] = mb_convert_encoding($data[31],"UTF-8","SJIS-WIN"); // 全角カタカナ
		$vars['item41'] = mb_convert_encoding($data[32],"UTF-8","SJIS-WIN"); // 全角ひらがな
		$vars['item42'] = mb_convert_encoding($data[33],"UTF-8","SJIS-WIN"); // メールアドレスの書式
		$vars['item43'] = mb_convert_encoding($data[34],"UTF-8","SJIS-WIN"); // 郵便番号（nnn-nnnn）
		$vars['item44'] = mb_convert_encoding($data[35],"UTF-8","SJIS-WIN"); // 電話番号（半角数値とハイホン）
		$vars['item45'] = mb_convert_encoding($data[36],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item46'] = mb_convert_encoding($data[37],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item47'] = mb_convert_encoding($data[38],"UTF-8","SJIS-WIN"); // 半角数字
		$vars['item48'] = mb_convert_encoding($data[39],"UTF-8","SJIS-WIN"); // 小数点あり及びカンマなし数値
		$vars['item49'] = mb_convert_encoding($data[40],"UTF-8","SJIS-WIN"); // 画像
		$vars['item50'] = mb_convert_encoding($data[41],"UTF-8","SJIS-WIN"); // ファイル
		$vars['item51'] = mb_convert_encoding($data[42],"UTF-8","SJIS-WIN"); // 秘密画像
		$vars['item52'] = mb_convert_encoding($data[43],"UTF-8","SJIS-WIN"); // 秘密ファイル


			insDoTbl($vars);
		}
		fclose($fp);

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 追加実行
function insDoTbl(&$vars) {
	global $db;

	$columns = array(
			
			// ■--PGM<<010>>　start--------------------------------------------
			'item01'     => arryVal($vars, 'item01'), // シーケンス(A+yymmdd+数字)
			'item09'     => arryVal($vars, 'item09'), // 自動作成パスワード
			'item10'     => arryVal($vars, 'item10'), // 年月日[yyyy/mm/dd]
			'item11'     => $item11, // [yyyy]年[mm▼]月[dd▼]日
			'item12'     => arryVal($vars, 'item12'), // 検索ラジオボタン・入力プルダウン
			'item13'     => arryVal($vars, 'item13'), // 検索チェックボックス・入力プルダウン
			'item14'     => arryVal($vars, 'item14'), // 検索プルダウン・入力ラジオボタン
			'item15'     => arryVal($vars, 'item15'), // 検索・入力ラジオボタン
			'item16'     => arryVal($vars, 'item16'), // 検索・入力プルダウン
			'item17_1'     => arryVal($vars, 'item17_1'), // 郵便1
			'item17_2'     => arryVal($vars, 'item17_2'), // 郵便2
			'item19_1'     => arryVal($vars, 'item19_1'), // 電話1
			'item19_2'     => arryVal($vars, 'item19_2'), // 電話2
			'item19_3'     => arryVal($vars, 'item19_3'), // 電話3
			'item22_1'     => arryVal($vars, 'item22_1'), // 携帯1
			'item22_2'     => arryVal($vars, 'item22_2'), // 携帯2
			'item22_3'     => arryVal($vars, 'item22_3'), // 携帯3
			'item26'     => arryVal($vars, 'item26'), // 文字チェックなし
			'item27'     => arryVal($vars, 'item27'), // 半角文字チェックなし
			'item28'     => arryVal($vars, 'item28'), // 半角
			'item29'     => arryVal($vars, 'item29'), // 半角英数字記号
			'item30'     => arryVal($vars, 'item30'), // 半角英数字
			'item31'     => arryVal($vars, 'item31'), // 半角英字
			'item32'     => arryVal($vars, 'item32'), // 半角英数字大文字のみ
			'item33'     => arryVal($vars, 'item33'), // 半角英数字小文字のみ
			'item34'     => arryVal($vars, 'item34'), // 半角英字大文字のみ
			'item35'     => arryVal($vars, 'item35'), // 半角英字小文字のみ
			'item36'     => arryVal($vars, 'item36'), // 半角カタカナ数字
			'item37'     => arryVal($vars, 'item37'), // 半角数字
			'item38'     => arryVal($vars, 'item38'), // 半角カタカナ
			'item39'     => arryVal($vars, 'item39'), // 全角
			'item40'     => arryVal($vars, 'item40'), // 全角カタカナ
			'item41'     => arryVal($vars, 'item41'), // 全角ひらがな
			'item42'     => arryVal($vars, 'item42'), // メールアドレスの書式
			'item43'     => arryVal($vars, 'item43'), // 郵便番号（nnn-nnnn）
			'item44'     => arryVal($vars, 'item44'), // 電話番号（半角数値とハイホン）
			'item45'     => arryVal($vars, 'item45'), // 半角数字
			'item46'     => arryVal($vars, 'item46'), // 半角数字
			'item47'     => arryVal($vars, 'item47'), // 半角数字
			'item48'     => arryVal($vars, 'item48'), // 小数点あり及びカンマなし数値
			'item49'     => arryVal($vars, 'item49'), // 画像
			'item50'     => arryVal($vars, 'item50'), // ファイル
			'item51'     => arryVal($vars, 'item51'), // 秘密画像
			'item52'     => arryVal($vars, 'item52'), // 秘密ファイル
			'item53'     => arryVal($vars, 'item53'), // 削除日時
			'item53'     => '0000/00/00 00:00:00', // 削除日時
			'item54'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
	);

	$res = dbPrepareExeInsert($db, 't_item', $columns);
	if ($res == false) { // 更新なしの場合
		$db->rollback();
		throw new PDOException("CSVアップロードに失敗しました。すでに登録されているデータがあります。");// 登録されている
	}

}

?>