<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('AppDbCdUtil.php');


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_category',
	'm_category', 'ca', 'category', 'catname', 'catengname', 'deldt',
	'm_subcategory', 'cs', 'category', 'subcategory', 'subcatname', 'subcatengname', 'deldt',
	'm_extracategory', 'ce', 'category', 'subcategory', 'extracategory', 'excatname', 'excatengname', 'deldt');
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_biztype',
	'm_biztype', 'bt', 'biztype', 'bizname', '', 'deldt');

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'up_csv'; // ファイルアップロード
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
	} else {
		// 更新実行
		csvUpload();
		$eMes = array();
		$eMes['up_csv'] = "UPLOADが正常終了しました。";
		$err = encloseErrorTag($eMes);
	}
	break;
default:
	$mode = 'list';
}

$o['mode']=$mode;

$_REQUEST['c_elements_idx'] = '0';

// ファイルアップロード　画面
require_once(DIR_VIEW . 'admin/initupload/iUpshohinACsvView.html');
iUpshohinACsvView($o, $err);

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	$MAX_ERR_LINE=100; // エラー100個まで出す。
	$errcount=0;
	$mode = 'ins_do'; // モード＝'ins_do'とする。
	//  入力値チェック
	$result = true;
	$errorMessages = array();
	$eMes = array();
	$eMes['up_csv']='';
	// ファイル
	$result = AppCheckUtil::checkPhoto($errorMessages, "ファイル",  $result, "up_csv", true,'0', array( "csv", "txt", "text"));
	if (!$result) {
		$eMes['up_csv'] = 'ファイルを指定してください。';
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
		return $eMes;
	}
	
	$count = 0;
	$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");
	// 1行目がタイトルのときはコメントをはずしてください。
	//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し
	//$count++;
	
	while( $data = fgetExcelCSV($fp) ) {
		$count++;

		if (count($data) != 7) {
			if ($errcount < $MAX_ERR_LINE) {
				$errcount++;
				$eMes['up_csv'] .= 'CSVデータの項目数に誤りがあります。 ' . $count . '行目' . "\n";
			}
			continue;
		}
		$vars = array();
		$vars['products'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // 商品ＣＤ
		$vars['productsname'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 商品名
		$vars['biztype'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // 業種ID
		$vars['category'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // 大分類
		$vars['subcategory'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 中分類
		$vars['extracategory'] = mb_convert_encoding($data[5],"UTF-8","SJIS-WIN"); // 小分類
		$vars['openkbn'] = mb_convert_encoding($data[6],"UTF-8","SJIS-WIN"); // 当データ公開区分



		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 商品ＣＤ
			$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品ＣＤ",  $result, "products", CON_CHK_HALF_LETTER_DIGIT, 10, true, true,'0');

		// 商品名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品名",  $result, "productsname", CON_CHK_ANY, 50, false, true,'0');
		// 業種ID
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "業種ID",  $result, "biztype", "ary_lrgmidsml_biztype", true,'0', $chk_indelkbn);
		// 種類・大分類
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "種類・大分類",  $result, "category", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		// 種類・中分類
		$result = AppCheckUtil::checkMidCodeValue($vars, $errorMessages, "種類・中分類",  $result, "category", "subcategory", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		// 種類・小分類
		$result = AppCheckUtil::checkSmlCodeValue($vars, $errorMessages, "種類・小分類",  $result, "category", "subcategory", "extracategory", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		// 当データ公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "当データ公開区分",  $result, "openkbn", "OPN_KBN", true,'0');
		// 登録日時

		// 更新日時


		if ($mode == 'ins_do' && !chkError($errorMessages)) { // 追加かつ、エラーなし
			$keychecks = array ();
			$keychecks['products'] = $vars['products'];
			$rtn = shohinGetRec($db, $keychecks);
			if(!empty($rtn)) {
				$errorMessages['products'] = 'すでに登録されています。';
			}
		}
		// ■--PGM<<008>>　end--------------------------------------------



		if (chkError($errorMessages)) {
			foreach( $errorMessages as $key => $val ){
				if ("" != $val) {
					if ($errcount < $MAX_ERR_LINE) {
						$errcount++;
						$eMes['up_csv'] .= '[' . $key . '] '. $val . $count . '行目' . "\n";
					}
				}
			}
			continue;
		}

	}
	fclose($fp);
	if (chkError($errorMessages)) {
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
	}		
	return $eMes;
}


// 追加実行
function csvUpload() {
	global $db;
	try {	

		$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");

		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		// 1行目がタイトルのときはコメントをはずしてください。
		//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し

		while( $data = fgetExcelCSV($fp) ) {
			$vars = array();
			$vars['products'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // 商品ＣＤ
		$vars['productsname'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 商品名
		$vars['biztype'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // 業種ID
		$vars['category'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // 大分類
		$vars['subcategory'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 中分類
		$vars['extracategory'] = mb_convert_encoding($data[5],"UTF-8","SJIS-WIN"); // 小分類
		$vars['openkbn'] = mb_convert_encoding($data[6],"UTF-8","SJIS-WIN"); // 当データ公開区分


			insDoTbl($vars);
		}
		fclose($fp);

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 追加実行
function insDoTbl(&$vars) {
	global $db;

	$columns = array(
			
			// ■--PGM<<010>>　start--------------------------------------------
			'products'     => arryVal($vars, 'products'), // 商品ＣＤ
			'productsname'     => arryVal($vars, 'productsname'), // 商品名
			'biztype'     => arryVal($vars, 'biztype'), // 業種ID
			'category'     => arryVal($vars, 'category'), // 大分類
			'subcategory'     => arryVal($vars, 'subcategory'), // 中分類
			'extracategory'     => arryVal($vars, 'extracategory'), // 小分類
			'openkbn'     => arryVal($vars, 'openkbn'), // 当データ公開区分
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
	);

	$res = dbPrepareExeInsert($db, 'm_shohin', $columns);
	if ($res == false) { // 更新なしの場合
		$db->rollback();
		throw new PDOException("CSVアップロードに失敗しました。すでに登録されているデータがあります。");// 登録されている
	}

}

?>