<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('AppDbCdUtil.php');


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'up_csv'; // ファイルアップロード
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
	} else {
		// 更新実行
		csvUpload();
		$eMes = array();
		$eMes['up_csv'] = "UPLOADが正常終了しました。";
		$err = encloseErrorTag($eMes);
	}
	break;
default:
	$mode = 'list';
}

$o['mode']=$mode;

$_REQUEST['c_elements_idx'] = '0';

// ファイルアップロード　画面
require_once(DIR_VIEW . 'admin/initupload/iUpuserCsvView.html');
iUpuserCsvView($o, $err);

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	$MAX_ERR_LINE=100; // エラー100個まで出す。
	$errcount=0;
	$mode = 'ins_do'; // モード＝'ins_do'とする。
	//  入力値チェック
	$result = true;
	$errorMessages = array();
	$eMes = array();
	$eMes['up_csv']='';
	// ファイル
	$result = AppCheckUtil::checkPhoto($errorMessages, "ファイル",  $result, "up_csv", true,'0', array( "csv", "txt", "text"));
	if (!$result) {
		$eMes['up_csv'] = 'ファイルを指定してください。';
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
		return $eMes;
	}
	
	$count = 0;
	$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");
	// 1行目がタイトルのときはコメントをはずしてください。
	//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し
	//$count++;
	
	while( $data = fgetExcelCSV($fp) ) {
		$count++;

		if (count($data) != 5) {
			if ($errcount < $MAX_ERR_LINE) {
				$errcount++;
				$eMes['up_csv'] .= 'CSVデータの項目数に誤りがあります。 ' . $count . '行目' . "\n";
			}
			continue;
		}
		$vars = array();
		$vars['u_login_id'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // 会員番号
		$vars['u_name'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 氏名
		$vars['u_mail'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // メールアドレス
		$vars['u_pwd1'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // パスワード
		$vars['u_yuko_flg'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 有効フラグ



		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 会員番号
			$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会員番号",  $result, "u_login_id", CON_CHK_HALF_LETTER_DIGIT, 11, true, true,'0');

		// 氏名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "氏名",  $result, "u_name", CON_CHK_ANY, 25, false, true,'0');
		// メールアドレス
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "メールアドレス",  $result, "u_mail", CON_CHK_EMAIL, 50, false, true,'0');
		// パスワード
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "パスワード",  $result, "u_pwd1", CON_CHK_HALF_LETTER_DIGIT, 16, false, true,'0');
		// 有効フラグ
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "有効フラグ",  $result, "u_yuko_flg", "YUKO_FLG", true,'0');
		// 登録日時

		// 更新日時


		if ($mode == 'ins_do' && !chkError($errorMessages)) { // 追加かつ、エラーなし
			$keychecks = array ();
			$keychecks['u_login_id'] = $vars['u_login_id'];
			$rtn = userGetRec($db, $keychecks);
			if(!empty($rtn)) {
				$errorMessages['u_login_id'] = 'すでに登録されています。';
			}
		}
		// ■--PGM<<008>>　end--------------------------------------------



		if (chkError($errorMessages)) {
			foreach( $errorMessages as $key => $val ){
				if ("" != $val) {
					if ($errcount < $MAX_ERR_LINE) {
						$errcount++;
						$eMes['up_csv'] .= '[' . $key . '] '. $val . $count . '行目' . "\n";
					}
				}
			}
			continue;
		}

	}
	fclose($fp);
	if (chkError($errorMessages)) {
		$eMes['up_csv'] = "\n" . $eMes['up_csv'];
	}		
	return $eMes;
}


// 追加実行
function csvUpload() {
	global $db;
	try {	

		$fp = fopen( $_FILES["up_csv"]["tmp_name"], "r") or die("up_csv couldn't open.");

		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		// 1行目がタイトルのときはコメントをはずしてください。
		//$data = fgetExcelCSV($fp); // １行目の項目名をスキップする為のダミー読み出し

		while( $data = fgetExcelCSV($fp) ) {
			$vars = array();
			$vars['u_login_id'] = mb_convert_encoding($data[0],"UTF-8","SJIS-WIN"); // 会員番号
		$vars['u_name'] = mb_convert_encoding($data[1],"UTF-8","SJIS-WIN"); // 氏名
		$vars['u_mail'] = mb_convert_encoding($data[2],"UTF-8","SJIS-WIN"); // メールアドレス
		$vars['u_pwd1'] = mb_convert_encoding($data[3],"UTF-8","SJIS-WIN"); // パスワード
		$vars['u_yuko_flg'] = mb_convert_encoding($data[4],"UTF-8","SJIS-WIN"); // 有効フラグ


			insDoTbl($vars);
		}
		fclose($fp);

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 追加実行
function insDoTbl(&$vars) {
	global $db;

	$columns = array(
			
			// ■--PGM<<010>>　start--------------------------------------------
			'u_login_id'     => arryVal($vars, 'u_login_id'), // 会員番号
			'u_name'     => arryVal($vars, 'u_name'), // 氏名
			'u_mail'     => arryVal($vars, 'u_mail'), // メールアドレス
			'u_pwd1'     => arryVal($vars, 'u_pwd1'), // パスワード
			'u_yuko_flg'     => arryVal($vars, 'u_yuko_flg'), // 有効フラグ
			'u_insert'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'u_update'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
	);

	$res = dbPrepareExeInsert($db, 'm_user', $columns);
	if ($res == false) { // 更新なしの場合
		$db->rollback();
		throw new PDOException("CSVアップロードに失敗しました。すでに登録されているデータがあります。");// 登録されている
	}

}

?>