<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');


// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, false) == false) { // 管理者側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_category',
	'm_category', 'ca', 'category', 'catname', 'catengname', 'deldt',
	'm_subcategory', 'cs', 'category', 'subcategory', 'subcatname', 'subcatengname', 'deldt',
	'm_extracategory', 'ce', 'category', 'subcategory', 'extracategory', 'excatname', 'excatengname', 'deldt');
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_biztype',
	'm_biztype', 'bt', 'biztype', 'bizname', '', 'deldt');

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'list':   // 一覧
	$_SESSION['search'] = null;
	$_REQUEST['sort_item_name'] = 'products';
	$_REQUEST['sort_order'] = 'A';
	$_SESSION['search'] = $_REQUEST;
	break;

case 'ins':    // 登録
case 'detail': // 詳細
case 'upd':    // 変更
case 'del_do': // 削除
	break;

case 'list_do'://検索実行
	$err = srchValidCheck($_REQUEST);

	$_REQUEST['sort_item_name'] = 'products';
	$_REQUEST['sort_order'] = 'A';

	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		$_SESSION['search'] = null;
	} else {
		$_SESSION['search'] = $_REQUEST;
	}
	$mode = 'list';
	break;

case 'list_up_dwn':   // 一覧昇順降順
	$ses =& $_SESSION['search'];  // 必ずセッションに検索条件が入っている
	$ses['sort_item_name'] = arryVal($_REQUEST, 'sort_item_name');
	$ses['sort_order'] = arryVal($_REQUEST, 'sort_order')=='A' ? 'D' : 'A'; // 空白はAにする
	$ses['pageID'] = 1; // ページは初期に戻す
	// このままlist_backのロジックを行う。
case 'list_back'://詳細、変更から戻ったとき
	if( isset( $_REQUEST['pageID'] ) ){
		$pageID = $_REQUEST['pageID']??0;
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['pageID'] = $pageID;
		$_SESSION['search'] = $_REQUEST;
	} else {
		$_REQUEST = $_SESSION['search'];
	}
	$o =& $_REQUEST; // output用（FORMからの入力値）
	$mode = 'list';
	break;

case 'csv'; // CSVダウンロード
	downLoadCsv();
	exit;

case 'ins_do': // 登録の実行
case 'upd_do': // 変更の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = ($mode == 'ins_do' ?  'ins' : 'upd');




	}
	break;
default:
	$mode = 'list';
	$_REQUEST['sort_item_name'] = 'products';
	$_REQUEST['sort_order'] = 'A';
	$_SESSION['search'] = $_REQUEST;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
	break;

case 'list': // 一覧表示
	if (empty($err)) {
		editList();
	}
	break;

case 'upd':  // 変更
	if ($err) {




	} else {
		$delDoChkMsg = updTbl();
		if ('upd' == $modeBk) { // リスト又は明細の更新ボタン押下
			if ('' != $delDoChkMsg) { // レコードが削除されていたとき
				$_REQUEST = $_SESSION['search'];
				$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
				$o =& $_REQUEST; // output用（FORMからの入力値）

				$mode = 'list';
				editList();
			}
		}
	}
	break;

case 'detail':  // 詳細
	$delDoChkMsg = detailTbl();
	if ('' != $delDoChkMsg) { // レコードが削除されていたとき
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	sendRedirectExit($_SERVER['PHP_SELF'] . '?mode=ins');
	break;

case 'upd_do':
	$delDoChkMsg = updDoTbl();
	if ('' == $delDoChkMsg) { // 更新できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;


case 'del_do': // 削除実行
	$delDoChkMsg = delDoTbl();
	if ('' == $delDoChkMsg) { // 削除できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . 'admin/shohin/shohinARegisterView.html');
	
	
	shohinARegisterView($o, $err);
	break;

case 'upd':  // 変更
	// 変更　画面
	require_once(DIR_VIEW . 'admin/shohin/shohinAAmendView.html');
	shohinAAmendView($o, $err);
	break;

case 'detail':  // 詳細
	// 詳細　画面
	require_once(DIR_VIEW . 'admin/shohin/shohinADetailView.html');
	shohinADetailView($o, $err);
	break;

case 'list': // リスト
	// リスト　画面
	require_once(DIR_VIEW . 'admin/shohin/shohinAListView.html');
	shohinAListView($o, $err, $result);

}
// PDOのクリア
$db = null;


// 検索条件設定
function editWhere() {
	global $db;

	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();
	
		// ■--PGM<<003>>　start--------------------------------------------

		//  SQL条件文設定
		// 商品ＣＤ
		if (('' != arryVal($_REQUEST, 'srch_products'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.products = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_products'); // 完全一致
		}
		// 商品名	
		if (('' != arryVal($_REQUEST, 'srch_productsname'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " productsname LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_productsname') . "%";

		}
		// 業種ID
		if (('' != arryVal($_REQUEST, 'srch_biztype'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.biztype = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_biztype'); // 完全一致
		}
		// 種類・大分類
		if (('' != arryVal($_REQUEST, 'srch_category'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.category = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_category'); // 完全一致
		}
		// 種類・中分類
		if (('' != arryVal($_REQUEST, 'srch_subcategory'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.subcategory = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_subcategory'); // 完全一致
		}
		// 種類・小分類
		if (('' != arryVal($_REQUEST, 'srch_extracategory'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.extracategory = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_extracategory'); // 完全一致
		}
		// 当データ公開区分
		if (('' != arryVal($_REQUEST, 'srch_openkbn'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.openkbn = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_openkbn'); // 完全一致
		}

		// ■--PGM<<003>>　end--------------------------------------------


	
	return $conditionsAry;
}

// CSVダウンロード
function downLoadCsv() {
	global $db;
	global $ELEMENTS,$AppDbCd;

	$conditions = '';
	
$_REQUEST = $_SESSION['search'];
$conditionsAry = editWhere();
$conditions= $conditionsAry['sql'];
if ('' != $conditions) {
	$conditions = "WHERE ". $conditions;
}
$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<009>>　start--------------------------------------------
			sh.products, --  商品ＣＤ
			sh.productsname, --  商品名
			sh.biztype, --  業種ID
			sh.category, --  大分類
			sh.subcategory, --  中分類
			sh.extracategory, --  小分類
			sh.openkbn, --  当データ公開区分
			date_format(sh.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(sh.updt, '%Y/%m/%d %H:%i:%s') AS updt --  更新日時
		-- ■--PGM<<009>>　end--------------------------------------------


FROM m_shohin sh
$conditions 
ORDER BY 
		-- ■--PGM<<009>>　start--------------------------------------------
			sh.products, --  商品ＣＤ
			sh.productsname, --  商品名
			sh.biztype --  業種ID
		-- ■--PGM<<009>>　end--------------------------------------------


__SQL__;

	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);

	$csvStr = '';
	header("Content-Disposition: attachment; filename=shohinAList.csv");
	header("Content-Type: application/octet-stream");
	header("Cache-Control: public");
	header("Pragma: public");
	$csvStr .= "商品ＣＤ, 商品名, 業種ID,業種ID（名称）, 種類・大分類,種類・大分類（名称）, 種類・中分類,種類・中分類（名称）, 種類・小分類,種類・小分類（名称）, 当データ公開区分,当データ公開区分（名称）, 登録日時, 更新日時\n";
	foreach( $result as $vals ){
		$csvItemCount = 0;
		$valsNew = array();
		foreach( $vals as $key => $val ){
			$valsNew[$key] = $val;
			$csvItemCount++;
			$valsBk = array();
			$valsBk = $vals;  // ＤＢエレメントのため値を保存する
			if ($csvItemCount == 3) { // 業種ID
				$valsNew[$key . '_value'] = $AppDbCd->getLrgEleVal('ary_lrgmidsml_biztype', $val, '0');
			}
			if ($csvItemCount == 4) { // 大分類
				$valsNew[$key . '_value'] = $AppDbCd->getLrgEleVal('ary_lrgmidsml_category', $val, '0');
			}
			if ($csvItemCount == 5) { // 中分類
				$valsNew[$key . '_value'] = $AppDbCd->getMidEleVal('ary_lrgmidsml_category', $valsBk['category'], $val, '0');
			}
			if ($csvItemCount == 6) { // 小分類
				$valsNew[$key . '_value'] = $AppDbCd->getSmlEleVal('ary_lrgmidsml_category', $valsBk['category'], $valsBk['subcategory'], $val, '0');
			}
			if ($csvItemCount == 7) { // 当データ公開区分
				$valsNew[$key . '_value'] = $ELEMENTS['OPN_KBN'][$val]['0'];
			}
		}
		$vals = $valsNew;

		foreach( $vals as $key => $val ){
			$vals[$key] = preg_replace( "/\"/i" , "\"\"", $val );
		}
		$csvStr .=  "\"" . implode( "\",\"", $vals ) . "\"\n";
	}
	mb_convert_variables('SJIS-win', 'UTF-8', $csvStr);
	$csvLen = strlen( $csvStr );
	header('Content-Length: ' .  $csvLen);
	print $csvStr;

}





// 検索条件入力値のチェック
function srchValidCheck(&$vars) {
	global $o;
    $chk_indelkbn = '1';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<002>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 商品ＣＤ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品ＣＤ",  $result, "srch_products", CON_CHK_HALF_LETTER_DIGIT, 10, false, false,'0');
		// 商品名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品名",  $result, "srch_productsname", CON_CHK_ANY, 50, false, false,'0');
		// 業種ID
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "業種ID",  $result, "srch_biztype", "ary_lrgmidsml_biztype", false,'0', $chk_indelkbn);
		// 種類・大分類
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "種類・大分類",  $result, "srch_category", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);
		// 種類・中分類
		$result = AppCheckUtil::checkMidCodeValue($vars, $errorMessages, "種類・中分類",  $result, "srch_category", "srch_subcategory", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);
		// 種類・小分類
		$result = AppCheckUtil::checkSmlCodeValue($vars, $errorMessages, "種類・小分類",  $result, "srch_category", "srch_subcategory", "srch_extracategory", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);
		// 当データ公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "当データ公開区分",  $result, "srch_openkbn", "OPN_KBN", false,'0');

		//  検索条件入力チェック
		// if (!(chkError($errorMessages)) && (
			// ('' == $vars['srch_products']) && 
			// ('' == $vars['srch_productsname']) && 
			// ('' == $vars['srch_biztype']) && 
			// ('' == $vars['srch_category']) && 
			// ('' == $vars['srch_subcategory']) && 
			// ('' == $vars['srch_extracategory']) && 
			// ('' == $vars['srch_openkbn']) )) {
			// 検索条件を入力してください。
			// $errorMessages['srch_topErrMessage'] = '検索条件を一つ以上入力してください。';
		// }

		// ■--PGM<<002>>　end--------------------------------------------



	return $errorMessages;
}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 商品ＣＤ

		// 商品名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品名",  $result, "productsname", CON_CHK_ANY, 50, false, true,'0');
		// 業種ID
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "業種ID",  $result, "biztype", "ary_lrgmidsml_biztype", true,'0', $chk_indelkbn);
		// 種類・大分類
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "種類・大分類",  $result, "category", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		// 種類・中分類
		$result = AppCheckUtil::checkMidCodeValue($vars, $errorMessages, "種類・中分類",  $result, "category", "subcategory", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		// 種類・小分類
		$result = AppCheckUtil::checkSmlCodeValue($vars, $errorMessages, "種類・小分類",  $result, "category", "subcategory", "extracategory", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		// 当データ公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "当データ公開区分",  $result, "openkbn", "OPN_KBN", true,'0');
		// 登録日時

		// 更新日時


		// ■--PGM<<008>>　end--------------------------------------------


	
	return $errorMessages;
}

// リストの編集
function editList() {
	global $db, $limit, $count, $pager, $result, $offset;

	$limit = 10; // 表示件数
	$offset = ( intval($_REQUEST['pageID']??0) -1) * $limit ;
	$offset = $offset < 0 ? 0 : $offset;
	
	$conditions = '';
	$conditionsAry = editWhere();
	$conditions= $conditionsAry['sql'];
	if ('' != $conditions) {
		$conditions = "WHERE ". $conditions;
	}
	$listOrder = ' ' . editDbItemName(arryVal($_REQUEST, 'sort_item_name')) . ' ' . (arryVal($_REQUEST, 'sort_order')=='A' ? 'ASC' : 'DESC');

$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<004>>　start--------------------------------------------
			sh.products, --  商品ＣＤ
			sh.productsname, --  商品名
			sh.biztype, --  業種ID
			sh.category, --  大分類
			sh.subcategory, --  中分類
			sh.extracategory, --  小分類
			sh.openkbn --  当データ公開区分
		-- ■--PGM<<004>>　end--------------------------------------------


FROM m_shohin sh 
 $conditions 
ORDER BY  $listOrder 
LIMIT $offset, $limit
__SQL__;
	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);
	
	// 全件数
	$sql = <<<__SQL__
SELECT count(*) 
FROM m_shohin sh
 $conditions
__SQL__;
	$result2 = dbPrepareExeGetRow($db, $sql, $conditionsAry['data']);
	$count = $result2['count(*)'];

	$pageNavi =new PageNavi(array(
		'totalItems' => $count,
		'perPage'    => $limit,
		//'prevPageNaviText'  => '',
		//'prevPageNaviSpace' => '',
		//'firstPageSpace'    => '',
		//'prevImg'           => '前へ',
		//'nextImg'           => '次へ',
		//'lastPageSpace'     => '',
		//'nextPageNaviSpace' => '',
		//'nextPageNaviText'  => '',
		//'firstPageTextFlag' => '0',
		//'lastPageTextFlag'  => '0',
		'extraVars' => array('mode'=>'list_back')
	),'0');
	$pager = $pageNavi->getHTML();
	$_REQUEST['pager'] = $pager;

}

// 更新
function updTbl() {
	global $db, $err, $o;

	$conditionsDataAry = array();
	if(!$err) {
		$conditionsDataAry[] = arryVal($_REQUEST, 'products');

		$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			sh.*, date_format(sh.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(sh.insdt, '%Y') AS insdt_year ,
			date_format(sh.insdt, '%m') AS insdt_month ,
			date_format(sh.insdt, '%d') AS insdt_day ,
			date_format(sh.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(sh.updt, '%Y') AS updt_year ,
			date_format(sh.updt, '%m') AS updt_month ,
			date_format(sh.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM m_shohin sh 
WHERE sh.products = ?

__SQL__;
		$msg = '指定された商品情報は削除されています。' . ' 商品ＣＤ=' . arryVal($_REQUEST, 'products') ; // 削除されている
		$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
		if (empty($o)) {
			return $msg; // 削除されている
		}
	}
}

// 詳細
function detailTbl() {
	global $db, $o;

	$conditionsDataAry = array();
	$conditionsDataAry[] = arryVal($_REQUEST, 'products');

	$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			sh.*, date_format(sh.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(sh.insdt, '%Y') AS insdt_year ,
			date_format(sh.insdt, '%m') AS insdt_month ,
			date_format(sh.insdt, '%d') AS insdt_day ,
			date_format(sh.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(sh.updt, '%Y') AS updt_year ,
			date_format(sh.updt, '%m') AS updt_month ,
			date_format(sh.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM m_shohin sh 
WHERE sh.products = ?

__SQL__;
	$msg = '指定された商品情報は削除されています。' . ' 商品ＣＤ=' . arryVal($_REQUEST, 'products') ; // 削除されている
	$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	if (empty($o)) {
		return $msg; // 削除されている
	}
}

// 追加実行
function insDoTbl() {
	global $db;

	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		$_REQUEST['products'] =  getDbSeq($db, 'm_shohin', $_REQUEST); // 商品ＣＤ
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'products'     => arryVal($_REQUEST, 'products'), // 商品ＣＤ
			'productsname'     => arryVal($_REQUEST, 'productsname'), // 商品名
			'biztype'     => arryVal($_REQUEST, 'biztype'), // 業種ID
			'category'     => arryVal($_REQUEST, 'category'), // 大分類
			'subcategory'     => arryVal($_REQUEST, 'subcategory'), // 中分類
			'extracategory'     => arryVal($_REQUEST, 'extracategory'), // 小分類
			'openkbn'     => arryVal($_REQUEST, 'openkbn'), // 当データ公開区分
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);






		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$res = dbPrepareExeInsert($db, 'm_shohin', $columns);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された商品情報は登録されています。' . ' 商品ＣＤ=' . arryVal($_REQUEST, 'products') ; // 登録されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}


}

// 更新実行
function updDoTbl() {
	global $db;
	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'productsname'     => arryVal($_REQUEST, 'productsname'), // 商品名
			'biztype'     => arryVal($_REQUEST, 'biztype'), // 業種ID
			'category'     => arryVal($_REQUEST, 'category'), // 大分類
			'subcategory'     => arryVal($_REQUEST, 'subcategory'), // 中分類
			'extracategory'     => arryVal($_REQUEST, 'extracategory'), // 小分類
			'openkbn'     => arryVal($_REQUEST, 'openkbn'), // 当データ公開区分
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);






		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}
		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "products = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'products');

		$res = dbPrepareExeUpdate($db, 'm_shohin', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された商品情報は削除されています。' . ' 商品ＣＤ=' . arryVal($_REQUEST, 'products') ; // 削除されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 削除実行
function delDoTbl() {
	global $db;

	try {	





		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "products = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'products');

		$res = dbPrepareExeDelete($db, 'm_shohin', $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された商品情報は削除されています。' . ' 商品ＣＤ=' . arryVal($_REQUEST, 'products') ; // 削除されている
		}

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}
}


?>