<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../common_user.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');

// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, true) == false) { // ユーザ側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_corp',
	't_corp', 'co', 'CORPCD', 'CORPNM', '', 'deldt');

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

//--　ユーザログインチェック必要　Start---
switch($mode) {
case 'upd_back':    // 確認からの戻り
case 'upd':    // 登録
case 'upd_confirm': // 確認
case 'upd_do': // 登録の実行

	if (( '' == arryVal($_SESSION, 'u_login_id_login')) &&  // ユーザのログイン
		( arryVal($_SESSION, 'login_type') != '1' && arryVal($_SESSION, 'login_type') != '2' && arryVal($_SESSION, 'login_type') != '3')) { // 管理者のログイン
		$_SESSION['req_url'] = $_SERVER["REQUEST_URI"];
		sendRedirectExit('/kaz01u/index1.php');
	}
}
//--　ユーザログインチェック必要　End---

switch($mode) {
case 'ins_back':    // 確認からの戻り




	$mode = 'ins';
	break;

case 'ins':    // 登録
	break;

case 'ins_confirm': // 確認
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'ins';
	}
	$_REQUEST['hiddens'] = makeHidden( array_diff($_REQUEST, array('mode' => 'ins_confirm')));
	break;

case 'ins_do': // 登録の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'ins';




	}
	break;

case 'upd_back':    // 確認からの戻り




	break;

case 'upd':    // 登録
	break;

case 'upd_confirm': // 確認
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'upd';




	}
	$_REQUEST['hiddens'] = makeHidden( array_diff($_REQUEST, array('mode' => 'upd_confirm')));
	break;

case 'upd_do': // 登録の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'upd';
	}
	break;


default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
case 'ins_confirm': // 確認
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	$mode = 'complete';
	$o['mode']=$mode;
	break;

case 'upd':// 登録
	updTbl();
	break;

case 'upd_back':    // 確認からの戻り
	$mode = 'upd';
	break;

case 'upd_confirm': // 確認
	break;

case 'upd_do': // 登録実行
	updDoTbl();
	$mode = 'complete';
	$o['mode']=$mode;
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . '/car/carUaddRegisterView.htm_');
	
	
	carUaddRegisterView($o, $err);
	break;

case 'ins_confirm':  // 確認
	// 確認　画面
	require_once(DIR_VIEW . '/car/carUaddConfirmView.htm_');
	carUaddConfirmView($o, $err);
	break;

case 'upd':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . '/car/carUaddAmendView.htm_');
	carUaddAmendView($o, $err);
	break;

case 'upd_confirm':  // 確認
	// 確認　画面
	require_once(DIR_VIEW . '/car/carUaddConfirmView.htm_');
	carUaddConfirmView($o, $err);
	break;


case 'complete':  // 完了
	// 完了　画面
	require_once(DIR_VIEW . '/car/carUaddCompleteView.htm_');
	carUaddCompleteView($o, $err);
	break;

}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 法人ID
		if ($mode == 'ins_do') {
			$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "法人ID",  $result, "corpcd", "ary_lrgmidsml_corp", true,'0', $chk_indelkbn);
		}
		// ID

		// 車名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "車名",  $result, "carname", CON_CHK_ANY, 10, false, true,'0');
		// 有効フラグ
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "有効フラグ",  $result, "u_yuko_flg", "YUKO_FLG", true,'0');

		if ($mode == 'ins_do' && !chkError($errorMessages)) { // 追加かつ、エラーなし
			$keychecks = array ();
			$keychecks['corpcd'] = $vars['corpcd'];
			$rtn = carGetRec($db, $keychecks);
			if(!empty($rtn)) {
				$errorMessages['corpcd'] = 'すでに登録されています。';
			}
		}
		// ■--PGM<<008>>　end--------------------------------------------


if ($mode=='ins_confirm' || $mode=='upd_confirm') {


}
if ($mode=='ins_confirm' || $mode=='upd_confirm') {


}
	
	return $errorMessages;
}

// 更新
function updTbl() {
	global $db, $err, $o;

	$conditionsDataAry = array();
	if(!$err) {
		$conditionsDataAry[] = arryVal($_REQUEST, 'corpcd');
	$conditionsDataAry[] = arryVal($_REQUEST, 'id');

		$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			cr.*		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM m_car cr 
WHERE cr.corpcd = ?
 AND cr.id = ?

__SQL__;
		$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	}
}

// 追加実行
function insDoTbl() {
	global $db;
	global $smarty;
	global $ELEMENTS,$AppDbCd;
	try {	

		
		// ■--PGM<<010>>　start--------------------------------------------
		$_REQUEST['id'] =  getDbSeq($db, 'm_car', $_REQUEST); // ID
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'corpcd'     => arryVal($_REQUEST, 'corpcd'), // 法人ID
			'id'     => arryVal($_REQUEST, 'id'), // ID
			'carname'     => arryVal($_REQUEST, 'carname'), // 車名
			'u_yuko_flg'     => arryVal($_REQUEST, 'u_yuko_flg'), // 有効フラグ
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);







		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$res = dbPrepareExeInsert($db, 'm_car', $columns);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された車情報は登録されています。' . ' 法人ID=' . arryVal($_REQUEST, 'corpcd')  . ' ID=' . arryVal($_REQUEST, 'id') ; // 登録されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

	// ユーザー宛
	$mailbody =  $smarty->fetch('./mail/automail_header.tpl');
	
		// ■--PGM<<010>>　start--------------------------------------------
	$smarty->assign('corpcd', $AppDbCd->getLrgEleVal('ary_lrgmidsml_corp', arryVal($_REQUEST, 'corpcd'), '0')); // 法人ID
	$smarty->assign('id', arryVal($_REQUEST, 'id')); // ID
	$smarty->assign('carname', arryVal($_REQUEST, 'carname')); // 車名
	$smarty->assign('u_yuko_flg', $ELEMENTS['YUKO_FLG'][arryVal($_REQUEST, 'u_yuko_flg')]['0']); // 有効フラグ
		// ■--PGM<<010>>　end--------------------------------------------


	$mailbody .= $smarty->fetch('./mail/carUadd.tpl');

	$smarty->assign('mail_kbn', '★mail_kbnを記述してください★');
	$mailbody .= $smarty->fetch('./mail/mail_footer.tpl');
	//mailSender( '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), ADMIN_FROM_NAME, ADMIN_FROM_ADDRESS, MEM_USER_SUBJECT, $mailbody );

	// 管理者宛
	//mailSender( ADMIN_TO_NAME, ADMIN_TO_ADDRESS, '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), MEM_ADMIN_SUBJECT, $mailbody );

}

// 更新実行
function updDoTbl() {
	global $db;
	global $smarty;
	global $ELEMENTS,$AppDbCd;
	try {	

	
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'carname'     => arryVal($_REQUEST, 'carname'), // 車名
			'u_yuko_flg'     => arryVal($_REQUEST, 'u_yuko_flg'), // 有効フラグ
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);






		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "corpcd = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'corpcd');
		$keyAry['sql'] = $keyAry['sql']  . " AND id = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'id');

		$res = dbPrepareExeUpdate($db, 'm_car', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された車情報は削除されています。' . ' 法人ID=' . arryVal($_REQUEST, 'corpcd')  . ' ID=' . arryVal($_REQUEST, 'id') ; // 削除されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

	// ユーザー宛
	$mailbody =  $smarty->fetch('./mail/automail_header.tpl');
	
		// ■--PGM<<010>>　start--------------------------------------------
	$smarty->assign('corpcd', $AppDbCd->getLrgEleVal('ary_lrgmidsml_corp', arryVal($_REQUEST, 'corpcd'), '0')); // 法人ID
	$smarty->assign('id', arryVal($_REQUEST, 'id')); // ID
	$smarty->assign('carname', arryVal($_REQUEST, 'carname')); // 車名
	$smarty->assign('u_yuko_flg', $ELEMENTS['YUKO_FLG'][arryVal($_REQUEST, 'u_yuko_flg')]['0']); // 有効フラグ
		// ■--PGM<<010>>　end--------------------------------------------


	$mailbody .= $smarty->fetch('./mail/carUadd.tpl');

	$smarty->assign('mail_kbn', '★mail_kbnを記述してください★');
	$mailbody .= $smarty->fetch('./mail/mail_footer.tpl');
	//mailSender( '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), ADMIN_FROM_NAME, ADMIN_FROM_ADDRESS, MEM_USER_SUBJECT, $mailbody );

	// 管理者宛
	//mailSender( ADMIN_TO_NAME, ADMIN_TO_ADDRESS, '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), MEM_ADMIN_SUBJECT, $mailbody );
}

?>