<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../common_user.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');

// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, true) == false) { // ユーザ側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

//--　ユーザログインチェック必要　Start---
switch($mode) {
case 'upd_back':    // 確認からの戻り
case 'upd':    // 登録
case 'upd_confirm': // 確認
case 'upd_do': // 登録の実行

	if (( '' == arryVal($_SESSION, 'u_login_id_login')) &&  // ユーザのログイン
		( arryVal($_SESSION, 'login_type') != '1' && arryVal($_SESSION, 'login_type') != '2' && arryVal($_SESSION, 'login_type') != '3')) { // 管理者のログイン
		$_SESSION['req_url'] = $_SERVER["REQUEST_URI"];
		sendRedirectExit('/kaz01u/index1.php');
	}
}
//--　ユーザログインチェック必要　End---

switch($mode) {
case 'ins_back':    // 確認からの戻り
		$_REQUEST['map'] = arryVal($_REQUEST, 'old_map');




	$mode = 'ins';
	break;

case 'ins':    // 登録
	break;

case 'ins_confirm': // 確認
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'ins';
	}
	$_REQUEST['hiddens'] = makeHidden( array_diff($_REQUEST, array('mode' => 'ins_confirm')));
	break;

case 'ins_do': // 登録の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'ins';
		$_REQUEST['map'] = arryVal($_REQUEST, 'old_map');




	}
	break;

case 'upd_back':    // 確認からの戻り
		$_REQUEST['map'] = arryVal($_REQUEST, 'old_map');




	break;

case 'upd':    // 登録
	break;

case 'upd_confirm': // 確認
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'upd';
		$_REQUEST['map'] = arryVal($_REQUEST, 'old_map');




	}
	$_REQUEST['hiddens'] = makeHidden( array_diff($_REQUEST, array('mode' => 'upd_confirm')));
	break;

case 'upd_do': // 登録の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'upd';
	}
	break;


default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
case 'ins_confirm': // 確認
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	$mode = 'complete';
	$o['mode']=$mode;
	break;

case 'upd':// 登録
	updTbl();
	break;

case 'upd_back':    // 確認からの戻り
	$mode = 'upd';
	break;

case 'upd_confirm': // 確認
	break;

case 'upd_do': // 登録実行
	updDoTbl();
	$mode = 'complete';
	$o['mode']=$mode;
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . '/corp/corpUaddRegisterView.htm_');
	
	
	corpUaddRegisterView($o, $err);
	break;

case 'ins_confirm':  // 確認
	// 確認　画面
	require_once(DIR_VIEW . '/corp/corpUaddConfirmView.htm_');
	corpUaddConfirmView($o, $err);
	break;

case 'upd':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . '/corp/corpUaddAmendView.htm_');
	corpUaddAmendView($o, $err);
	break;

case 'upd_confirm':  // 確認
	// 確認　画面
	require_once(DIR_VIEW . '/corp/corpUaddConfirmView.htm_');
	corpUaddConfirmView($o, $err);
	break;


case 'complete':  // 完了
	// 完了　画面
	require_once(DIR_VIEW . '/corp/corpUaddCompleteView.htm_');
	corpUaddCompleteView($o, $err);
	break;

}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 企業ID

		// 会社名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名",  $result, "corpnm", CON_CHK_FULL, 40, false, true,'0');
		// 会社名（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社名（フリガナ）",  $result, "corpkn", CON_CHK_FULL_KANA, 40, false, true,'0');
		// 会社住所・郵便番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・郵便番号",  $result, "psno", CON_CHK_POST, 8, false, true,'0');
		// 会社住所・都道府県
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "会社住所・都道府県",  $result, "tdfknm", "CITY", true,'0');
		// 会社住所・住所1
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・住所1",  $result, "adrs1", CON_CHK_FULL, 40, false, true,'0');
		// 会社住所・住所2
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "会社住所・住所2",  $result, "adrs2", CON_CHK_FULL, 40, false, false,'0');
		// 会社住所・地図
		$result = AppCheckUtil::checkPhoto($errorMessages, "会社住所・地図",  $result, "map", false,'0');
		// 担当者・部署名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・部署名",  $result, "depart", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・役職名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・役職名",  $result, "post", CON_CHK_FULL, 40, false, false,'0');
		// 担当者・姓
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・姓",  $result, "tansei", CON_CHK_FULL, 40, false, true,'0');
		// 担当者・名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・名",  $result, "tanmei", CON_CHK_FULL, 40, false, true,'0');
		// 担当者・セイ（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・セイ（フリガナ）",  $result, "tanseijco", CON_CHK_FULL_KANA, 80, false, true,'0');
		// 担当者・メイ（フリガナ）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・メイ（フリガナ）",  $result, "tanmeijco", CON_CHK_FULL_KANA, 80, false, true,'0');
		// 担当者・電話番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・電話番号",  $result, "telno", CON_CHK_TEL, 15, false, true,'0');
		// 担当者・FAX番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・FAX番号",  $result, "faxno", CON_CHK_TEL, 15, false, false,'0');
		// 担当者・メールアドレス
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "担当者・メールアドレス",  $result, "mladrs", CON_CHK_EMAIL, 50, false, true,'0');
		// 業種ID
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "業種ID",  $result, "biztype", CON_CHK_HALF_DIGIT, 10, false, true,'0');
		//  業種
		$tmp = array();
		$biztypeRec = biztypeGetRec($db, $vars);
		if (empty($biztypeRec)) {
		   $vars['bizname'] = '';
		} else {
		   $vars['bizname'] = $biztypeRec['bizname'];
		}

		// 公開区分
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "公開区分",  $result, "openkbn", "OPN_KBN", true,'0');

		// ■--PGM<<008>>　end--------------------------------------------


if ($mode=='ins_confirm' || $mode=='upd_confirm') {
	$itemNames = array();
	$itemNames[] = 'map';
	setPhotoTemp($itemNames, $vars);


}
if ($mode=='ins_confirm' || $mode=='upd_confirm') {


}
	
	return $errorMessages;
}

// 更新
function updTbl() {
	global $db, $err, $o;

	$conditionsDataAry = array();
	if(!$err) {
		$conditionsDataAry[] = arryVal($_REQUEST, 'corpcd');

		$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			co.*, bt.bizname  --  業種
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM t_corp co left join m_biztype bt on (co.biztype = bt.biztype)  
WHERE co.corpcd = ?
 AND (co.deldt IS NULL OR co.deldt  = '0000/00/00 00:00:00') 
__SQL__;
		$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	}
}

// 追加実行
function insDoTbl() {
	global $db;
	global $smarty;
	global $ELEMENTS,$AppDbCd;
	try {	

		
		// ■--PGM<<010>>　start--------------------------------------------
		$_REQUEST['corpcd'] =  getDbSeq($db, 't_corp', $_REQUEST); // 法人ID
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'corpcd'     => arryVal($_REQUEST, 'corpcd'), // 法人ID
			'corpnm'     => arryVal($_REQUEST, 'corpnm'), // 企業名
			'corpkn'     => arryVal($_REQUEST, 'corpkn'), // 企業名（カナ）
			'psno'     => arryVal($_REQUEST, 'psno'), // 郵便番号
			'tdfknm'     => arryVal($_REQUEST, 'tdfknm'), // 都道府県コード
			'adrs1'     => arryVal($_REQUEST, 'adrs1'), // 住所1
			'adrs2'     => arryVal($_REQUEST, 'adrs2'), // 住所2
			'map'     => arryVal($_REQUEST, 'map'), // 地図
			'depart'     => arryVal($_REQUEST, 'depart'), // 部署名
			'post'     => arryVal($_REQUEST, 'post'), // 役職名
			'tansei'     => arryVal($_REQUEST, 'tansei'), // 担当者姓
			'tanmei'     => arryVal($_REQUEST, 'tanmei'), // 担当者名
			'tanseijco'     => arryVal($_REQUEST, 'tanseijco'), // 担当者姓フリガナ
			'tanmeijco'     => arryVal($_REQUEST, 'tanmeijco'), // 担当者名フリガナ
			'telno'     => arryVal($_REQUEST, 'telno'), // 電話番号
			'faxno'     => arryVal($_REQUEST, 'faxno'), // ＦＡＸ番号
			'mladrs'     => arryVal($_REQUEST, 'mladrs'), // メールアドレス
			'biztype'     => arryVal($_REQUEST, 'biztype'), // 業種ID
			'openkbn'     => arryVal($_REQUEST, 'openkbn'), // 当データ公開区分
			'deldt'     => '0000/00/00 00:00:00', // 削除日時
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);

		$itemNames = array();
		$itemNames[] = 'map';
		setAndDelPhotoTemp('corp', $columns['corpcd'] , $itemNames, $columns, 'ins_do');
	





		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$res = dbPrepareExeInsert($db, 't_corp', $columns);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された企業情報は登録されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 登録されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

	// ユーザー宛
	$mailbody =  $smarty->fetch('./mail/automail_header.tpl');
	
		// ■--PGM<<010>>　start--------------------------------------------
	$smarty->assign('corpcd', arryVal($_REQUEST, 'corpcd')); // 法人ID
	$smarty->assign('corpnm', arryVal($_REQUEST, 'corpnm')); // 企業名
	$smarty->assign('corpkn', arryVal($_REQUEST, 'corpkn')); // 企業名（カナ）
	$smarty->assign('psno', arryVal($_REQUEST, 'psno')); // 郵便番号
	$smarty->assign('tdfknm', $ELEMENTS['CITY'][arryVal($_REQUEST, 'tdfknm')]['0']); // 都道府県コード
	$smarty->assign('adrs1', arryVal($_REQUEST, 'adrs1')); // 住所1
	$smarty->assign('adrs2', arryVal($_REQUEST, 'adrs2')); // 住所2
	$smarty->assign('map', arryVal($_REQUEST, 'map')); // 地図
	$smarty->assign('depart', arryVal($_REQUEST, 'depart')); // 部署名
	$smarty->assign('post', arryVal($_REQUEST, 'post')); // 役職名
	$smarty->assign('tansei', arryVal($_REQUEST, 'tansei')); // 担当者姓
	$smarty->assign('tanmei', arryVal($_REQUEST, 'tanmei')); // 担当者名
	$smarty->assign('tanseijco', arryVal($_REQUEST, 'tanseijco')); // 担当者姓フリガナ
	$smarty->assign('tanmeijco', arryVal($_REQUEST, 'tanmeijco')); // 担当者名フリガナ
	$smarty->assign('telno', arryVal($_REQUEST, 'telno')); // 電話番号
	$smarty->assign('faxno', arryVal($_REQUEST, 'faxno')); // ＦＡＸ番号
	$smarty->assign('mladrs', arryVal($_REQUEST, 'mladrs')); // メールアドレス
	$smarty->assign('biztype', arryVal($_REQUEST, 'biztype')); // 業種ID
	$smarty->assign('openkbn', $ELEMENTS['OPN_KBN'][arryVal($_REQUEST, 'openkbn')]['0']); // 当データ公開区分
		// ■--PGM<<010>>　end--------------------------------------------


	$mailbody .= $smarty->fetch('./mail/corpUadd.tpl');

	$smarty->assign('mail_kbn', '★mail_kbnを記述してください★');
	$mailbody .= $smarty->fetch('./mail/mail_footer.tpl');
	//mailSender( '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), ADMIN_FROM_NAME, ADMIN_FROM_ADDRESS, MEM_USER_SUBJECT, $mailbody );

	// 管理者宛
	//mailSender( ADMIN_TO_NAME, ADMIN_TO_ADDRESS, '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), MEM_ADMIN_SUBJECT, $mailbody );

}

// 更新実行
function updDoTbl() {
	global $db;
	global $smarty;
	global $ELEMENTS,$AppDbCd;
	try {	

	
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'corpnm'     => arryVal($_REQUEST, 'corpnm'), // 企業名
			'corpkn'     => arryVal($_REQUEST, 'corpkn'), // 企業名（カナ）
			'psno'     => arryVal($_REQUEST, 'psno'), // 郵便番号
			'tdfknm'     => arryVal($_REQUEST, 'tdfknm'), // 都道府県コード
			'adrs1'     => arryVal($_REQUEST, 'adrs1'), // 住所1
			'adrs2'     => arryVal($_REQUEST, 'adrs2'), // 住所2
			'map'     => arryVal($_REQUEST, 'map'), // 地図
			'depart'     => arryVal($_REQUEST, 'depart'), // 部署名
			'post'     => arryVal($_REQUEST, 'post'), // 役職名
			'tansei'     => arryVal($_REQUEST, 'tansei'), // 担当者姓
			'tanmei'     => arryVal($_REQUEST, 'tanmei'), // 担当者名
			'tanseijco'     => arryVal($_REQUEST, 'tanseijco'), // 担当者姓フリガナ
			'tanmeijco'     => arryVal($_REQUEST, 'tanmeijco'), // 担当者名フリガナ
			'telno'     => arryVal($_REQUEST, 'telno'), // 電話番号
			'faxno'     => arryVal($_REQUEST, 'faxno'), // ＦＡＸ番号
			'mladrs'     => arryVal($_REQUEST, 'mladrs'), // メールアドレス
			'biztype'     => arryVal($_REQUEST, 'biztype'), // 業種ID
			'openkbn'     => arryVal($_REQUEST, 'openkbn'), // 当データ公開区分
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);

		$itemNames = array();
		$itemNames[] = 'map';
		setAndDelPhotoTemp('corp', $_REQUEST['corpcd'] , $itemNames, $columns, 'upd_do');
	




		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "corpcd = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'corpcd');
	$keyAry['sql'] = $keyAry['sql']  . " AND  (deldt IS NULL OR deldt  = '0000/00/00 00:00:00') ";

		$res = dbPrepareExeUpdate($db, 't_corp', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された企業情報は削除されています。' . ' 企業ID=' . arryVal($_REQUEST, 'corpcd') ; // 削除されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

	// ユーザー宛
	$mailbody =  $smarty->fetch('./mail/automail_header.tpl');
	
		// ■--PGM<<010>>　start--------------------------------------------
	$smarty->assign('corpcd', arryVal($_REQUEST, 'corpcd')); // 法人ID
	$smarty->assign('corpnm', arryVal($_REQUEST, 'corpnm')); // 企業名
	$smarty->assign('corpkn', arryVal($_REQUEST, 'corpkn')); // 企業名（カナ）
	$smarty->assign('psno', arryVal($_REQUEST, 'psno')); // 郵便番号
	$smarty->assign('tdfknm', $ELEMENTS['CITY'][arryVal($_REQUEST, 'tdfknm')]['0']); // 都道府県コード
	$smarty->assign('adrs1', arryVal($_REQUEST, 'adrs1')); // 住所1
	$smarty->assign('adrs2', arryVal($_REQUEST, 'adrs2')); // 住所2
	$smarty->assign('map', arryVal($_REQUEST, 'map')); // 地図
	$smarty->assign('depart', arryVal($_REQUEST, 'depart')); // 部署名
	$smarty->assign('post', arryVal($_REQUEST, 'post')); // 役職名
	$smarty->assign('tansei', arryVal($_REQUEST, 'tansei')); // 担当者姓
	$smarty->assign('tanmei', arryVal($_REQUEST, 'tanmei')); // 担当者名
	$smarty->assign('tanseijco', arryVal($_REQUEST, 'tanseijco')); // 担当者姓フリガナ
	$smarty->assign('tanmeijco', arryVal($_REQUEST, 'tanmeijco')); // 担当者名フリガナ
	$smarty->assign('telno', arryVal($_REQUEST, 'telno')); // 電話番号
	$smarty->assign('faxno', arryVal($_REQUEST, 'faxno')); // ＦＡＸ番号
	$smarty->assign('mladrs', arryVal($_REQUEST, 'mladrs')); // メールアドレス
	$smarty->assign('biztype', arryVal($_REQUEST, 'biztype')); // 業種ID
	$smarty->assign('openkbn', $ELEMENTS['OPN_KBN'][arryVal($_REQUEST, 'openkbn')]['0']); // 当データ公開区分
		// ■--PGM<<010>>　end--------------------------------------------


	$mailbody .= $smarty->fetch('./mail/corpUadd.tpl');

	$smarty->assign('mail_kbn', '★mail_kbnを記述してください★');
	$mailbody .= $smarty->fetch('./mail/mail_footer.tpl');
	//mailSender( '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), ADMIN_FROM_NAME, ADMIN_FROM_ADDRESS, MEM_USER_SUBJECT, $mailbody );

	// 管理者宛
	//mailSender( ADMIN_TO_NAME, ADMIN_TO_ADDRESS, '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), MEM_ADMIN_SUBJECT, $mailbody );
}

?>