<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../common_user.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('AppDbCdUtil.php');

// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;
$backList = '';

$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

//--　ユーザログインチェック必要　Start---
switch($mode) {
case '':   // 指定なし
case 'list':   // 一覧
case 'list_do'://検索実行
case 'list_up_dwn':   // 一覧昇順降順
case 'list_back'://詳細、変更から戻ったとき

	if (( '' == arryVal($_SESSION, 'u_login_id_login')) &&  // ユーザのログイン
		( arryVal($_SESSION, 'login_type') != '1' && arryVal($_SESSION, 'login_type') != '2' && arryVal($_SESSION, 'login_type') != '3')) { // 管理者のログイン
		$_SESSION['req_url'] = $_SERVER["REQUEST_URI"];
		sendRedirectExit('/kaz01u/index1.php');
	}
}
//--　ユーザログインチェック必要　End---
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_category',
	'm_category', 'ca', 'category', 'catname', 'catengname', 'deldt',
	'm_subcategory', 'cs', 'category', 'subcategory', 'subcatname', 'subcatengname', 'deldt',
	'm_extracategory', 'ce', 'category', 'subcategory', 'extracategory', 'excatname', 'excatengname', 'deldt');
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_biztype',
	'm_biztype', 'bt', 'biztype', 'bizname', '', 'deldt');

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'list':   // 一覧
	$_SESSION['search'] = null;
	$_REQUEST['sort_item_name'] = 'products';
	$_REQUEST['sort_order'] = 'A';
	$_SESSION['search'] = $_REQUEST;
	break;

case 'list_new': // 登録日時降順検索実行
	break;

case 'ins':    // 登録
case 'detail': // 詳細
	break;

case 'detail_new'; // 詳細 (登録日時降順リストから)
	$backList = 'list_new';
	$mode = 'detail';
	break;

case 'list_do'://検索実行
	$err = srchValidCheck($_REQUEST);

	$_REQUEST['sort_item_name'] = 'products';
	$_REQUEST['sort_order'] = 'A';

	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		$_SESSION['search'] = null;
	} else {
		$_SESSION['search'] = $_REQUEST;
	}
	$mode = 'list';
	break;

case 'list_up_dwn':   // 一覧昇順降順
	$ses =& $_SESSION['search'];  // 必ずセッションに検索条件が入っている
	$ses['sort_item_name'] = arryVal($_REQUEST, 'sort_item_name');
	$ses['sort_order'] = arryVal($_REQUEST, 'sort_order')=='A' ? 'D' : 'A'; // 空白はAにする
	$ses['pageID'] = 1; // ページは初期に戻す
	// このままlist_backのロジックを行う。
case 'list_back'://詳細、変更から戻ったとき
	if( isset( $_REQUEST['pageID'] ) ){
		$pageID = $_REQUEST['pageID']??0;
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['pageID'] = $pageID;
		$_SESSION['search'] = $_REQUEST;
	} else {
		$_REQUEST = $_SESSION['search'];
	}
	$o =& $_REQUEST; // output用（FORMからの入力値）
	$mode = 'list';
	break;

default:
	$mode = 'list';
	$_REQUEST['sort_item_name'] = 'products';
	$_REQUEST['sort_order'] = 'A';
	$_SESSION['search'] = $_REQUEST;
}

$o['mode']=$mode;

switch($mode) {
case 'list': // 一覧表示
	if (empty($err)) {
		editList();
	}
	break;

case 'list_new': // 登録日時降順検索実行
	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();
	$conditionsAry['sql']= "openkbn = '1' ";

	editFreeList($conditionsAry, ' insdt DESC ');
	break;

case 'detail':  // 詳細
	detailTbl();
	$o['backList'] = $backList;
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'detail':  // 詳細
	// 詳細　画面
	require_once(DIR_VIEW . '/shohin/shohinUDetailView.htm_');
	shohinUDetailView($o, $err);
	break;

case 'list': // リスト
	// リスト　画面
	require_once(DIR_VIEW . '/shohin/shohinUListView.htm_');
	shohinUListView($o, $err, $result);
	break;

case 'list_new': // 登録日時降順検索実行
	// 登録日時降順画面
	require_once(DIR_VIEW . '/shohin/shohinUNewListView.htm_');
	shohinUNewListView($o, $err, $result);

}


// 検索条件設定
function editWhere() {
	global $db;

	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();
	
		// ■--PGM<<003>>　start--------------------------------------------

		//  SQL条件文設定
		// 商品ＣＤ
		if (('' != arryVal($_REQUEST, 'srch_products'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.products = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_products'); // 完全一致
		}
		// 商品名	
		if (('' != arryVal($_REQUEST, 'srch_productsname'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " productsname LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_productsname') . "%";

		}
		// 業種ID
		if (('' != arryVal($_REQUEST, 'srch_biztype'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.biztype = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_biztype'); // 完全一致
		}
		// 大分類
		if (('' != arryVal($_REQUEST, 'srch_category'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.category = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_category'); // 完全一致
		}
		// 中分類
		if (('' != arryVal($_REQUEST, 'srch_subcategory'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.subcategory = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_subcategory'); // 完全一致
		}
		// 小分類
		if (('' != arryVal($_REQUEST, 'srch_extracategory'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " sh.extracategory = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_extracategory'); // 完全一致
		}
		AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
		$conditionsAry['sql'] .= " openkbn = '1' ";

		// ■--PGM<<003>>　end--------------------------------------------


	
	return $conditionsAry;
}


// 検索条件入力値のチェック
function srchValidCheck(&$vars) {
	global $o;
    $chk_indelkbn = '1';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<002>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 商品ＣＤ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品ＣＤ",  $result, "srch_products", CON_CHK_HALF_LETTER_DIGIT, 10, false, false,'0');
		// 商品名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "商品名",  $result, "srch_productsname", CON_CHK_ANY, 50, false, false,'0');
		// 業種ID
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "業種ID",  $result, "srch_biztype", "ary_lrgmidsml_biztype", false,'0', $chk_indelkbn);
		// 大分類
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "大分類",  $result, "srch_category", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);
		// 中分類
		$result = AppCheckUtil::checkMidCodeValue($vars, $errorMessages, "中分類",  $result, "srch_category", "srch_subcategory", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);
		// 小分類
		$result = AppCheckUtil::checkSmlCodeValue($vars, $errorMessages, "小分類",  $result, "srch_category", "srch_subcategory", "srch_extracategory", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);

		//  検索条件入力チェック
		// if (!(chkError($errorMessages)) && (
			// ('' == $vars['srch_products']) && 
			// ('' == $vars['srch_productsname']) && 
			// ('' == $vars['srch_biztype']) && 
			// ('' == $vars['srch_category']) && 
			// ('' == $vars['srch_subcategory']) && 
			// ('' == $vars['srch_extracategory']) )) {
			// 検索条件を入力してください。
			// $errorMessages['srch_topErrMessage'] = '検索条件を一つ以上入力してください。';
		// }

		// ■--PGM<<002>>　end--------------------------------------------



	return $errorMessages;
}


// リストの編集
function editList() {
	global $db, $limit, $count, $pager, $result, $offset;

	$limit = 10; // 表示件数
	$offset = ( intval($_REQUEST['pageID']??0) -1) * $limit ;
	$offset = $offset < 0 ? 0 : $offset;
	
	$conditions = '';
$conditionsAry = editWhere();
$conditions= $conditionsAry['sql'];
if ('' != $conditions) {
	$conditions = "WHERE ". $conditions;
}
$listOrder = ' ' . editDbItemName(arryVal($_REQUEST, 'sort_item_name')) . ' ' . (arryVal($_REQUEST, 'sort_order')=='A' ? 'ASC' : 'DESC');

$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<004>>　start--------------------------------------------
			sh.products, --  商品ＣＤ
			sh.productsname, --  商品名
			sh.biztype, --  業種ID
			sh.category, --  大分類
			sh.subcategory, --  中分類
			sh.extracategory --  小分類
		-- ■--PGM<<004>>　end--------------------------------------------


FROM m_shohin sh 
 $conditions 
ORDER BY  $listOrder 
LIMIT $offset, $limit
__SQL__;
	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);
	
	// 全件数
	$sql = <<<__SQL__
SELECT count(*) 
FROM m_shohin sh
 $conditions
__SQL__;
	$result2 = dbPrepareExeGetRow($db, $sql, $conditionsAry['data']);
	$count = $result2['count(*)'];

	$pageNavi =new PageNavi(array(
		'totalItems' => $count,
		'perPage'    => $limit,
		//'prevPageNaviText'  => '',
		//'prevPageNaviSpace' => '',
		//'firstPageSpace'    => '',
		//'prevImg'           => '前へ',
		//'nextImg'           => '次へ',
		//'lastPageSpace'     => '',
		//'nextPageNaviSpace' => '',
		//'nextPageNaviText'  => '',
		//'firstPageTextFlag' => '0',
		//'lastPageTextFlag'  => '0',
		'extraVars' => array('mode'=>'list_back')
	),'0');
	$pager = $pageNavi->getHTML();
	$_REQUEST['pager'] = $pager;

}

// Freeリストの編集
function editFreeList($conditionsAry = array(), $order) {
	global $db, $limit, $result;

	$limit = 10; // 表示件数
	$conditions= $conditionsAry['sql'];

	
if ('' != $conditions) {
	$conditions = "WHERE ". $conditions;
}

$listOrder = $order;

$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<004>>　start--------------------------------------------
			sh.products, --  商品ＣＤ
			sh.productsname, --  商品名
			sh.biztype, --  業種ID
			sh.category, --  大分類
			sh.subcategory, --  中分類
			sh.extracategory --  小分類
		-- ■--PGM<<004>>　end--------------------------------------------


FROM m_shohin sh 
 $conditions 
ORDER BY  $listOrder 
LIMIT 0, $limit
__SQL__;
	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);

}

// 詳細
function detailTbl() {
	global $db, $o;

	$conditionsDataAry = array();
	$conditionsDataAry[] = arryVal($_REQUEST, 'products');

	$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			sh.products , --  商品ＣＤ
			sh.productsname , --  商品名
			sh.biztype , --  業種ID
			sh.category , --  大分類
			sh.subcategory , --  中分類
			sh.extracategory --  小分類
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM m_shohin sh 
WHERE sh.products = ?

__SQL__;
	$msg = '指定された商品情報は削除されています。' . ' 商品ＣＤ=' . arryVal($_REQUEST, 'products') ; // 削除されている
	$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	if (empty($o)) {
		return $msg; // 削除されている
	}

}

?>