<?php /* プルダウン・チェックボックス等で使用する要素の定義 */
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================

$ELEMENTS = array(
	// ログイン権限
	'LOGIN_TYPE' => array(
		'1'  => array('Super管理者','SuperAdmin'),
		'2'  => array('管理者','Admin'),
	),
	// 有効フラグ
	'YUKO_FLG' => array(
		'1'  => array('無効','Invalid'),
		'2'  => array('有効','Effect'),
	),
	// 有効／無効データ
	'DELDT_FLG' => array(
		'1'  => array('無効のみ',''),
		'2'  => array('有効のみ',''),
	),
	// 公開区分
	'OPN_KBN' => array(
		'1'  => array('公開','open'),
		'2'  => array('非公開','closed'),
	),
	// 都道府県
	'CITY' => array(
		'1'  => array('北海道',''),
		'2'  => array('青森県',''),
		'3'  => array('岩手県',''),
		'4'  => array('宮城県',''),
		'5'  => array('秋田県',''),
		'6'  => array('山形県',''),
		'7'  => array('福島県',''),
		'8'  => array('茨城県',''),
		'9'  => array('栃木県',''),
		'10'  => array('群馬県',''),
		'11'  => array('埼玉県',''),
		'12'  => array('千葉県',''),
		'13'  => array('東京都',''),
		'14'  => array('神奈川県',''),
		'15'  => array('新潟県',''),
		'16'  => array('富山県',''),
		'17'  => array('石川県',''),
		'18'  => array('福井県',''),
		'19'  => array('山梨県',''),
		'20'  => array('長野県',''),
		'21'  => array('岐阜県',''),
		'22'  => array('静岡県',''),
		'23'  => array('愛知県',''),
		'24'  => array('三重県',''),
		'25'  => array('滋賀県',''),
		'26'  => array('京都府',''),
		'27'  => array('大阪府',''),
		'28'  => array('兵庫県',''),
		'29'  => array('奈良県',''),
		'30'  => array('和歌山県',''),
		'31'  => array('鳥取県',''),
		'32'  => array('島根県',''),
		'33'  => array('岡山県',''),
		'34'  => array('広島県',''),
		'35'  => array('山口県',''),
		'36'  => array('徳島県',''),
		'37'  => array('香川県',''),
		'38'  => array('愛媛県',''),
		'39'  => array('高知県',''),
		'40'  => array('福岡県',''),
		'41'  => array('佐賀県',''),
		'42'  => array('長崎県',''),
		'43'  => array('熊本県',''),
		'44'  => array('大分県',''),
		'45'  => array('宮崎県',''),
		'46'  => array('鹿児島県',''),
		'47'  => array('沖縄県',''),
	),
	// 大中小分類のエレメント例
	'ary_lrgmidsml_category' => array(
	),
	// 大分類のエレメント例
	'ary_lrgmidsml_biztype' => array(
	),
	// 企業のエレメント例
	'ary_lrgmidsml_corp' => array(
	),


	// ソート順
	'sort_order' => array(
		'ASC'  => array('昇順','ASC'),
		'DESC' => array('降順','DESC')
	),

);


// 「年」のプルダウン
$ELEMENTS['years'] = array();
foreach(range(2007, date('Y')+1) as $y) {
	$ELEMENTS['years'][$y] = array($y, $y);
}

// 「月」のプルダウン
$ELEMENTS['months'] = array();
foreach(range(1, 12) as $m) {
	$ELEMENTS['months'][$m] = array(sprintf('%02d', $m), sprintf('%02d', $m));
}

// 「日」のプルダウン
$ELEMENTS['days'] = array();
foreach(range(1, 31) as $d) {
	$ELEMENTS['days'][$d] = array(sprintf('%02d', $d), sprintf('%02d', $d));
}




?>