<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');


// 検索時のチェックボックス配列対応
AppSrchUtil::setSrchChkBoxArray('srch_item13');


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, false) == false) { // 管理者側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'list':   // 一覧
	$_SESSION['search'] = null;
	$_REQUEST['sort_item_name'] = 'item01';
	$_REQUEST['sort_order'] = 'D';
	$_SESSION['search'] = $_REQUEST;
	break;

case 'ins':    // 登録
case 'detail': // 詳細
case 'upd':    // 変更
case 'del_do': // 削除
	break;

case 'list_do'://検索実行
	$err = srchValidCheck($_REQUEST);

	$_REQUEST['sort_item_name'] = 'item01';
	$_REQUEST['sort_order'] = 'D';

	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		$_SESSION['search'] = null;
	} else {
		$_SESSION['search'] = $_REQUEST;
	}
	$mode = 'list';
	break;

case 'list_up_dwn':   // 一覧昇順降順
	$ses =& $_SESSION['search'];  // 必ずセッションに検索条件が入っている
	$ses['sort_item_name'] = arryVal($_REQUEST, 'sort_item_name');
	$ses['sort_order'] = arryVal($_REQUEST, 'sort_order')=='A' ? 'D' : 'A'; // 空白はAにする
	$ses['pageID'] = 1; // ページは初期に戻す
	// このままlist_backのロジックを行う。
case 'list_back'://詳細、変更から戻ったとき
	if( isset( $_REQUEST['pageID'] ) ){
		$pageID = $_REQUEST['pageID']??0;
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['pageID'] = $pageID;
		$_SESSION['search'] = $_REQUEST;
	} else {
		$_REQUEST = $_SESSION['search'];
	}
	$o =& $_REQUEST; // output用（FORMからの入力値）
	$mode = 'list';
	break;

case 'csv'; // CSVダウンロード
	downLoadCsv();
	exit;

case 'ins_do': // 登録の実行
case 'upd_do': // 変更の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = ($mode == 'ins_do' ?  'ins' : 'upd');
		$_REQUEST['item49'] = arryVal($_REQUEST, 'old_item49');

		$_REQUEST['item51'] = arryVal($_REQUEST, 'old_item51');

		$_REQUEST['item50'] = arryVal($_REQUEST, 'old_item50');

		$_REQUEST['item52'] = arryVal($_REQUEST, 'old_item52');

	}
	break;
default:
	$mode = 'list';
	$_REQUEST['sort_item_name'] = 'item01';
	$_REQUEST['sort_order'] = 'D';
	$_SESSION['search'] = $_REQUEST;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
	break;

case 'list': // 一覧表示
	if (empty($err)) {
		editList();
	}
	break;

case 'upd':  // 変更
	if ($err) {
		$_REQUEST['item49'] = arryVal($_REQUEST, 'old_item49');

		$_REQUEST['item51'] = arryVal($_REQUEST, 'old_item51');

		$_REQUEST['item50'] = arryVal($_REQUEST, 'old_item50');

		$_REQUEST['item52'] = arryVal($_REQUEST, 'old_item52');

	} else {
		$delDoChkMsg = updTbl();
		if ('upd' == $modeBk) { // リスト又は明細の更新ボタン押下
			if ('' != $delDoChkMsg) { // レコードが削除されていたとき
				$_REQUEST = $_SESSION['search'];
				$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
				$o =& $_REQUEST; // output用（FORMからの入力値）

				$mode = 'list';
				editList();
			}
		}
	}
	break;

case 'detail':  // 詳細
	$delDoChkMsg = detailTbl();
	if ('' != $delDoChkMsg) { // レコードが削除されていたとき
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	sendRedirectExit($_SERVER['PHP_SELF'] . '?mode=ins');
	break;

case 'upd_do':
	$delDoChkMsg = updDoTbl();
	if ('' == $delDoChkMsg) { // 更新できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;


case 'del_do': // 削除実行
	$delDoChkMsg = delDoTbl();
	if ('' == $delDoChkMsg) { // 削除できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . 'admin/item/itemARegisterView.html');
	
	if ($modeBk == 'ins') {
		$o['item09'] = makePassword($db, 8, 't_item', 'item09');
	}
	itemARegisterView($o, $err);
	break;

case 'upd':  // 変更
	// 変更　画面
	require_once(DIR_VIEW . 'admin/item/itemAAmendView.html');
	itemAAmendView($o, $err);
	break;

case 'detail':  // 詳細
	// 詳細　画面
	require_once(DIR_VIEW . 'admin/item/itemADetailView.html');
	itemADetailView($o, $err);
	break;

case 'list': // リスト
	// リスト　画面
	require_once(DIR_VIEW . 'admin/item/itemAListView.html');
	itemAListView($o, $err, $result);

}
// PDOのクリア
$db = null;


// 検索条件設定
function editWhere() {
	global $db;

	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();
	
		// ■--PGM<<003>>　start--------------------------------------------

		//  SQL条件文設定
		// シーケンス(A+yymmdd+数字)
		if (('' != arryVal($_REQUEST, 'srch_item01'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item01 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item01'); // 完全一致
		}
		// 自動作成パスワード
		if (('' != arryVal($_REQUEST, 'srch_item09'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item09 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item09'); // 完全一致
		}
		// 年月日[yyyy/mm/dd]
		if (('' != arryVal($_REQUEST, 'srch_item10_from')) || ('' != arryVal($_REQUEST, 'srch_item10_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item10_from'))) {
				$conditionsAry['sql'] .= " it.item10 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item10_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item10_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item10 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item10_to');
				// バインド値設定
			}
					}
		// [yyyy]年[mm▼]月[dd▼]日
		if (('' != arryVal($_REQUEST, 'srch_item11_from')) || ('' != arryVal($_REQUEST, 'srch_item11_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item11_from'))) {
				$conditionsAry['sql'] .= " it.item11 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item11_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item11_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item11 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item11_to');
				// バインド値設定
			}
					}
		// 検索ラジオボタン・入力プルダウン
		if (('' != arryVal($_REQUEST, 'srch_item12'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item12 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item12'); // 完全一致
		}
		// 検索チェックボックス・入力プルダウン
		if (!empty(arryVal($_REQUEST, 'srch_item13')) && is_array(arryVal($_REQUEST, 'srch_item13'))) {
			$tempArray = (array)arryVal($_REQUEST, 'srch_item13');
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item13 in ( " .substr(str_repeat (',?',count($tempArray)),1) .")"; // 完全一致
			foreach ($tempArray as $value) {$conditionsAry['data'][] = $value; } // 完全一致
		}
		// 検索プルダウン・入力ラジオボタン
		if (('' != arryVal($_REQUEST, 'srch_item14_from')) || ('' != arryVal($_REQUEST, 'srch_item14_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item14_from'))) {
				$conditionsAry['sql'] .= " it.item14 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item14_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item14_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item14 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item14_to');
				// バインド値設定
			}
					}
		// 検索・入力ラジオボタン
		if (('' != arryVal($_REQUEST, 'srch_item15'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item15 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item15'); // 完全一致
		}
		// 検索・入力プルダウン
		if (('' != arryVal($_REQUEST, 'srch_item16'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item16 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item16'); // 完全一致
		}
		// 郵便1	
		if (('' != arryVal($_REQUEST, 'srch_item17_1'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item17_1 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item17_1') . "%";

		}
		// 郵便2
		if (('' != arryVal($_REQUEST, 'srch_item17_2'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item17_2 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item17_2'); // 完全一致
		}
		// 電話1	
		if (('' != arryVal($_REQUEST, 'srch_item19_1'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item19_1 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item19_1') . "%";

		}
		// 電話2	
		if (('' != arryVal($_REQUEST, 'srch_item19_2'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item19_2 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item19_2') . "%";

		}
		// 電話3	
		if (('' != arryVal($_REQUEST, 'srch_item19_3'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item19_3 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item19_3') . "%";

		}
		// 携帯1	
		if (('' != arryVal($_REQUEST, 'srch_item22_1'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item22_1 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item22_1') . "%";

		}
		// 携帯2	
		if (('' != arryVal($_REQUEST, 'srch_item22_2'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item22_2 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item22_2') . "%";

		}
		// 携帯3	
		if (('' != arryVal($_REQUEST, 'srch_item22_3'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item22_3 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item22_3') . "%";

		}
		// 文字チェックなし
		if (('' != arryVal($_REQUEST, 'srch_item26'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item26 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item26') . "%"; // 部分一致
		}
		// 半角文字チェックなし	
		if (('' != arryVal($_REQUEST, 'srch_item27'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item27 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item27') . "%";

		}
		// 半角	半角英数字記号	半角英数字	
		if (('' != arryVal($_REQUEST, 'srch_item28'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= "  (item28 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item28') . "%"; // 前方一致
			$conditionsAry['sql'] .= " OR item29 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item28') . "%"; // 前方一致
			$conditionsAry['sql'] .= " OR item30 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item28') . "%"; // 前方一致
			$conditionsAry['sql'] .= ")"; 
		}
		// 半角英字	半角英数字大文字のみ	
		if (('' != arryVal($_REQUEST, 'srch_item31'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= "  (item31 LIKE ? "; // 部分一致
			$conditionsAry['data'][] ="%". arryVal($_REQUEST, 'srch_item31') . "%"; // 部分一致
			$conditionsAry['sql'] .= " OR item32 LIKE ? "; // 部分一致
			$conditionsAry['data'][] ="%". arryVal($_REQUEST, 'srch_item31') . "%"; // 部分一致
			$conditionsAry['sql'] .= ")"; 
		}
		// 半角英数字小文字のみ
		if (('' != arryVal($_REQUEST, 'srch_item33'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item33 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item33') . "%"; // 部分一致
		}
		// 半角英字大文字のみ
		if (('' != arryVal($_REQUEST, 'srch_item34'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item34 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item34') . "%"; // 部分一致
		}
		// 半角英字小文字のみ
		if (('' != arryVal($_REQUEST, 'srch_item35'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item35 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item35') . "%"; // 部分一致
		}
		// 半角カタカナ数字
		if (('' != arryVal($_REQUEST, 'srch_item36'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item36 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item36'); // 完全一致
		}
		// 半角数字
		if (('' != arryVal($_REQUEST, 'srch_item37'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item37 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item37') . "%"; // 部分一致
		}
		// 半角カタカナ
		if (('' != arryVal($_REQUEST, 'srch_item38'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item38 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item38') . "%"; // 部分一致
		}
		// 全角
		if (('' != arryVal($_REQUEST, 'srch_item39'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item39 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item39') . "%"; // 部分一致
		}
		// 全角カタカナ
		if (('' != arryVal($_REQUEST, 'srch_item40'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item40 LIKE ? "; // 部分一致
			$conditionsAry['data'][] = "%". arryVal($_REQUEST, 'srch_item40') . "%"; // 部分一致
		}
		// 全角ひらがな	
		if (('' != arryVal($_REQUEST, 'srch_item41'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item41 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item41') . "%";

		}
		// メールアドレスの書式
		if (('' != arryVal($_REQUEST, 'srch_item42'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item42 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item42'); // 完全一致
		}
		// 郵便番号（nnn-nnnn）	
		if (('' != arryVal($_REQUEST, 'srch_item43'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " item43 LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item43') . "%";

		}
		// 電話番号（半角数値とハイホン）
		if (('' != arryVal($_REQUEST, 'srch_item44'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " it.item44 = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item44'); // 完全一致
		}
		// 半角数字
		if (('' != arryVal($_REQUEST, 'srch_item45_from')) || ('' != arryVal($_REQUEST, 'srch_item45_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item45_from'))) {
				$conditionsAry['sql'] .= " it.item45 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item45_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item45_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item45 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item45_to');
				// バインド値設定
			}
					}
		// 半角数字
		if (('' != arryVal($_REQUEST, 'srch_item46_from')) || ('' != arryVal($_REQUEST, 'srch_item46_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item46_from'))) {
				$conditionsAry['sql'] .= " it.item46 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item46_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item46_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item46 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item46_to');
				// バインド値設定
			}
					}
		// 半角数字
		if (('' != arryVal($_REQUEST, 'srch_item47_from')) || ('' != arryVal($_REQUEST, 'srch_item47_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item47_from'))) {
				$conditionsAry['sql'] .= " it.item47 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item47_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item47_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item47 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item47_to');
				// バインド値設定
			}
					}
		// 小数点あり及びカンマなし数値
		if (('' != arryVal($_REQUEST, 'srch_item48_from')) || ('' != arryVal($_REQUEST, 'srch_item48_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item48_from'))) {
				$conditionsAry['sql'] .= " it.item48 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item48_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item48_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item48 <= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item48_to');
				// バインド値設定
			}
					}
		// 登録日時
		if (('' != arryVal($_REQUEST, 'srch_item54_from')) || ('' != arryVal($_REQUEST, 'srch_item54_to'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
						$flg = false;
			if (('' != arryVal($_REQUEST, 'srch_item54_from'))) {
				$conditionsAry['sql'] .= " it.item54 >= ?";
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item54_from');
				$flg = true;
				// バインド値設定
			}
			if (('' != arryVal($_REQUEST, 'srch_item54_to'))) {
				if ($flg == true) {
					$conditionsAry['sql'] .= " AND ";
				}
				$conditionsAry['sql'] .= " it.item54 < ". 'ADDDATE(?,1)';
				$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_item54_to');
				// バインド値設定
			}
					}

		// ■--PGM<<003>>　end--------------------------------------------


		// 有効／無効データ
		if (('' != arryVal($_REQUEST, 'srch_deldt_flg'))) {
			if ('1' == arryVal($_REQUEST, 'srch_deldt_flg')) { // 無効のみ
				if ($conditionsAry['sql'] == '') {
					$conditionsAry['sql'] = "(it.item53 IS NOT NULL AND  it.item53 <> '0000/00/00 00:00:00') ";
				} else {
					$conditionsAry['sql'] = "(it.item53 IS NOT NULL AND  it.item53 <> '0000/00/00 00:00:00') AND " . $conditionsAry['sql'] ;
				}
			} else { // 有効のみ
				if ($conditionsAry['sql'] == '') {
					$conditionsAry['sql'] = "(it.item53 IS NULL OR it.item53 = '0000/00/00 00:00:00') ";
				} else {
					$conditionsAry['sql'] = "(it.item53 IS NULL OR it.item53 = '0000/00/00 00:00:00') AND " . $conditionsAry['sql'] ;
				}
			}
		}
	return $conditionsAry;
}

// CSVダウンロード
function downLoadCsv() {
	global $db;
	global $ELEMENTS,$AppDbCd;

	$conditions = '';
	
$_REQUEST = $_SESSION['search'];
$conditionsAry = editWhere();
$conditions= $conditionsAry['sql'];
if ('' != $conditions) {
	$conditions = "WHERE ". $conditions;
}
$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<009>>　start--------------------------------------------
			it.item01, --  シーケンス(A+yymmdd+数字)
			it.item09, --  自動作成パスワード
			date_format(it.item10, '%Y/%m/%d') AS item10, --  年月日[yyyy/mm/dd]
			date_format(it.item11, '%Y/%m/%d') AS item11, --  [yyyy]年[mm▼]月[dd▼]日
			it.item12, --  検索ラジオボタン・入力プルダウン
			it.item13, --  検索チェックボックス・入力プルダウン
			it.item14, --  検索プルダウン・入力ラジオボタン
			it.item15, --  検索・入力ラジオボタン
			it.item16, --  検索・入力プルダウン
			case when it.item17_1='' or it.item17_2='' then '' else concat(it.item17_1 , '-' , it.item17_2) end, --  郵便1
			case when it.item19_1='' or it.item19_2='' or it.item19_3='' then '' else concat(it.item19_1 , '-' , it.item19_2 , '-' , it.item19_3) end, --  電話1
			case when it.item22_1='' or it.item22_2='' or it.item22_3='' then '' else concat(it.item22_1 , '-' , it.item22_2 , '-' , it.item22_3) end, --  携帯1
			it.item26, --  文字チェックなし
			it.item27, --  半角文字チェックなし
			it.item28, --  半角
			it.item29, --  半角英数字記号
			it.item30, --  半角英数字
			it.item31, --  半角英字
			it.item32, --  半角英数字大文字のみ
			it.item33, --  半角英数字小文字のみ
			it.item34, --  半角英字大文字のみ
			it.item35, --  半角英字小文字のみ
			it.item36, --  半角カタカナ数字
			it.item37, --  半角数字
			it.item38, --  半角カタカナ
			it.item39, --  全角
			it.item40, --  全角カタカナ
			it.item41, --  全角ひらがな
			it.item42, --  メールアドレスの書式
			it.item43, --  郵便番号（nnn-nnnn）
			it.item44, --  電話番号（半角数値とハイホン）
			it.item45, --  半角数字
			it.item46, --  半角数字
			it.item47, --  半角数字
			it.item48, --  小数点あり及びカンマなし数値
			it.item49, --  画像
			it.item50, --  ファイル
			it.item51, --  秘密画像
			it.item52, --  秘密ファイル
			date_format(it.item54, '%Y/%m/%d %H:%i:%s') AS item54, --  登録日時
			date_format(it.updt, '%Y/%m/%d %H:%i:%s') AS updt --  更新日時
		-- ■--PGM<<009>>　end--------------------------------------------


FROM t_item it
$conditions 
ORDER BY 
		-- ■--PGM<<009>>　start--------------------------------------------
			it.item01, --  シーケンス(A+yymmdd+数字)
			it.item09, --  自動作成パスワード
			it.item10 --  年月日[yyyy/mm/dd]
		-- ■--PGM<<009>>　end--------------------------------------------


__SQL__;

	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);

	$csvStr = '';
	header("Content-Disposition: attachment; filename=itemAList.csv");
	header("Content-Type: application/octet-stream");
	header("Cache-Control: public");
	header("Pragma: public");
	$csvStr .= "シーケンス(A+yymmdd+数字), 自動作成パスワード, 年月日[yyyy/mm/dd], [yyyy]年[mm▼]月[dd▼]日, 検索ラジオボタン・入力プルダウン,検索ラジオボタン・入力プルダウン（名称）, 検索チェックボックス・入力プルダウン,検索チェックボックス・入力プルダウン（名称）, 検索プルダウン・入力ラジオボタン,検索プルダウン・入力ラジオボタン（名称）, 検索・入力ラジオボタン,検索・入力ラジオボタン（名称）, 検索・入力プルダウン,検索・入力プルダウン（名称）, 郵便, 電話, 携帯, 文字チェックなし, 半角文字チェックなし, 半角, 半角英数字記号, 半角英数字, 半角英字, 半角英数字大文字のみ, 半角英数字小文字のみ, 半角英字大文字のみ, 半角英字小文字のみ, 半角カタカナ数字, 半角数字, 半角カタカナ, 全角, 全角カタカナ, 全角ひらがな, メールアドレスの書式, 郵便番号（nnn-nnnn）, 電話番号（半角数値とハイホン）, 半角数字, 半角数字, 半角数字, 小数点あり及びカンマなし数値, 画像, ファイル, 秘密画像, 秘密ファイル, 登録日時, 更新日時\n";
	foreach( $result as $vals ){
		$csvItemCount = 0;
		$valsNew = array();
		foreach( $vals as $key => $val ){
			$valsNew[$key] = $val;
			$csvItemCount++;
			$valsBk = array();
			$valsBk = $vals;  // ＤＢエレメントのため値を保存する
			if ($csvItemCount == 5) { // 検索ラジオボタン・入力プルダウン
				$valsNew[$key . '_value'] = $ELEMENTS['LOGIN_TYPE'][$val]['0'];
			}
			if ($csvItemCount == 6) { // 検索チェックボックス・入力プルダウン
				$valsNew[$key . '_value'] = $ELEMENTS['LOGIN_TYPE'][$val]['0'];
			}
			if ($csvItemCount == 7) { // 検索プルダウン・入力ラジオボタン
				$valsNew[$key . '_value'] = $ELEMENTS['LOGIN_TYPE'][$val]['0'];
			}
			if ($csvItemCount == 8) { // 検索・入力ラジオボタン
				$valsNew[$key . '_value'] = $ELEMENTS['LOGIN_TYPE'][$val]['0'];
			}
			if ($csvItemCount == 9) { // 検索・入力プルダウン
				$valsNew[$key . '_value'] = $ELEMENTS['LOGIN_TYPE'][$val]['0'];
			}
		}
		$vals = $valsNew;

		foreach( $vals as $key => $val ){
			$vals[$key] = preg_replace( "/\"/i" , "\"\"", $val );
		}
		$csvStr .=  "\"" . implode( "\",\"", $vals ) . "\"\n";
	}
	mb_convert_variables('SJIS-win', 'UTF-8', $csvStr);
	$csvLen = strlen( $csvStr );
	header('Content-Length: ' .  $csvLen);
	print $csvStr;

}





// 検索条件入力値のチェック
function srchValidCheck(&$vars) {
	global $o;
    $chk_indelkbn = '1';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<002>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 有効フラグ
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, arryVal($o, "c_elements_idx")=='0'?"有効／無効データ":"use/nouse data",  $result, "srch_deldt_flg", "YUKO_FLG", false,'0');
		// シーケンス(A+yymmdd+数字)
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "シーケンス(A+yymmdd+数字)",  $result, "srch_item01", CON_CHK_HALF_LETTER_DIGIT, 11, false, false,'0');
		// 自動作成パスワード
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "自動作成パスワード",  $result, "srch_item09", CON_CHK_HALF_LETTER_DIGIT, 8, false, false,'0');
		// 年月日[yyyy/mm/dd]
		$result = AppCheckUtil::checkDateFromTo($vars, $errorMessages, "年月日[yyyy/mm/dd]", $result, "srch_item10_from", "srch_item10_to",'0');
		// [yyyy]年[mm▼]月[dd▼]日
		$vars['srch_item11_from'] = $vars['srch_item11_year_from'] . '/' .
						$vars['srch_item11_month_from'] .'/' .
						$vars['srch_item11_day_from'];
		if ($vars['srch_item11_from'] == '//') {$vars['srch_item11_from'] = '';}
		$vars['srch_item11_to'] = $vars['srch_item11_year_to'] . '/' .
						$vars['srch_item11_month_to'] .'/' .
						$vars['srch_item11_day_to'];
		if ($vars['srch_item11_to'] == '//') {$vars['srch_item11_to'] = '';}
		$result = AppCheckUtil::checkDateFromTo($vars, $errorMessages, "[yyyy]年[mm▼]月[dd▼]日", $result, "srch_item11_from", "srch_item11_to",'0');
		// 検索ラジオボタン・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索ラジオボタン・入力プルダウン",  $result, "srch_item12", "LOGIN_TYPE", false,'0');
		// 検索チェックボックス・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索チェックボックス・入力プルダウン",  $result, "srch_item13", "LOGIN_TYPE", false,'0');
		// 検索プルダウン・入力ラジオボタン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索プルダウン・入力ラジオボタン（from）",  $result, "srch_item14_from", "LOGIN_TYPE", false,'0');
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索プルダウン・入力ラジオボタン（to）",  $result, "srch_item14_to", "LOGIN_TYPE", false,'0');
		$result = AppCheckUtil::checkStringCompareTo($vars, $errorMessages, "検索プルダウン・入力ラジオボタン",  $result, "srch_item14_from", "srch_item14_to",'0');
		// 検索・入力ラジオボタン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索・入力ラジオボタン",  $result, "srch_item15", "LOGIN_TYPE", false,'0');
		// 検索・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索・入力プルダウン",  $result, "srch_item16", "LOGIN_TYPE", false,'0');
		// 郵便1
		if( ('' != $vars['srch_item17_1']) || ('' != $vars['srch_item17_2']) ) {
			if( ('' == $vars['srch_item17_1']) || ('' == $vars['srch_item17_2']) ) {
				$errorMessages['srch_item17_2'] = '『郵便』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便１",  $result, "srch_item17_1", CON_CHK_HALF_DIGIT, 3, true, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便２",  $result, "srch_item17_2", CON_CHK_HALF_DIGIT, 4, true, false,'0');
			}
		}

		// 電話1
		if( ('' != $vars['srch_item19_1']) || ('' != $vars['srch_item19_2']) || ('' != $vars['srch_item19_3']) ) {
			if( ('' == $vars['srch_item19_1']) || ('' == $vars['srch_item19_2']) || ('' == $vars['srch_item19_3']) ) {
				$errorMessages['srch_item19_2'] = '『電話』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話１",  $result, "srch_item19_1", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話２",  $result, "srch_item19_2", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話３",  $result, "srch_item19_3", CON_CHK_HALF_DIGIT, 8, false, false,'0');
			}
		}


		// 携帯1
		if( ('' != $vars['srch_item22_1']) || ('' != $vars['srch_item22_2']) || ('' != $vars['srch_item22_3']) ) {
			if( ('' == $vars['srch_item22_1']) || ('' == $vars['srch_item22_2']) || ('' == $vars['srch_item22_3']) ) {
				$errorMessages['srch_item22_2'] = '『携帯』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯１",  $result, "srch_item22_1", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯２",  $result, "srch_item22_2", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯３",  $result, "srch_item22_3", CON_CHK_HALF_DIGIT, 8, false, false,'0');
			}
		}


		// 文字チェックなし
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "文字チェックなし",  $result, "srch_item26", CON_CHK_ANY, 100, false, false,'0');
		// 半角文字チェックなし
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角文字チェックなし",  $result, "srch_item27", CON_CHK_HALF_ANY, 10, false, false,'0');
		// 半角
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角",  $result, "srch_item28", CON_CHK_HALF, 10, false, false,'0');
		// 半角英字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字",  $result, "srch_item31", CON_CHK_HALF_LETTER, 10, false, false,'0');
		// 半角英数字小文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字小文字のみ",  $result, "srch_item33", CON_CHK_HALF_LETTER_DIGIT_SMALL, 10, false, false,'0');
		// 半角英字大文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字大文字のみ",  $result, "srch_item34", CON_CHK_HALF_LETTER_BIG, 10, false, false,'0');
		// 半角英字小文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字小文字のみ",  $result, "srch_item35", CON_CHK_HALF_LETTER_SMALL, 10, false, false,'0');
		// 半角カタカナ数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角カタカナ数字",  $result, "srch_item36", CON_CHK_HALF_KANA_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "srch_item37", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角カタカナ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角カタカナ",  $result, "srch_item38", CON_CHK_HALF_KANA, 10, false, false,'0');
		// 全角
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角",  $result, "srch_item39", CON_CHK_FULL, 10, false, false,'0');
		// 全角カタカナ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角カタカナ",  $result, "srch_item40", CON_CHK_FULL_KANA, 10, false, false,'0');
		// 全角ひらがな
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角ひらがな",  $result, "srch_item41", CON_CHK_FULL_HIRA, 10, false, false,'0');
		// メールアドレスの書式
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "メールアドレスの書式",  $result, "srch_item42", CON_CHK_EMAIL, 50, false, false,'0');
		// 郵便番号（nnn-nnnn）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便番号（nnn-nnnn）",  $result, "srch_item43", CON_CHK_POST, 10, false, false,'0');
		// 電話番号（半角数値とハイホン）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話番号（半角数値とハイホン）",  $result, "srch_item44", CON_CHK_TEL, 15, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字（from）",  $result, "srch_item45_from", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字（to）",  $result, "srch_item45_to", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		$result = AppCheckUtil::checkStringCompareTo($vars, $errorMessages, "半角数字",  $result, "srch_item45_from", "srch_item45_to",'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字（from）",  $result, "srch_item46_from", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字（to）",  $result, "srch_item46_to", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		$result = AppCheckUtil::checkStringCompareTo($vars, $errorMessages, "半角数字",  $result, "srch_item46_from", "srch_item46_to",'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字（from）",  $result, "srch_item47_from", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字（to）",  $result, "srch_item47_to", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		$result = AppCheckUtil::checkStringCompareTo($vars, $errorMessages, "半角数字",  $result, "srch_item47_from", "srch_item47_to",'0');
		// 小数点あり及びカンマなし数値
		$result = AppCheckUtil::checkDotNumeric($vars, $errorMessages, "小数点あり及びカンマなし数値（from）",  $result, "srch_item48_from", 1, 10000, 5, 2, false,'0');
		$result = AppCheckUtil::checkDotNumeric($vars, $errorMessages, "小数点あり及びカンマなし数値（to）",  $result, "srch_item48_to", 1, 10000, 5, 2, false,'0');
		$result = AppCheckUtil::checkNumericCompareTo($vars, $errorMessages, "小数点あり及びカンマなし数値",  $result, "srch_item48_from", "srch_item48_to",'0');
		// 登録日時
		$result = AppCheckUtil::checkDateFromTo($vars, $errorMessages, "登録日時", $result, "srch_item54_from", "srch_item54_to",'0');

		//  検索条件入力チェック
		// if (!(chkError($errorMessages)) && (
			// ('' == $vars['srch_item01']) && 
			// ('' == $vars['srch_item09']) && 
			// ('' == $vars['srch_item10_from']) && ('' == $vars['srch_item10_to']) && 
			// ('' == $vars['srch_item11_from']) && ('' == $vars['srch_item11_to']) && 
			// ('' == $vars['srch_item12']) && 
			// ('' == $vars['srch_item13']) && 
			// ('' == $vars['srch_item14_from']) && ('' == $vars['srch_item14_to']) && 
			// ('' == $vars['srch_item15']) && 
			// ('' == $vars['srch_item16']) && 
			// ('' == $vars['srch_item17_1']) && 
			// ('' == $vars['srch_item17_2']) && 
			// ('' == $vars['srch_item19_1']) && 
			// ('' == $vars['srch_item19_2']) && 
			// ('' == $vars['srch_item19_3']) && 
			// ('' == $vars['srch_item22_1']) && 
			// ('' == $vars['srch_item22_2']) && 
			// ('' == $vars['srch_item22_3']) && 
			// ('' == $vars['srch_item26']) && 
			// ('' == $vars['srch_item27']) && 
			// ('' == $vars['srch_item28']) && 
			// ('' == $vars['srch_item31']) && 
			// ('' == $vars['srch_item33']) && 
			// ('' == $vars['srch_item34']) && 
			// ('' == $vars['srch_item35']) && 
			// ('' == $vars['srch_item36']) && 
			// ('' == $vars['srch_item37']) && 
			// ('' == $vars['srch_item38']) && 
			// ('' == $vars['srch_item39']) && 
			// ('' == $vars['srch_item40']) && 
			// ('' == $vars['srch_item41']) && 
			// ('' == $vars['srch_item42']) && 
			// ('' == $vars['srch_item43']) && 
			// ('' == $vars['srch_item44']) && 
			// ('' == $vars['srch_item45_from']) && ('' == $vars['srch_item45_to']) && 
			// ('' == $vars['srch_item46_from']) && ('' == $vars['srch_item46_to']) && 
			// ('' == $vars['srch_item47_from']) && ('' == $vars['srch_item47_to']) && 
			// ('' == $vars['srch_item48_from']) && ('' == $vars['srch_item48_to']) && 
			// ('' == $vars['srch_item54_from']) && ('' == $vars['srch_item54_to']) )) {
			// 検索条件を入力してください。
			// $errorMessages['srch_topErrMessage'] = '検索条件を一つ以上入力してください。';
		// }

		// ■--PGM<<002>>　end--------------------------------------------



	return $errorMessages;
}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// シーケンス(A+yymmdd+数字)

		// 自動作成パスワード
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "自動作成パスワード",  $result, "item09", CON_CHK_HALF_LETTER_DIGIT, 8, false, true,'0');
		// 年月日[yyyy/mm/dd]
		$result = AppCheckUtil::checkDate($vars, $errorMessages, "年月日[yyyy/mm/dd]", $result, "item10", true,'0');
		// [yyyy]年[mm▼]月[dd▼]日
		$vars['item11'] = $vars['item11_year'] . '/' .
						$vars['item11_month'] .'/' .
						$vars['item11_day'];
		if ($vars['item11'] == '//') {$vars['item11'] = '';}
		$result = AppCheckUtil::checkDate($vars, $errorMessages, "[yyyy]年[mm▼]月[dd▼]日", $result, "item11", false,'0');
		// 検索ラジオボタン・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索ラジオボタン・入力プルダウン",  $result, "item12", "LOGIN_TYPE", false,'0');
		// 検索チェックボックス・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索チェックボックス・入力プルダウン",  $result, "item13", "LOGIN_TYPE", false,'0');
		// 検索プルダウン・入力ラジオボタン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索プルダウン・入力ラジオボタン",  $result, "item14", "LOGIN_TYPE", false,'0');
		// 検索・入力ラジオボタン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索・入力ラジオボタン",  $result, "item15", "LOGIN_TYPE", false,'0');
		// 検索・入力プルダウン
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, "検索・入力プルダウン",  $result, "item16", "LOGIN_TYPE", false,'0');
		// 郵便1
		if( ('' != $vars['item17_1']) || ('' != $vars['item17_2']) ) {
			if( ('' == $vars['item17_1']) || ('' == $vars['item17_2']) ) {
				$errorMessages['item17_2'] = '『郵便』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便１",  $result, "item17_1", CON_CHK_HALF_DIGIT, 3, true, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便２",  $result, "item17_2", CON_CHK_HALF_DIGIT, 4, true, false,'0');
			}
		}
		// 電話1
		if( ('' != $vars['item19_1']) || ('' != $vars['item19_2']) || ('' != $vars['item19_3']) ) {
			if( ('' == $vars['item19_1']) || ('' == $vars['item19_2']) || ('' == $vars['item19_3']) ) {
				$errorMessages['item19_2'] = '『電話』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話１",  $result, "item19_1", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話２",  $result, "item19_2", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話３",  $result, "item19_3", CON_CHK_HALF_DIGIT, 8, false, false,'0');
			}
		}
		// 携帯1
		if( ('' != $vars['item22_1']) || ('' != $vars['item22_2']) || ('' != $vars['item22_3']) ) {
			if( ('' == $vars['item22_1']) || ('' == $vars['item22_2']) || ('' == $vars['item22_3']) ) {
				$errorMessages['item22_2'] = '『携帯』の記入欄を全て埋めて下さい。';
			} else{
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯１",  $result, "item22_1", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯２",  $result, "item22_2", CON_CHK_HALF_DIGIT, 8, false, false,'0');
				$result = AppCheckUtil::checkMoji($vars, $errorMessages, "携帯３",  $result, "item22_3", CON_CHK_HALF_DIGIT, 8, false, false,'0');
			}
		}
		// 文字チェックなし
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "文字チェックなし",  $result, "item26", CON_CHK_ANY, 100, false, true,'0');
		// 半角文字チェックなし
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角文字チェックなし",  $result, "item27", CON_CHK_HALF_ANY, 10, false, false,'0');
		// 半角
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角",  $result, "item28", CON_CHK_HALF, 10, false, true,'0');
		// 半角英数字記号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字記号",  $result, "item29", CON_CHK_HALF_LETTER_DIGIT_KIGOU, 10, false, false,'0');
		// 半角英数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字",  $result, "item30", CON_CHK_HALF_LETTER_DIGIT, 10, false, false,'0');
		// 半角英字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字",  $result, "item31", CON_CHK_HALF_LETTER, 10, false, false,'0');
		// 半角英数字大文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字大文字のみ",  $result, "item32", CON_CHK_HALF_LETTER_DIGIT_BIG, 10, false, false,'0');
		// 半角英数字小文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英数字小文字のみ",  $result, "item33", CON_CHK_HALF_LETTER_DIGIT_SMALL, 10, false, false,'0');
		// 半角英字大文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字大文字のみ",  $result, "item34", CON_CHK_HALF_LETTER_BIG, 10, false, false,'0');
		// 半角英字小文字のみ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角英字小文字のみ",  $result, "item35", CON_CHK_HALF_LETTER_SMALL, 10, false, false,'0');
		// 半角カタカナ数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角カタカナ数字",  $result, "item36", CON_CHK_HALF_KANA_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item37", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角カタカナ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角カタカナ",  $result, "item38", CON_CHK_HALF_KANA, 10, false, false,'0');
		// 全角
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角",  $result, "item39", CON_CHK_FULL, 10, false, true,'0');
		// 全角カタカナ
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角カタカナ",  $result, "item40", CON_CHK_FULL_KANA, 10, false, false,'0');
		// 全角ひらがな
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "全角ひらがな",  $result, "item41", CON_CHK_FULL_HIRA, 10, false, false,'0');
		// メールアドレスの書式
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "メールアドレスの書式",  $result, "item42", CON_CHK_EMAIL, 50, false, false,'0');
		// 郵便番号（nnn-nnnn）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便番号（nnn-nnnn）",  $result, "item43", CON_CHK_POST, 10, false, false,'0');
		// 電話番号（半角数値とハイホン）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話番号（半角数値とハイホン）",  $result, "item44", CON_CHK_TEL, 15, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item45", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item46", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 半角数字
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "半角数字",  $result, "item47", CON_CHK_HALF_DIGIT, 10, false, false,'0');
		// 小数点あり及びカンマなし数値
		$result = AppCheckUtil::checkDotNumeric($vars, $errorMessages, "小数点あり及びカンマなし数値",  $result, "item48", 1, 10000, 5, 2, false,'0');
		// 画像
		$result = AppCheckUtil::checkPhoto($errorMessages, "画像",  $result, "item49", false,'0');
		// ファイル
		$result = AppCheckUtil::checkPhoto($errorMessages, "ファイル",  $result, "item50", false,'0', array( "pdf" ));
		// 秘密画像
		$result = AppCheckUtil::checkPhoto($errorMessages, "秘密画像",  $result, "item51", false,'0');
		// 秘密ファイル
		$result = AppCheckUtil::checkPhoto($errorMessages, "秘密ファイル",  $result, "item52", false,'0', array( "pdf" ));
		// 削除日時
		if ($mode != 'ins_do') {
			$result = AppCheckUtil::checkDateTime($vars, $errorMessages, "削除日時", $result, "item53", false,'0');
		}
		// 登録日時

		// 更新日時


		// ■--PGM<<008>>　end--------------------------------------------


	
	return $errorMessages;
}

// リストの編集
function editList() {
	global $db, $limit, $count, $pager, $result, $offset;

	$limit = 20; // 表示件数
	$offset = ( intval($_REQUEST['pageID']??0) -1) * $limit ;
	$offset = $offset < 0 ? 0 : $offset;
	
	$conditions = '';
	$conditionsAry = editWhere();
	$conditions= $conditionsAry['sql'];
	if ('' != $conditions) {
		$conditions = "WHERE ". $conditions;
	}
	$listOrder = ' ' . editDbItemName(arryVal($_REQUEST, 'sort_item_name')) . ' ' . (arryVal($_REQUEST, 'sort_order')=='A' ? 'ASC' : 'DESC');

$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<004>>　start--------------------------------------------
			it.item01, --  シーケンス(A+yymmdd+数字)
			it.item09, --  自動作成パスワード
			date_format(it.item10, '%Y/%m/%d') AS item10,
			date_format(it.item10, '%Y') AS item10_year ,
			date_format(it.item10, '%m') AS item10_month ,
			date_format(it.item10, '%d') AS item10_day , --  年月日[yyyy/mm/dd]
			it.item26, --  文字チェックなし
			it.item28, --  半角
			it.item39, --  全角
			date_format(it.item53, '%Y/%m/%d %H:%i:%s') AS item53,
			date_format(it.item53, '%Y') AS item53_year ,
			date_format(it.item53, '%m') AS item53_month ,
			date_format(it.item53, '%d') AS item53_day  --  削除日時
		-- ■--PGM<<004>>　end--------------------------------------------


FROM t_item it 
 $conditions 
ORDER BY  $listOrder 
LIMIT $offset, $limit
__SQL__;
	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);
	
	// 全件数
	$sql = <<<__SQL__
SELECT count(*) 
FROM t_item it
 $conditions
__SQL__;
	$result2 = dbPrepareExeGetRow($db, $sql, $conditionsAry['data']);
	$count = $result2['count(*)'];

	$pageNavi =new PageNavi(array(
		'totalItems' => $count,
		'perPage'    => $limit,
		//'prevPageNaviText'  => '',
		//'prevPageNaviSpace' => '',
		//'firstPageSpace'    => '',
		//'prevImg'           => '前へ',
		//'nextImg'           => '次へ',
		//'lastPageSpace'     => '',
		//'nextPageNaviSpace' => '',
		//'nextPageNaviText'  => '',
		//'firstPageTextFlag' => '0',
		//'lastPageTextFlag'  => '0',
		'extraVars' => array('mode'=>'list_back')
	),'0');
	$pager = $pageNavi->getHTML();
	$_REQUEST['pager'] = $pager;

}

// 更新
function updTbl() {
	global $db, $err, $o;

	$conditionsDataAry = array();
	if(!$err) {
		$conditionsDataAry[] = arryVal($_REQUEST, 'item01');

		$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			it.*, date_format(it.item10, '%Y/%m/%d') AS item10, --  年月日[yyyy/mm/dd]
			date_format(it.item10, '%Y') AS item10_year ,
			date_format(it.item10, '%m') AS item10_month ,
			date_format(it.item10, '%d') AS item10_day ,
			date_format(it.item11, '%Y/%m/%d') AS item11, --  [yyyy]年[mm▼]月[dd▼]日
			date_format(it.item11, '%Y') AS item11_year ,
			date_format(it.item11, '%m') AS item11_month ,
			date_format(it.item11, '%d') AS item11_day ,
			date_format(it.item53, '%Y/%m/%d %H:%i:%s') AS item53, --  削除日時
			date_format(it.item53, '%Y') AS item53_year ,
			date_format(it.item53, '%m') AS item53_month ,
			date_format(it.item53, '%d') AS item53_day ,
			date_format(it.item54, '%Y/%m/%d %H:%i:%s') AS item54, --  登録日時
			date_format(it.item54, '%Y') AS item54_year ,
			date_format(it.item54, '%m') AS item54_month ,
			date_format(it.item54, '%d') AS item54_day ,
			date_format(it.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(it.updt, '%Y') AS updt_year ,
			date_format(it.updt, '%m') AS updt_month ,
			date_format(it.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM t_item it 
WHERE it.item01 = ?

__SQL__;
		$msg = '指定された使用できる項目は削除されています。' . ' シーケンス(A+yymmdd+数字)=' . arryVal($_REQUEST, 'item01') ; // 削除されている
		$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
		if (empty($o)) {
			return $msg; // 削除されている
		}
	}
}

// 詳細
function detailTbl() {
	global $db, $o;

	$conditionsDataAry = array();
	$conditionsDataAry[] = arryVal($_REQUEST, 'item01');

	$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			it.*, date_format(it.item10, '%Y/%m/%d') AS item10, --  年月日[yyyy/mm/dd]
			date_format(it.item10, '%Y') AS item10_year ,
			date_format(it.item10, '%m') AS item10_month ,
			date_format(it.item10, '%d') AS item10_day ,
			date_format(it.item11, '%Y/%m/%d') AS item11, --  [yyyy]年[mm▼]月[dd▼]日
			date_format(it.item11, '%Y') AS item11_year ,
			date_format(it.item11, '%m') AS item11_month ,
			date_format(it.item11, '%d') AS item11_day ,
			date_format(it.item53, '%Y/%m/%d %H:%i:%s') AS item53, --  削除日時
			date_format(it.item53, '%Y') AS item53_year ,
			date_format(it.item53, '%m') AS item53_month ,
			date_format(it.item53, '%d') AS item53_day ,
			date_format(it.item54, '%Y/%m/%d %H:%i:%s') AS item54, --  登録日時
			date_format(it.item54, '%Y') AS item54_year ,
			date_format(it.item54, '%m') AS item54_month ,
			date_format(it.item54, '%d') AS item54_day ,
			date_format(it.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(it.updt, '%Y') AS updt_year ,
			date_format(it.updt, '%m') AS updt_month ,
			date_format(it.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM t_item it 
WHERE it.item01 = ?

__SQL__;
	$msg = '指定された使用できる項目は削除されています。' . ' シーケンス(A+yymmdd+数字)=' . arryVal($_REQUEST, 'item01') ; // 削除されている
	$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	if (empty($o)) {
		return $msg; // 削除されている
	}
}

// 追加実行
function insDoTbl() {
	global $db;

	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		$_REQUEST['item01'] =  getDbSeq($db, 't_item', $_REQUEST); // シーケンス(A+yymmdd+数字)
		if( ('' ==  arryVal($_REQUEST, 'item11_year') ) || ('' ==  arryVal($_REQUEST, 'item11_month') ) || ('' ==  arryVal($_REQUEST, 'item11_day') ) ){
			$item11 = NULL;
		} else {
			$item11 = arryVal($_REQUEST, 'item11_year').'/'.arryVal($_REQUEST, 'item11_month').'/'.arryVal($_REQUEST, 'item11_day');
		} // [yyyy]年[mm▼]月[dd▼]日
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'item01'     => arryVal($_REQUEST, 'item01'), // シーケンス(A+yymmdd+数字)
			'item09'     => arryVal($_REQUEST, 'item09'), // 自動作成パスワード
			'item10'     => arryVal($_REQUEST, 'item10'), // 年月日[yyyy/mm/dd]
			'item11'     => $item11, // [yyyy]年[mm▼]月[dd▼]日
			'item12'     => arryVal($_REQUEST, 'item12'), // 検索ラジオボタン・入力プルダウン
			'item13'     => arryVal($_REQUEST, 'item13'), // 検索チェックボックス・入力プルダウン
			'item14'     => arryVal($_REQUEST, 'item14'), // 検索プルダウン・入力ラジオボタン
			'item15'     => arryVal($_REQUEST, 'item15'), // 検索・入力ラジオボタン
			'item16'     => arryVal($_REQUEST, 'item16'), // 検索・入力プルダウン
			'item17_1'     => arryVal($_REQUEST, 'item17_1'), // 郵便1
			'item17_2'     => arryVal($_REQUEST, 'item17_2'), // 郵便2
			'item19_1'     => arryVal($_REQUEST, 'item19_1'), // 電話1
			'item19_2'     => arryVal($_REQUEST, 'item19_2'), // 電話2
			'item19_3'     => arryVal($_REQUEST, 'item19_3'), // 電話3
			'item22_1'     => arryVal($_REQUEST, 'item22_1'), // 携帯1
			'item22_2'     => arryVal($_REQUEST, 'item22_2'), // 携帯2
			'item22_3'     => arryVal($_REQUEST, 'item22_3'), // 携帯3
			'item26'     => arryVal($_REQUEST, 'item26'), // 文字チェックなし
			'item27'     => arryVal($_REQUEST, 'item27'), // 半角文字チェックなし
			'item28'     => arryVal($_REQUEST, 'item28'), // 半角
			'item29'     => arryVal($_REQUEST, 'item29'), // 半角英数字記号
			'item30'     => arryVal($_REQUEST, 'item30'), // 半角英数字
			'item31'     => arryVal($_REQUEST, 'item31'), // 半角英字
			'item32'     => arryVal($_REQUEST, 'item32'), // 半角英数字大文字のみ
			'item33'     => arryVal($_REQUEST, 'item33'), // 半角英数字小文字のみ
			'item34'     => arryVal($_REQUEST, 'item34'), // 半角英字大文字のみ
			'item35'     => arryVal($_REQUEST, 'item35'), // 半角英字小文字のみ
			'item36'     => arryVal($_REQUEST, 'item36'), // 半角カタカナ数字
			'item37'     => arryVal($_REQUEST, 'item37'), // 半角数字
			'item38'     => arryVal($_REQUEST, 'item38'), // 半角カタカナ
			'item39'     => arryVal($_REQUEST, 'item39'), // 全角
			'item40'     => arryVal($_REQUEST, 'item40'), // 全角カタカナ
			'item41'     => arryVal($_REQUEST, 'item41'), // 全角ひらがな
			'item42'     => arryVal($_REQUEST, 'item42'), // メールアドレスの書式
			'item43'     => arryVal($_REQUEST, 'item43'), // 郵便番号（nnn-nnnn）
			'item44'     => arryVal($_REQUEST, 'item44'), // 電話番号（半角数値とハイホン）
			'item45'     => arryVal($_REQUEST, 'item45'), // 半角数字
			'item46'     => arryVal($_REQUEST, 'item46'), // 半角数字
			'item47'     => arryVal($_REQUEST, 'item47'), // 半角数字
			'item48'     => arryVal($_REQUEST, 'item48'), // 小数点あり及びカンマなし数値
			'item49'     => arryVal($_REQUEST, 'item49'), // 画像
			'item50'     => arryVal($_REQUEST, 'item50'), // ファイル
			'item51'     => arryVal($_REQUEST, 'item51'), // 秘密画像
			'item52'     => arryVal($_REQUEST, 'item52'), // 秘密ファイル
			'item53'     => arryVal($_REQUEST, 'item53'), // 削除日時
			'item53'     => '0000/00/00 00:00:00', // 削除日時
			'item54'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);

		$itemNames = array();
		$itemNames[] = 'item49';
		setAndDelPhoto('item', $columns['item01'] , $itemNames, $columns, 'ins_do');
	
		$itemNamesS = array();
		$itemNamesS[] = 'item51';
		setAndDelPhotoSecret('item', $columns['item01'] , $itemNamesS, $columns, 'ins_do');
	
		$itemNames2 = array();
		$itemNames2[] = 'item50';
		setAndDelPhoto('item', $columns['item01'] , $itemNames2, $columns, 'ins_do');
	
		$itemNames2S = array();
		$itemNames2S[] = 'item52';
		setAndDelPhotoSecret('item', $columns['item01'] , $itemNames2S, $columns, 'ins_do');
	

		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$res = dbPrepareExeInsert($db, 't_item', $columns);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された使用できる項目は登録されています。' . ' シーケンス(A+yymmdd+数字)=' . arryVal($_REQUEST, 'item01') ; // 登録されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}


}

// 更新実行
function updDoTbl() {
	global $db;
	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		if( ('' ==  arryVal($_REQUEST, 'item11_year') ) || ('' ==  arryVal($_REQUEST, 'item11_month') ) || ('' ==  arryVal($_REQUEST, 'item11_day') ) ){
			$item11 = NULL;
		} else {
			$item11 = arryVal($_REQUEST, 'item11_year').'/'.arryVal($_REQUEST, 'item11_month').'/'.arryVal($_REQUEST, 'item11_day');
		} // [yyyy]年[mm▼]月[dd▼]日
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'item09'     => arryVal($_REQUEST, 'item09'), // 自動作成パスワード
			'item10'     => arryVal($_REQUEST, 'item10'), // 年月日[yyyy/mm/dd]
			'item11'     => $item11, // [yyyy]年[mm▼]月[dd▼]日
			'item12'     => arryVal($_REQUEST, 'item12'), // 検索ラジオボタン・入力プルダウン
			'item13'     => arryVal($_REQUEST, 'item13'), // 検索チェックボックス・入力プルダウン
			'item14'     => arryVal($_REQUEST, 'item14'), // 検索プルダウン・入力ラジオボタン
			'item15'     => arryVal($_REQUEST, 'item15'), // 検索・入力ラジオボタン
			'item16'     => arryVal($_REQUEST, 'item16'), // 検索・入力プルダウン
			'item17_1'     => arryVal($_REQUEST, 'item17_1'), // 郵便1
			'item17_2'     => arryVal($_REQUEST, 'item17_2'), // 郵便2
			'item19_1'     => arryVal($_REQUEST, 'item19_1'), // 電話1
			'item19_2'     => arryVal($_REQUEST, 'item19_2'), // 電話2
			'item19_3'     => arryVal($_REQUEST, 'item19_3'), // 電話3
			'item22_1'     => arryVal($_REQUEST, 'item22_1'), // 携帯1
			'item22_2'     => arryVal($_REQUEST, 'item22_2'), // 携帯2
			'item22_3'     => arryVal($_REQUEST, 'item22_3'), // 携帯3
			'item26'     => arryVal($_REQUEST, 'item26'), // 文字チェックなし
			'item27'     => arryVal($_REQUEST, 'item27'), // 半角文字チェックなし
			'item28'     => arryVal($_REQUEST, 'item28'), // 半角
			'item29'     => arryVal($_REQUEST, 'item29'), // 半角英数字記号
			'item30'     => arryVal($_REQUEST, 'item30'), // 半角英数字
			'item31'     => arryVal($_REQUEST, 'item31'), // 半角英字
			'item32'     => arryVal($_REQUEST, 'item32'), // 半角英数字大文字のみ
			'item33'     => arryVal($_REQUEST, 'item33'), // 半角英数字小文字のみ
			'item34'     => arryVal($_REQUEST, 'item34'), // 半角英字大文字のみ
			'item35'     => arryVal($_REQUEST, 'item35'), // 半角英字小文字のみ
			'item36'     => arryVal($_REQUEST, 'item36'), // 半角カタカナ数字
			'item37'     => arryVal($_REQUEST, 'item37'), // 半角数字
			'item38'     => arryVal($_REQUEST, 'item38'), // 半角カタカナ
			'item39'     => arryVal($_REQUEST, 'item39'), // 全角
			'item40'     => arryVal($_REQUEST, 'item40'), // 全角カタカナ
			'item41'     => arryVal($_REQUEST, 'item41'), // 全角ひらがな
			'item42'     => arryVal($_REQUEST, 'item42'), // メールアドレスの書式
			'item43'     => arryVal($_REQUEST, 'item43'), // 郵便番号（nnn-nnnn）
			'item44'     => arryVal($_REQUEST, 'item44'), // 電話番号（半角数値とハイホン）
			'item45'     => arryVal($_REQUEST, 'item45'), // 半角数字
			'item46'     => arryVal($_REQUEST, 'item46'), // 半角数字
			'item47'     => arryVal($_REQUEST, 'item47'), // 半角数字
			'item48'     => arryVal($_REQUEST, 'item48'), // 小数点あり及びカンマなし数値
			'item49'     => arryVal($_REQUEST, 'item49'), // 画像
			'item50'     => arryVal($_REQUEST, 'item50'), // ファイル
			'item51'     => arryVal($_REQUEST, 'item51'), // 秘密画像
			'item52'     => arryVal($_REQUEST, 'item52'), // 秘密ファイル
			'item53'     => arryVal($_REQUEST, 'item53'), // 削除日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);

		$itemNames = array();
		$itemNames[] = 'item49';
		setAndDelPhoto('item', $_REQUEST['item01'] , $itemNames, $columns, 'upd_do');
	
		$itemNamesS = array();
		$itemNamesS[] = 'item51';
		setAndDelPhotoSecret('item', $_REQUEST['item01'] , $itemNamesS, $columns, 'upd_do');
	
		$itemNames2 = array();
		$itemNames2[] = 'item50';
		setAndDelPhoto('item', $_REQUEST['item01'] , $itemNames2, $columns, 'upd_do');
	
		$itemNames2S = array();
		$itemNames2S[] = 'item52';
		setAndDelPhotoSecret('item', $_REQUEST['item01'] , $itemNames2S, $columns, 'upd_do');
	

		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}
		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "item01 = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'item01');

		$res = dbPrepareExeUpdate($db, 't_item', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された使用できる項目は削除されています。' . ' シーケンス(A+yymmdd+数字)=' . arryVal($_REQUEST, 'item01') ; // 削除されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 削除実行
function delDoTbl() {
	global $db;

	try {	





		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "item01 = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'item01');

		$columns = array(
					'item53'     => date( 'Y/m/d H:i:s' ) // 削除日時
		// ■--PGM<<010>>　end--------------------------------------------


		);
		$res = dbPrepareExeUpdate($db, 't_item', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された使用できる項目は削除されています。' . ' シーケンス(A+yymmdd+数字)=' . arryVal($_REQUEST, 'item01') ; // 削除されている
		}

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}
}


?>