<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../../common_admin.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');


// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, false) == false) { // 管理者側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス
$AppDbCd->setOptions('ajax', 'ary_lrgmidsml_category',
	'm_category', 'ca', 'category', 'catname', 'catengname', 'deldt');

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'list':   // 一覧
	$_SESSION['search'] = null;
	$_REQUEST['sort_item_name'] = 'category';
	$_REQUEST['sort_order'] = 'A';
	$_SESSION['search'] = $_REQUEST;
	break;

case 'ins':    // 登録
case 'detail': // 詳細
case 'upd':    // 変更
case 'del_do': // 削除
	break;

case 'list_do'://検索実行
	$err = srchValidCheck($_REQUEST);

	$_REQUEST['sort_item_name'] = 'category';
	$_REQUEST['sort_order'] = 'A';

	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		$_SESSION['search'] = null;
	} else {
		$_SESSION['search'] = $_REQUEST;
	}
	$mode = 'list';
	break;

case 'list_up_dwn':   // 一覧昇順降順
	$ses =& $_SESSION['search'];  // 必ずセッションに検索条件が入っている
	$ses['sort_item_name'] = arryVal($_REQUEST, 'sort_item_name');
	$ses['sort_order'] = arryVal($_REQUEST, 'sort_order')=='A' ? 'D' : 'A'; // 空白はAにする
	$ses['pageID'] = 1; // ページは初期に戻す
	// このままlist_backのロジックを行う。
case 'list_back'://詳細、変更から戻ったとき
	if( isset( $_REQUEST['pageID'] ) ){
		$pageID = $_REQUEST['pageID']??0;
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['pageID'] = $pageID;
		$_SESSION['search'] = $_REQUEST;
	} else {
		$_REQUEST = $_SESSION['search'];
	}
	$o =& $_REQUEST; // output用（FORMからの入力値）
	$mode = 'list';
	break;

case 'csv'; // CSVダウンロード
	downLoadCsv();
	exit;

case 'ins_do': // 登録の実行
case 'upd_do': // 変更の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = ($mode == 'ins_do' ?  'ins' : 'upd');




	}
	break;
default:
	$mode = 'list';
	$_REQUEST['sort_item_name'] = 'category';
	$_REQUEST['sort_order'] = 'A';
	$_SESSION['search'] = $_REQUEST;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
	break;

case 'list': // 一覧表示
	if (empty($err)) {
		editList();
	}
	break;

case 'upd':  // 変更
	if ($err) {




	} else {
		$delDoChkMsg = updTbl();
		if ('upd' == $modeBk) { // リスト又は明細の更新ボタン押下
			if ('' != $delDoChkMsg) { // レコードが削除されていたとき
				$_REQUEST = $_SESSION['search'];
				$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
				$o =& $_REQUEST; // output用（FORMからの入力値）

				$mode = 'list';
				editList();
			}
		}
	}
	break;

case 'detail':  // 詳細
	$delDoChkMsg = detailTbl();
	if ('' != $delDoChkMsg) { // レコードが削除されていたとき
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	sendRedirectExit($_SERVER['PHP_SELF'] . '?mode=ins');
	break;

case 'upd_do':
	$delDoChkMsg = updDoTbl();
	if ('' == $delDoChkMsg) { // 更新できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;


case 'del_do': // 削除実行
	$delDoChkMsg = delDoTbl();
	if ('' == $delDoChkMsg) { // 削除できたとき
		sendRedirectExit($_SERVER['PHP_SELF']. '?mode=list_back');
	} else {
		$_REQUEST = $_SESSION['search'];
		$_REQUEST['del_do_chk_msg'] = encloseErrorTag($delDoChkMsg);
		$o =& $_REQUEST; // output用（FORMからの入力値）

		$mode = 'list';
		editList();
	}
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . 'admin/subcategory/subcategoryARegisterView.html');
	
	
	subcategoryARegisterView($o, $err);
	break;

case 'upd':  // 変更
	// 変更　画面
	require_once(DIR_VIEW . 'admin/subcategory/subcategoryAAmendView.html');
	subcategoryAAmendView($o, $err);
	break;

case 'detail':  // 詳細
	// 詳細　画面
	require_once(DIR_VIEW . 'admin/subcategory/subcategoryADetailView.html');
	subcategoryADetailView($o, $err);
	break;

case 'list': // リスト
	// リスト　画面
	require_once(DIR_VIEW . 'admin/subcategory/subcategoryAListView.html');
	subcategoryAListView($o, $err, $result);

}
// PDOのクリア
$db = null;


// 検索条件設定
function editWhere() {
	global $db;

	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();
	
		// ■--PGM<<003>>　start--------------------------------------------

		//  SQL条件文設定
		// 大分類
		if (('' != arryVal($_REQUEST, 'srch_category'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " cs.category = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_category'); // 完全一致
		}
		// 中分類
		if (('' != arryVal($_REQUEST, 'srch_subcategory'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " cs.subcategory = ? "; // 完全一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_subcategory'); // 完全一致
		}
		// 中分類名	
		if (('' != arryVal($_REQUEST, 'srch_subcatname'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " subcatname LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_subcatname') . "%";

		}
		// 中分類英名	
		if (('' != arryVal($_REQUEST, 'srch_subcatengname'))) {
			AppSrchUtil::setSqlStrSub1($conditionsAry['sql']);
			$conditionsAry['sql'] .= " subcatengname LIKE ? "; // 前方一致
			$conditionsAry['data'][] = arryVal($_REQUEST, 'srch_subcatengname') . "%";

		}

		// ■--PGM<<003>>　end--------------------------------------------


		// 有効／無効データ
		if (('' != arryVal($_REQUEST, 'srch_deldt_flg'))) {
			if ('1' == arryVal($_REQUEST, 'srch_deldt_flg')) { // 無効のみ
				if ($conditionsAry['sql'] == '') {
					$conditionsAry['sql'] = "(cs.deldt IS NOT NULL AND  cs.deldt <> '0000/00/00 00:00:00') ";
				} else {
					$conditionsAry['sql'] = "(cs.deldt IS NOT NULL AND  cs.deldt <> '0000/00/00 00:00:00') AND " . $conditionsAry['sql'] ;
				}
			} else { // 有効のみ
				if ($conditionsAry['sql'] == '') {
					$conditionsAry['sql'] = "(cs.deldt IS NULL OR cs.deldt = '0000/00/00 00:00:00') ";
				} else {
					$conditionsAry['sql'] = "(cs.deldt IS NULL OR cs.deldt = '0000/00/00 00:00:00') AND " . $conditionsAry['sql'] ;
				}
			}
		}
	return $conditionsAry;
}

// CSVダウンロード
function downLoadCsv() {
	global $db;
	global $ELEMENTS,$AppDbCd;

	$conditions = '';
	
$_REQUEST = $_SESSION['search'];
$conditionsAry = editWhere();
$conditions= $conditionsAry['sql'];
if ('' != $conditions) {
	$conditions = "WHERE ". $conditions;
}
$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<009>>　start--------------------------------------------
			cs.category, --  大分類
			cs.subcategory, --  中分類
			cs.subcatname, --  中分類名
			cs.subcatengname, --  中分類英名
			date_format(cs.deldt, '%Y/%m/%d %H:%i:%s') AS deldt, --  削除日時
			date_format(cs.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(cs.updt, '%Y/%m/%d %H:%i:%s') AS updt --  更新日時
		-- ■--PGM<<009>>　end--------------------------------------------


FROM m_subcategory cs
$conditions 
ORDER BY 
		-- ■--PGM<<009>>　start--------------------------------------------
			cs.category, --  大分類
			cs.subcategory, --  中分類
			cs.subcatname --  中分類名
		-- ■--PGM<<009>>　end--------------------------------------------


__SQL__;

	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);

	$csvStr = '';
	header("Content-Disposition: attachment; filename=subcategoryAList.csv");
	header("Content-Type: application/octet-stream");
	header("Cache-Control: public");
	header("Pragma: public");
	$csvStr .= "大分類,大分類（名称）, 中分類, 中分類名, 中分類英名, 削除日時, 登録日時, 更新日時\n";
	foreach( $result as $vals ){
		$csvItemCount = 0;
		$valsNew = array();
		foreach( $vals as $key => $val ){
			$valsNew[$key] = $val;
			$csvItemCount++;
			$valsBk = array();
			$valsBk = $vals;  // ＤＢエレメントのため値を保存する
			if ($csvItemCount == 1) { // 大分類
				$valsNew[$key . '_value'] = $AppDbCd->getLrgEleVal('ary_lrgmidsml_category', $val, '0');
			}
		}
		$vals = $valsNew;

		foreach( $vals as $key => $val ){
			$vals[$key] = preg_replace( "/\"/i" , "\"\"", $val );
		}
		$csvStr .=  "\"" . implode( "\",\"", $vals ) . "\"\n";
	}
	mb_convert_variables('SJIS-win', 'UTF-8', $csvStr);
	$csvLen = strlen( $csvStr );
	header('Content-Length: ' .  $csvLen);
	print $csvStr;

}





// 検索条件入力値のチェック
function srchValidCheck(&$vars) {
	global $o;
    $chk_indelkbn = '1';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<002>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 有効フラグ
		$result = AppCheckUtil::checkCodeValue($vars, $errorMessages, arryVal($o, "c_elements_idx")=='0'?"有効／無効データ":"use/nouse data",  $result, "srch_deldt_flg", "YUKO_FLG", false,'0');
		// 大分類
		$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "大分類",  $result, "srch_category", "ary_lrgmidsml_category", false,'0', $chk_indelkbn);
		// 中分類
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "中分類",  $result, "srch_subcategory", CON_CHK_HALF_LETTER_DIGIT, 10, false, false,'0');
		// 中分類名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "中分類名",  $result, "srch_subcatname", CON_CHK_ANY, 50, false, false,'0');
		// 中分類英名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "中分類英名",  $result, "srch_subcatengname", CON_CHK_ANY, 50, false, false,'0');

		//  検索条件入力チェック
		// if (!(chkError($errorMessages)) && (
			// ('' == $vars['srch_category']) && 
			// ('' == $vars['srch_subcategory']) && 
			// ('' == $vars['srch_subcatname']) && 
			// ('' == $vars['srch_subcatengname']) )) {
			// 検索条件を入力してください。
			// $errorMessages['srch_topErrMessage'] = '検索条件を一つ以上入力してください。';
		// }

		// ■--PGM<<002>>　end--------------------------------------------



	return $errorMessages;
}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない

	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 大分類
		if ($mode == 'ins_do') {
			$result = AppCheckUtil::checkLrgCodeValue($vars, $errorMessages, "大分類",  $result, "category", "ary_lrgmidsml_category", true,'0', $chk_indelkbn);
		}
		// 中分類
		if ($mode == 'ins_do') {
			$result = AppCheckUtil::checkMoji($vars, $errorMessages, "中分類",  $result, "subcategory", CON_CHK_HALF_LETTER_DIGIT, 10, false, true,'0');
		}
		// 中分類名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "中分類名",  $result, "subcatname", CON_CHK_ANY, 50, false, true,'0');
		// 中分類英名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "中分類英名",  $result, "subcatengname", CON_CHK_ANY, 50, false, true,'0');
		// 削除日時
		if ($mode != 'ins_do') {
			$result = AppCheckUtil::checkDateTime($vars, $errorMessages, "削除日時", $result, "deldt", false,'0');
		}
		// 登録日時

		// 更新日時


		if ($mode == 'ins_do' && !chkError($errorMessages)) { // 追加かつ、エラーなし
			$keychecks = array ();
			$keychecks['category'] = $vars['category'];
			$keychecks['subcategory'] = $vars['subcategory'];
			$rtn = subcategoryGetRec($db, $keychecks);
			if(!empty($rtn)) {
				$errorMessages['category'] = 'すでに登録されています。';
			}
		}
		// ■--PGM<<008>>　end--------------------------------------------


	
	return $errorMessages;
}

// リストの編集
function editList() {
	global $db, $limit, $count, $pager, $result, $offset;

	$limit = 10; // 表示件数
	$offset = ( intval($_REQUEST['pageID']??0) -1) * $limit ;
	$offset = $offset < 0 ? 0 : $offset;
	
	$conditions = '';
	$conditionsAry = editWhere();
	$conditions= $conditionsAry['sql'];
	if ('' != $conditions) {
		$conditions = "WHERE ". $conditions;
	}
	$listOrder = ' ' . editDbItemName(arryVal($_REQUEST, 'sort_item_name')) . ' ' . (arryVal($_REQUEST, 'sort_order')=='A' ? 'ASC' : 'DESC');

$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<004>>　start--------------------------------------------
			cs.category, --  大分類
			cs.subcategory, --  中分類
			cs.subcatname, --  中分類名
			cs.subcatengname, --  中分類英名
			date_format(cs.deldt, '%Y/%m/%d %H:%i:%s') AS deldt,
			date_format(cs.deldt, '%Y') AS deldt_year ,
			date_format(cs.deldt, '%m') AS deldt_month ,
			date_format(cs.deldt, '%d') AS deldt_day  --  削除日時
		-- ■--PGM<<004>>　end--------------------------------------------


FROM m_subcategory cs 
 $conditions 
ORDER BY  $listOrder 
LIMIT $offset, $limit
__SQL__;
	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);
	
	// 全件数
	$sql = <<<__SQL__
SELECT count(*) 
FROM m_subcategory cs
 $conditions
__SQL__;
	$result2 = dbPrepareExeGetRow($db, $sql, $conditionsAry['data']);
	$count = $result2['count(*)'];

	$pageNavi =new PageNavi(array(
		'totalItems' => $count,
		'perPage'    => $limit,
		//'prevPageNaviText'  => '',
		//'prevPageNaviSpace' => '',
		//'firstPageSpace'    => '',
		//'prevImg'           => '前へ',
		//'nextImg'           => '次へ',
		//'lastPageSpace'     => '',
		//'nextPageNaviSpace' => '',
		//'nextPageNaviText'  => '',
		//'firstPageTextFlag' => '0',
		//'lastPageTextFlag'  => '0',
		'extraVars' => array('mode'=>'list_back')
	),'0');
	$pager = $pageNavi->getHTML();
	$_REQUEST['pager'] = $pager;

}

// 更新
function updTbl() {
	global $db, $err, $o;

	$conditionsDataAry = array();
	if(!$err) {
		$conditionsDataAry[] = arryVal($_REQUEST, 'category');
	$conditionsDataAry[] = arryVal($_REQUEST, 'subcategory');

		$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			cs.*, date_format(cs.deldt, '%Y/%m/%d %H:%i:%s') AS deldt, --  削除日時
			date_format(cs.deldt, '%Y') AS deldt_year ,
			date_format(cs.deldt, '%m') AS deldt_month ,
			date_format(cs.deldt, '%d') AS deldt_day ,
			date_format(cs.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(cs.insdt, '%Y') AS insdt_year ,
			date_format(cs.insdt, '%m') AS insdt_month ,
			date_format(cs.insdt, '%d') AS insdt_day ,
			date_format(cs.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(cs.updt, '%Y') AS updt_year ,
			date_format(cs.updt, '%m') AS updt_month ,
			date_format(cs.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM m_subcategory cs 
WHERE cs.category = ?
 AND cs.subcategory = ?

__SQL__;
		$msg = '指定された中分類情報は削除されています。' . ' 大分類=' . arryVal($_REQUEST, 'category')  . ' 中分類=' . arryVal($_REQUEST, 'subcategory') ; // 削除されている
		$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
		if (empty($o)) {
			return $msg; // 削除されている
		}
	}
}

// 詳細
function detailTbl() {
	global $db, $o;

	$conditionsDataAry = array();
	$conditionsDataAry[] = arryVal($_REQUEST, 'category');
	$conditionsDataAry[] = arryVal($_REQUEST, 'subcategory');

	$sql = <<<__SQL__
SELECT 
		-- ■--PGM<<005>>　start--------------------------------------------
			cs.*, date_format(cs.deldt, '%Y/%m/%d %H:%i:%s') AS deldt, --  削除日時
			date_format(cs.deldt, '%Y') AS deldt_year ,
			date_format(cs.deldt, '%m') AS deldt_month ,
			date_format(cs.deldt, '%d') AS deldt_day ,
			date_format(cs.insdt, '%Y/%m/%d %H:%i:%s') AS insdt, --  登録日時
			date_format(cs.insdt, '%Y') AS insdt_year ,
			date_format(cs.insdt, '%m') AS insdt_month ,
			date_format(cs.insdt, '%d') AS insdt_day ,
			date_format(cs.updt, '%Y/%m/%d %H:%i:%s') AS updt, --  更新日時
			date_format(cs.updt, '%Y') AS updt_year ,
			date_format(cs.updt, '%m') AS updt_month ,
			date_format(cs.updt, '%d') AS updt_day 
		-- ■--PGM<<005>>　end--------------------------------------------

 
FROM m_subcategory cs 
WHERE cs.category = ?
 AND cs.subcategory = ?

__SQL__;
	$msg = '指定された中分類情報は削除されています。' . ' 大分類=' . arryVal($_REQUEST, 'category')  . ' 中分類=' . arryVal($_REQUEST, 'subcategory') ; // 削除されている
	$o = dbPrepareExeGetRow($db, $sql, $conditionsDataAry);
	if (empty($o)) {
		return $msg; // 削除されている
	}
}

// 追加実行
function insDoTbl() {
	global $db;

	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'category'     => arryVal($_REQUEST, 'category'), // 大分類
			'subcategory'     => arryVal($_REQUEST, 'subcategory'), // 中分類
			'subcatname'     => arryVal($_REQUEST, 'subcatname'), // 中分類名
			'subcatengname'     => arryVal($_REQUEST, 'subcatengname'), // 中分類英名
			'deldt'     => arryVal($_REQUEST, 'deldt'), // 削除日時
			'deldt'     => '0000/00/00 00:00:00', // 削除日時
			'insdt'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);






		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$res = dbPrepareExeInsert($db, 'm_subcategory', $columns);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された中分類情報は登録されています。' . ' 大分類=' . arryVal($_REQUEST, 'category')  . ' 中分類=' . arryVal($_REQUEST, 'subcategory') ; // 登録されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}


}

// 更新実行
function updDoTbl() {
	global $db;
	try {	
		
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


		$columns = array(
				
			// ■--PGM<<010>>　start--------------------------------------------
			'subcatname'     => arryVal($_REQUEST, 'subcatname'), // 中分類名
			'subcatengname'     => arryVal($_REQUEST, 'subcatengname'), // 中分類英名
			'deldt'     => arryVal($_REQUEST, 'deldt'), // 削除日時
			'updt'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
		);






		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}
		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "category = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'category');
		$keyAry['sql'] = $keyAry['sql']  . " AND subcategory = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'subcategory');

		$res = dbPrepareExeUpdate($db, 'm_subcategory', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された中分類情報は削除されています。' . ' 大分類=' . arryVal($_REQUEST, 'category')  . ' 中分類=' . arryVal($_REQUEST, 'subcategory') ; // 削除されている
		}
		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}

}

// 削除実行
function delDoTbl() {
	global $db;

	try {	





		if (!$db->inTransaction()) {
			$db->beginTransaction();
		}

		$keyAry = array();
		$keyAry['sql']= '';
		$keyAry['data']= array();
		$keyAry['sql'] = $keyAry['sql']  . "category = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'category');
		$keyAry['sql'] = $keyAry['sql']  . " AND subcategory = ? ";
		$keyAry['data'][] = arryVal($_REQUEST, 'subcategory');

		$columns = array(
					'deldt'     => date( 'Y/m/d H:i:s' ) // 削除日時
		// ■--PGM<<010>>　end--------------------------------------------


		);
		$res = dbPrepareExeUpdate($db, 'm_subcategory', $columns, $keyAry);
		if ($res == false) { // 更新なしの場合
			$db->commit();
			return '指定された中分類情報は削除されています。' . ' 大分類=' . arryVal($_REQUEST, 'category')  . ' 中分類=' . arryVal($_REQUEST, 'subcategory') ; // 削除されている
		}

		$db->commit();
	} catch (PDOException $e) {
		dbErr($e);
	}
}


?>