<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../common_user.php');
require_once('AppCheckUtil.php');
require_once('AppSrchUtil.php');
require_once('TokenHandle.php');
require_once('AppDbCdUtil.php');

// 検索時のチェックボックス配列対応


$o =& $_REQUEST; // output用（FORMからの入力値）
$_REQUEST['c_elements_idx'] = '0';
//outDebugLog($_REQUEST); // デバックログ（コメントはずして使用してください。）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();

if (TokenHandle::isTokenValid($mode, true) == false) { // ユーザ側
    // トークンチェックエラー場合
    echo 'Message: ' . 'The token error occurred. ' . "<br />\n";
    exit;
}
unset($_REQUEST['KAZ_TOOL_token']);
// 大中小分類が一つになったエレメントをDBデータから作成する start
$AppDbCd = new AppDbCdUtil(); // 大中小分類が一つになったエレメントをDBデータから作成するクラス

$AppDbCd->creLrgMidSmlElements (); // 「ajax区分」が''の時、DBエレメントを＄ELEMENTSに直接設定する。
// modeが”elem”の場合、エレメント内容を$AppDbCdから取得してjson形式で戻す。
require_once('../com_select_idx.php');
// 大中小分類が一つになったエレメントをDBデータから作成する end

switch($mode) {
case 'ins_back':    // 確認からの戻り




	$mode = 'ins';
	break;

case 'ins':    // 登録
	break;

case 'ins_confirm': // 確認
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'ins';
	}
	$_REQUEST['hiddens'] = makeHidden( array_diff($_REQUEST, array('mode' => 'ins_confirm')));
	break;

case 'ins_do': // 登録の実行
	$err = validCheck($_REQUEST, $mode);
	if(chkError($err)) { // エラーあり
		$err = encloseErrorTag( $err );
		// 入力フォームを表示するmodeにする
		$mode = 'ins';




	}
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$o['mode']=$mode;

switch($mode) {
case 'ins':// 登録
case 'ins_confirm': // 確認
	break;

case 'ins_do': // 登録実行
	insDoTbl();
	$mode = 'complete';
	$o['mode']=$mode;
	break;

default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}

$_REQUEST['c_elements_idx'] = '0';
switch($mode) {
case 'ins':  // 登録
	// 登録　画面
	require_once(DIR_VIEW . '/contact/inqUaddRegisterView.htm_');
	
	
	inqUaddRegisterView($o, $err);
	break;

case 'ins_confirm':  // 確認
	// 確認　画面
	require_once(DIR_VIEW . '/contact/inqUaddConfirmView.htm_');
	inqUaddConfirmView($o, $err);
	break;

case 'complete':  // 完了
	// 完了　画面
	require_once(DIR_VIEW . '/contact/inqUaddCompleteView.htm_');
	inqUaddCompleteView($o, $err);
	break;

}

// 入力値のチェック
function validCheck(&$vars, $mode) {
	global $db;
    $chk_indelkbn = '2';  // '1'削除を含む、'2'削除を含まない
	
	
		// ■--PGM<<008>>　start--------------------------------------------

		$errorMessages = array();

		//  入力値チェック
		$result = true;
		// 氏名
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "氏名",  $result, "name", CON_CHK_ANY, 50, false, true,'0');
		// 郵便番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "郵便番号",  $result, "postnum", CON_CHK_POST, 8, false, false,'0');
		// ご住所
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "ご住所",  $result, "address", CON_CHK_ANY, 100, false, false,'0');
		// メールアドレス
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "メールアドレス",  $result, "mailaddr", CON_CHK_EMAIL, 50, false, true,'0');
		// メールアドレス（確認）
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "メールアドレス（確認）",  $result, "mailaddr2", CON_CHK_EMAIL, 50, false, true,'0');
		// 電話番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "電話番号",  $result, "dialnum", CON_CHK_TEL, 13, false, false,'0');
		// FAX番号
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "FAX番号",  $result, "fax", CON_CHK_TEL, 13, false, false,'0');
		// お問合せの内容
		$result = AppCheckUtil::checkMoji($vars, $errorMessages, "お問合せの内容",  $result, "comment", CON_CHK_ANY, 1000, false, true,'0');

		// ■--PGM<<008>>　end--------------------------------------------


if ($mode=='ins_confirm' || $mode=='upd_confirm') {


}
if ($mode=='ins_confirm' || $mode=='upd_confirm') {


}
	
	return $errorMessages;
}

// 追加実行
function insDoTbl() {
	global $db;
	global $smarty;
	global $ELEMENTS,$AppDbCd;

	
		// ■--PGM<<010>>　start--------------------------------------------
		// ■--PGM<<010>>　end--------------------------------------------


	$columns = array(
			
			// ■--PGM<<010>>　start--------------------------------------------
			'name'     => arryVal($_REQUEST, 'name'), // 氏名
			'postnum'     => arryVal($_REQUEST, 'postnum'), // 郵便番号
			'address'     => arryVal($_REQUEST, 'address'), // ご住所
			'mailaddr'     => arryVal($_REQUEST, 'mailaddr'), // メールアドレス
			'mailaddr2'     => arryVal($_REQUEST, 'mailaddr2'), // メールアドレス（確認）
			'dialnum'     => arryVal($_REQUEST, 'dialnum'), // 電話番号
			'fax'     => arryVal($_REQUEST, 'fax'), // FAX番号
			'comment'     => arryVal($_REQUEST, 'comment'), // お問合せの内容
			'insdatetime'     => date( 'Y/m/d H:i:s' ), // 登録日時
			'updatetime'     => date( 'Y/m/d H:i:s' ) // 更新日時
			// ■--PGM<<010>>　end--------------------------------------------
	
	
	);

	
	
	
	

	// ユーザー宛
	$mailbody =  $smarty->fetch('./mail/automail_header.tpl');
	
		// ■--PGM<<010>>　start--------------------------------------------
	$smarty->assign('name', arryVal($_REQUEST, 'name')); // 氏名
	$smarty->assign('postnum', arryVal($_REQUEST, 'postnum')); // 郵便番号
	$smarty->assign('address', arryVal($_REQUEST, 'address')); // ご住所
	$smarty->assign('mailaddr', arryVal($_REQUEST, 'mailaddr')); // メールアドレス
	$smarty->assign('mailaddr2', arryVal($_REQUEST, 'mailaddr2')); // メールアドレス（確認）
	$smarty->assign('dialnum', arryVal($_REQUEST, 'dialnum')); // 電話番号
	$smarty->assign('fax', arryVal($_REQUEST, 'fax')); // FAX番号
	$smarty->assign('comment', arryVal($_REQUEST, 'comment')); // お問合せの内容
		// ■--PGM<<010>>　end--------------------------------------------


	$mailbody .= $smarty->fetch('./mail/inqUadd.tpl');

	$smarty->assign('mail_kbn', '★mail_kbnを記述してください★');
	$mailbody .= $smarty->fetch('./mail/mail_footer.tpl');
	//mailSender( '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), ADMIN_FROM_NAME, ADMIN_FROM_ADDRESS, MEM_USER_SUBJECT, $mailbody );

	// 管理者宛
	//mailSender( ADMIN_TO_NAME, ADMIN_TO_ADDRESS, '【WEB】'. arryVal($_REQUEST, '★nameを記述してください★') .'様', arryVal($_REQUEST, '★mailを記述してください★'), MEM_ADMIN_SUBJECT, $mailbody );

}

?>