<?php
//  ============================================================================
//  Copyright (c) あなたのPGM著作権表示 All rights reserved.
//  ============================================================================
require_once('../.kazphp/common.php');
require_once('db_functions.php'); 

$o =& htmlspecialchars_r($_REQUEST); // output用（FORMからの入力値）

$basename = basename($_SERVER['PHP_SELF'], '.php');
$mode = strtolower(arryVal($_REQUEST, 'mode'));
$modeBk = $mode;


$db =dbConncet(); // DB接続

$err = array(); // エラーメッセージがある場合は入れる

session_start();
//$_SESSION['u_login_id_login'] = '';

if ($mode != 'login_do') {
	// セッション変数を全て解除する
	$_SESSION = array();

	// セッションを切断するにはセッションクッキーも削除する。
	// Note: セッション情報だけでなくセッションを破壊する。
	if (isset($_COOKIE[session_name()])) {
	    setcookie(session_name(), '', time()-42000, '/');
	}

	// 最終的に、セッションを破壊する
	session_destroy(); 
}

switch($mode) {
case 'login': // 一覧
	break;
case 'login_do': // ログインの実行

	$conditions = '';
	$conditionsAry = editWhere();
	$conditions= $conditionsAry['sql'];
	if ('' != $conditions) {
		$conditions = "WHERE ". $conditions;
	}
$sql = <<<__SQL__
SELECT u.* 
FROM m_user u
$conditions 
__SQL__;


	$result = dbPrepareExe($db, $sql, $conditionsAry['data']);

	//入力されたログイン情報が正しいかチェック。
	if(empty($result)){
		$err = array( 'login' => 'ログインIDまたはパスワードが正しくありません。' );
	}
	if($err) { // エラーあり
		// 入力フォームを表示するmodeにする
		$mode = 'login';
	}
	break;
default:
	$mode = 'login';
}


switch($mode) {
case 'login':// 登録
	break;

case 'login_do': // ログイン実行
	$_SESSION['u_login_id_login'] = $result[0]['u_login_id'];
	sendRedirectExit('/kaz01u/index1.php');
	break;
default:
	echo 'Unknown mode. (mode=' . $mode . ')';
	exit;
}


switch( $mode ) {
case 'login':
	// 登録　画面
	require_once(DIR_VIEW . '/index.html');
	index($o, $err);
	break;
}

// 検索条件設定
function editWhere() {
	global $db;

	$conditionsAry = array();
	$conditionsAry['sql']= '';
	$conditionsAry['data']= array();

	//  SQL条件文設定
	$conditionsAry['sql'] .= " u.u_login_id = ? "; // 会員番号
	$conditionsAry['data'][] = arryVal($_REQUEST, 'loginid');
	$conditionsAry['sql'] .= " AND u.u_pwd1 = ? "; // パスワード
	$conditionsAry['data'][] = arryVal($_REQUEST, 'loginpwd');
	$conditionsAry['sql'] .= " AND u.u_yuko_flg = ? "; // 有効
	$conditionsAry['data'][] = '2';
	
	return $conditionsAry;
}

?>