//  =============================================================
//  2020 kaz PHP自動作成お助けTOOL. Start
//  修正BSDライセンス。
//  =============================================================
    var doubleClick_flg = true;
    //Submit制御（DoubleClick制御あり）
    function do_Submit_Clk1() {
        if (doubleClick_flg == true) {
            window.setTimeout(function() { doubleClick_flg = false; }, 1);
            window.setTimeout(function() { doubleClick_flg = true; }, 1000);
            document.frm.submit();
        } else {
            return false;
        }
    }
    //Submit制御（DoubleClick制御あり）
    function do_Submit_Clk2(mode) {
        if (doubleClick_flg == true) {
            window.setTimeout(function() { doubleClick_flg = false; }, 1);
            window.setTimeout(function() { doubleClick_flg = true; }, 1000);
            document.frm.mode.value = mode;
            document.frm.submit();
        } else {
            return false;
        }
    }

    // selectのoptionを作成する
    // selObj    : selectオブジェクト
    // myValue   : value
    // myText    : text
    function addSelOption( selObj, myValue, myText )
    {
        selObj.length++;
        selObj.options[ selObj.length - 1].value = myValue ;
        selObj.options[ selObj.length - 1].text  = myText;
 
    }

    // 大分類、中分類、小分類がある場合の大分類change関数
    // 中分類selectを作成する
    // LrgCategoryValue  : 大分類の値
    // MidSelObjj        : 中分類selectのname
    // SmlSelObj         : 小分類selectのname
    // midashi           : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    // arrayCategory     : 配列値が入っている変数
    // LrgCategoryName   : 大分類の日本語項目名
    // elementsIdx       : 0（日本語）,1（英語）を指定する。
    // indelkbn          : '1'削除を含む、'2'削除を含まない
    // urlArg            : ajax先のURL
    // fmMidSmlEleElementNm : エレメント名
    // ajaxKbn            : 'ajax'ajax使用、''以外
    function createMidCategorySelection1(LrgCategoryValue, MidSelObj, SmlSelObj, midashi, arrayCategory, LrgCategoryName, elementsIdx, indelkbn, urlArg, fmMidSmlEleElementNm, ajaxKbn)
    {

        if (MidSelObj.tagName.toLowerCase() == "select") {
            createMidCategorySelection2(LrgCategoryValue, MidSelObj, midashi, arrayCategory, LrgCategoryName, elementsIdx, indelkbn, urlArg, fmMidSmlEleElementNm, ajaxKbn);
        }
        if (SmlSelObj.tagName.toLowerCase() == "select") {
            SmlSelObj.length = 0; // 小分類 selectを初期化する。
            if (midashi != "") { // 必須選択でないときの文字があればoptionに追加する。
                addSelOption( SmlSelObj, "", midashi); // 小分類 必須選択。
            }
        }

    }

    // 大分類、中分類がある（かつ、小分類がない）場合の大分類change関数ajax版
    // 中分類selectを作成する
    // LrgCategoryValue  : 大分類の値
    // selObj            : 中分類selectのname
    // midashi           : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    // arrayCategory     : 配列値が入っている変数
    // LrgCategoryName   : 大分類の日本語項目名
    // elementsIdx       : 0（日本語）,1（英語）を指定する。
    // indelkbn          : '1'削除を含む、'2'削除を含まない
    // urlArg            : ajax先のURL
    // fmMidSmlEleElementNm : エレメント名
    // ajaxKbn           : 'ajax'ajax使用、''以外
    function createMidCategorySelection2(LrgCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, elementsIdx, indelkbn, urlArg, fmMidSmlEleElementNm, ajaxKbn)
    {
        //$("#fmMidSmlEleElementNm").val(fmMidSmlEleElementNm);
        //$("#fmMidSmlEleLrgKey").val(LrgCategoryValue);
        //$("#fmMidSmlEleMidKey").val("");
        //$("#fmMidSmlEleSmlKey").val("");
        var data = {mode:"elem",fmMidSmlEleElementNm:fmMidSmlEleElementNm, fmMidSmlEleLrgKey:LrgCategoryValue,
                		fmMidSmlEleMidKey:"", fmMidSmlEleSmlKey:""};

        if (ajaxKbn == 'ajax') { // ajaxで値を取得する
            $.ajax({
                url: urlArg,
                type: 'POST',
                dataType: 'text',
                //data: $('#fmMidSmlEle').serializeArray(),
                data: data,
                timeout: 5000,
                success: function(data, status, xhr){
                    var tmpAry = eval('(' + data + ')');
                    if ('mid' in tmpAry) { // 中分類のとき
                        arrayCategory['mid'] = tmpAry['mid'];
                        if ('sml' in arrayCategory) {
                            arrayCategory['sml'] = Array(); // 小分類配列はクリアする。
                        }
                    }
                    if ('sml' in tmpAry) { // 小分類のとき
                        arrayCategory['sml'] = tmpAry['sml'];
                    }
                },
                error: midSmlEleAryhandleError,
                complete: function(XMLHttpRequest, textStatus) {
                    createMidCategorySelection2Sub(LrgCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, elementsIdx, indelkbn);
                }
            });
        } else {
            createMidCategorySelection2Sub(LrgCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, elementsIdx, indelkbn);
        }
    }

    // 大分類、中分類がある（かつ、小分類がない）場合の大分類change関数
    // 中分類selectを作成する
    // LrgCategoryValue  : 大分類の値
    // selObj            : 中分類selectのname
    // midashi           : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    // arrayCategory     : 配列値が入っている変数
    // LrgCategoryName   : 大分類の日本語項目名
    // elementsIdx       : 0（日本語）,1（英語）を指定する。
    // indelkbn          : '1'削除を含む、'2'削除を含まない
    function createMidCategorySelection2Sub(LrgCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, elementsIdx, indelkbn)
    {
        if (selObj.tagName.toLowerCase() == "select") {
            selObj.length = 0; // selectを初期化する。
            if (midashi != "") { // 必須選択でないときの文字があればoptionに追加する。
                addSelOption( selObj, "", midashi);
            }
            // 初期化
            for (var lrg in arrayCategory['mid']) {  // 大分類の値
                if (lrg == LrgCategoryValue) {    // 大分類の値が同じ
                    for (var midl in arrayCategory['mid'][lrg]) { // 中分類の値
                        if (indelkbn == '1' || (indelkbn == '2' && arrayCategory['mid'][lrg][midl][2] == '')) {
                            addSelOption ( selObj , midl, arrayCategory['mid'][lrg][midl][elementsIdx]);
                        }
                    }
                }
            }
        }
    }

    // 大分類、中分類、小分類がある場合の中分類change関数（小分類がある場合これを使用する）
    // 小分類selectを作成する
    // LrgCategoryValue  : 大分類の値
    // MidCategoryValue  : 中分類の値
    // selObj            : 小分類selectのname
    // midashi           : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    // arrayCategory     : 配列値が入っている変数
    // LrgCategoryName   : 大分類の日本語項目名
    // MidCategoryName   : 中分類の日本語項目名
    // elementsIdx       : 0（日本語）,1（英語）を指定する。
    // indelkbn          : '1'削除を含む、'2'削除を含まない
    // urlArg            : ajax先のURL
    // fmMidSmlEleElementNm : エレメント名
    // ajaxKbn           : 'ajax'ajax使用、''以外
    function createSmlCategorySelection(LrgCategoryValue, MidCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, MidCategoryName, elementsIdx, indelkbn, urlArg, fmMidSmlEleElementNm, ajaxKbn)
    {
        var data = {mode:"elem",fmMidSmlEleElementNm:fmMidSmlEleElementNm, fmMidSmlEleLrgKey:LrgCategoryValue,
                		fmMidSmlEleMidKey:MidCategoryValue, fmMidSmlEleSmlKey:""};

        if (ajaxKbn == 'ajax') { // ajaxで値を取得する
            $.ajax({
                url: urlArg,
                type: 'POST',
                dataType: 'text',
                //data: $('#fmMidSmlEle').serializeArray(),
                data: data,
                timeout: 5000,
                success: function(data, status, xhr){
                    var tmpAry = eval('(' + data + ')');
                    if ('mid' in tmpAry) { // 中分類のとき
                        arrayCategory['mid'] = tmpAry['mid'];
                        if ('sml' in arrayCategory) {
                            arrayCategory['sml'] = Array(); // 小分類配列はクリアする。
                        }
                    }
                    if ('sml' in tmpAry) { // 小分類のとき
                        arrayCategory['sml'] = tmpAry['sml'];
                    }
                },
                error: midSmlEleAryhandleError,
                complete: function(XMLHttpRequest, textStatus) {
                    createSmlCategorySelectionSub(LrgCategoryValue, MidCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, MidCategoryName, elementsIdx, indelkbn);
                }
            });
        } else {
            createSmlCategorySelectionSub(LrgCategoryValue, MidCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, MidCategoryName, elementsIdx, indelkbn);
        }
    }

    // 大分類、中分類、小分類がある場合の中分類change関数（小分類がある場合これを使用する）
    // 小分類selectを作成する
    // LrgCategoryValue  : 大分類の値
    // MidCategoryValue  : 中分類の値
    // selObj            : 小分類selectのname
    // midashi           : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    // arrayCategory     : 配列値が入っている変数
    // LrgCategoryName   : 大分類の日本語項目名
    // MidCategoryName   : 中分類の日本語項目名
    // elementsIdx       : 0（日本語）,1（英語）を指定する。
    // indelkbn          : '1'削除を含む、'2'削除を含まない
    function createSmlCategorySelectionSub(LrgCategoryValue, MidCategoryValue, selObj, midashi, arrayCategory, LrgCategoryName, MidCategoryName, elementsIdx, indelkbn)
    {
        if (selObj.tagName.toLowerCase() == "select") {
            if(LrgCategoryValue == "") { 
                if (elementsIdx == 0) {
                    alert(LrgCategoryName + "を先に選択してください"); 
                } else {
                    alert("Please select a destination " + LrgCategoryName); 
                }
                return;
            } 
            selObj.length = 0; // selectを初期化する。
            if (midashi != "") { // 必須選択でないときの文字があればoptionに追加する。
                addSelOption( selObj, "", midashi);
            }
            // 初期化
            for (var lrg in arrayCategory['sml']) {  // 大分類の値
                if (lrg == LrgCategoryValue) {    // 大分類の値が同じ
                    for (var midl in arrayCategory['sml'][lrg]) { // 中分類の値
                        if (midl == MidCategoryValue) {        // 中分類の値が同じ
                            for (var sml in arrayCategory['sml'][lrg][midl]) {  // 小分類の値
                                if (indelkbn == '1' || (indelkbn == '2' && arrayCategory['sml'][lrg][midl][sml][2] == '')) {
                                    addSelOption ( selObj , sml, arrayCategory['sml'][lrg][midl][sml][elementsIdx]);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    // 
    // Ajax通信失敗時の処理
    // 
    var midSmlEleAryhandleError = function (XMLHttpRequest, status, errorThrown) {
        alert('サーバーとの通信エラーが発生しました。');
    }

    // 大分類、中分類のみで小分類がない場合の中分類change関数（小分類がない場合これを使用する）
    // LrgCategoryValue  : 大分類の値
    // LrgCategoryName   : 大分類の日本語項目名
    function checkMidCategory(LrgCategoryValue, LrgCategoryName)
    {
        if (LrgCategoryValue == '') {
            if (elementsIdx == 0) {
                alert(LrgCategoryName + "を先に選択してください"); 
            } else {
                alert("Please select a destination " + LrgCategoryName); 
            }
            return;
        }
    }
 
    // 大分類、中分類のみで小分類がない場合の中分類リセット関数（小分類がない場合これを使用する）
    // LrgSelObj          : 大分類selectのname
    // MidSelObjj         : 中分類selectのname
    // midashi            : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    function resetLrgMidCategory(LrgSelObj, MidSelObjj, midashi)
    {
        MidSelObj.length = 0; // 中分類 selectを初期化する。
        if (midashi != "") { // 必須選択でないときの文字があればoptionに追加する。
            addSelOption( MidSelObj, "", midashi); // 中分類 必須選択。
        }
    }

    // 大分類、中分類、小分類がある場合の小分類change関数（小分類がある場合これを使用する）
    // LrgCategoryValue  : 大分類の値
    // LrgCategoryValue  : 中分類の値
    // LrgCategoryName   : 大分類の日本語項目名
    // LrgCategoryName   : 中分類の日本語項目名
    function checkSmlCategory(LrgCategoryValue, MidCategoryValue, LrgCategoryName, MidCategoryName)
    {
        if (LrgCategoryValue == '' || MidCategoryValue == '') {
            if (elementsIdx == 0) {
                alert(LrgCategoryName + "、" + MidCategoryName + "を選択してください");
            } else {
                alert("Please select a destination " + LrgCategoryName + "," + MidCategoryName); 
            }
            return;
        }
    }
 
    // 大分類、中分類、小分類がある場合の中分類、小分類リセット関数（小分類がある場合これを使用する）
    // MidSelObjj         : 中分類selectのname
    // SmlSelObj          : 小分類selectのname
    // midashi            : 必須選択でないときの文字。例：”--- 以下から選択して下さい。---”
    function resetLrgMidSmlCategory(MidSelObj, SmlSelObj, midashi)
    {
        MidSelObj.length = 0; // 中分類 selectを初期化する。
        SmlSelObj.length = 0; // 小分類 selectを初期化する。
        if (midashi != "") { // 必須選択でないときの文字があればoptionに追加する。
            addSelOption( MidSelObj, "", midashi); // 中分類 必須選択。
            addSelOption( SmlSelObj, "", midashi); // 小分類 必須選択。
        }
    }
 
//--　ブラウザのスマートフォン／PC切替処理
function on_btn_mode_suma() {
    $.ajax({
        url: '/kaz01u/chgModeSuma.php',
        type: 'POST',
        dataType: 'text',
//        data: '{mode_suma:["no"]}' ,
        data: $('#fmModeSuma').serializeArray(),
        timeout: 5000,
        success: function(data, status, xhr){
            alert('次の処理からブラウザが' + data + 'に切り替わります。');
        },
        error: function (XMLHttpRequest, status, errorThrown) {
            alert('サーバーとの通信エラーが発生しました。');
        }
    });
}

//  =============================================================
//  2020 kaz PHP自動作成お助けTOOL. End
//  修正BSDライセンス。
//  =============================================================
